gnome-games 3.3.1
=================

Major changes:
 * Mahjongg was ported to vala.
 * Glines defines GUI in .ui files.

All changes since 3.2.0:

Algimantas Margevičius (1):
      Updated Lithuanian translation

Daniel Mustieles (1):
      Updated Spanish translation

Fran Diéguez (1):
      Updated Galician translations

Gil Forcada (1):
      [l10n]Updated Catalan translations

Ihar Hrachyshka (1):
      Updated Belarusian translation.

Jeremy Bicha (1):
      gnect: minor typo fix

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Marek Černocký (3):
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation

Mario Blättermann (1):
      [l10n] Updated German translation

Matej Urbančič (1):
      Updated Slovenian translation

Miĥa-Johano WALTER (1):
      Updated Esperanto translation

Robert Ancell (2):
      mahjongg: Port from C to Vala
      mahjongg: Fix hints showing when doing new hints / cancelling them

Thomas Hindoe Paaboel Andersen (7):
      swell-foop: Default theme was renamed to Shapes and Colors
      swell-foop: src folder should not depend on BUILD_HELP
      glines: Move preferences to .ui file
      glines: repaint board on bgcolor change
      libgames/games-files.c: actually concat the lists
      version bump
      glines: Move main window to .ui file

Yaron Shahrabani (1):
      Updated Hebrew translation.

krishnababu k (1):
      Newly added Telugu translations

Мирослав Николић (1):
      Updated Serbian translation

gnome-games 3.2.0
=================

This is the 3.2 stable release which brings the following major changes since
3.0:

 * Aisleriot was split out of gnome-games into its own module
 * Sudoku was ported to pygobject/GTK3 by John Stowers
 * The Seed games Swell Foop and Lights Off moved back to staging after
   consultation with various stakeholders around gobject introspection and
   JavaScript as a first-class language.
 * Gnotravex Gnomine, Iagno, and Mahjongg, and GLines were ported to gsettings
 * Various bug fixes

Here are the changes since 3.1.92:

Antonio Fernandes C. Neto (1):
      Updated Brazilian Portuguese translation

Aurimas Černius (1):
      Updated Lithuanian translation

Bruno Brouard (1):
      Updated French doc translation

Carles Ferrando (1):
      [l10n]Updated Catalan (Valencian) translation

Changwoo Ryu (1):
      Updated Korean translation

Flemming Christensen (1):
      Updated Danish translation

Gabor Kelemen (1):
      Updated Hungarian translation

Hannie Dumoleyn (1):
      Updated Dutch translation by Hannie Dumoleyn

Inaki Larranaga Murgoitio (1):
      Updated Basque language

Jason D. Clinton (1):
      configure.in: Accept either pygobject-2.0 or 3.0 pkgconfig files

Seong-ho Cho (1):
      Added Korean doc translation for lightsoff


gnome-games 3.1.92
==================
Bug fixes:
* Fix a crash in chess

Shortlog of changes since 3.1.91:
A S Alam (1):
      Updated Punjabi Translation

Alexander Shopov (1):
      Updated Bulgarian translation

Bruce Cowan (1):
      Updated British English translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Persch (2):
      build: Remove more aisleriot mentions
      po: Update README.translators

Claude Paroz (2):
      Updated French translation
      Updated French Tetravex help translation

Cosimo Cecchi (4):
      glchess: null-terminate the string arrays, otherwise GTK+ will crash
      glchess: set the about dialog as modal
      glchess: add the primary-toolbar style class to the toolbar
      glchess: use the correct icon name

Daniel Nylander (1):
      Updated Swedish translation

Dr.T.Vasudevan (1):
      updated Tamil translation

Duarte Loreto (1):
      Updated Portuguese translation

Gil Forcada (1):
      [l10n]Updated Catalan translation

Hermien Bos (1):
      Updated translation for Afrikaans (af)

Ihar Hrachyshka (1):
      Updated Belarusian translation.

Jiro Matsuzawa (1):
      Updated Japanese translation

Joe Hansen (2):
      Updated Danish translation of the documentation
      Updated Danish translation of the documentation of gnect

Jorge González (2):
      Updated Spanish translation
      Updated Spanish translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Marek Černocký (1):
      Updated Czech translation

Mario Blättermann (2):
      [l10n] Updated German doc translation
      [l10n] Updated German translation

Matej Urbančič (1):
      Updated Slovenian translation

Milo Casagrande (1):
      [l10n] Updated Italian translation

Peter Mráz (1):
      Updated Slovak translation

Rudolfs Mazurs (1):
      Updated Latvian translation.

Thomas Hindoe Paaboel Andersen (3):
      version bump
      Replace some deprecated GTK symbols
      fix a typo

Yaron Shahrabani (1):
      Updated Hebrew translation.

Yinghua Wang (1):
      update Simplified Chinese (zh_CN) translation

Yuri Myasoedov (1):
      Updated Russian translation

dmustieles (1):
      Updated Spanish translation

gnome-games 3.1.91
==================
Major changes:
* Glines ported to GSettings

Bug fixes:
* Fix compile issues with Vala 0.13.3
* gnect: Use the correct player names in Preferences

Shortlog of changes since 3.1.90:
Flamarion Jorge (1):
      Updated Brazilian Portuguese translation.

Fran Dieguez (1):
      Updated galician translations

Ihar Hrachyshka (1):
      Updated Belarusian translation.

Jeremy Bicha (1):
      gnect: Use the correct player names in Preferences

Jorge González (2):
      Updated Spanish translation
      Updated Spanish translation

Piotr Drąg (1):
      Updated Polish translation

Robert Ancell (1):
      chess: Fix compile issues with Vala 0.13.3 (Bug #657130)

Thomas Hindoe Paaboel Andersen (1):
      version bump

Tiffany Antopolski (1):
      [help] fix typo in video subtitle (edjes-->edges).

Marc Ruiz (1):
      Glines GConf to GSettings migration.

gnome-games 3.1.90
==================

Shortlog of changes since 3.1.5:
Aurimas Černius (1):
      Updated Lithuanian translation

Carles Ferrando (1):
      [l10n]Updated Catalan documentation

Marek Černocký (1):
      Updated Czech translation

Mario Blättermann (1):
      [l10n] Updated German translation

Thomas Hindoe Paaboel Andersen (3):
      version bump
      gnect,gnobots2: remove unused variables
      Removed too much in previous commit

gnome-games 3.1.5
=================

Major changes:
* Gnomine, iagno, and mahjongg ported to GSettings

Bug fixes:
* Really remove ggz support from iagno

Alexander Shopov (1):
      Updated Bulgarian translation

Daniel Nylander (1):
      Updated Swedish translation

Jeremy Bicha (1):
      Really remove ggz support from iagno

Mario Blättermann (2):
      [l10n] Updated German doc translation
      [l10n] Updated German doc translation

Piotr Drąg (1):
      Updated Polish translation

Thomas Hindoe Paaboel Andersen (7):
      iagno: port to GSettings
      gnibbles: remove unused variable
      iagno: fix typo in last commit
      gnomine: port to GSettings
      gnomine: remove unused variables
      version bump
      mahjongg: GSettings port

gnome-games 3.1.4
=================

Major changes:
* Chess bumped vala dependency to 0.13.0

Bug fixes:
* Remove useless Game->Network in the menus

Shortlog of changes since 3.1.3:
Abduxukur Abdurixit (1):
      Added UG translation

Jason D. Clinton (1):
      Network games: remove iagno references to GGZ removed in last commits

Jeremy Bicha (2):
      Really remove ggz support from gnibbles
      Really remove ggz support from gnect

Jorge González (1):
      Updated Spanish translation

Marek Černocký (1):
      Updated Czech translation

Robert Ancell (1):
      Work with Vala 0.14

Rudolfs Mazurs (1):
      Updated Latvian translation.

Thomas Hindoe Paaboel Andersen (3):
      post release version bump
      sudoku: silence a mismatched quotes message
      iagno: Remove reference to nonexistent network-games

gnome-games 3.1.3
=================

Major changes:
* Tarballs are now xz/ustar
* The seed games moved back to staging
* Gnotravex was ported to gsettings
* Gnotravex help video got TTML captions

Bug fixes:
* Chess: Escape \ and " in .pgn files
* Glines: Only show the cursor when using keyboard
* Gtali: Could not load the kismet dice svg
* Swell-foop: Only get the 1000 point bonus if all tiles are removed

Shortlog of changes since 3.1.1:
Andre Klapper (1):
      Fix POTFILES.in to make xgettext happy

Bruno Brouard (1):
      Updated French doc translation

Carles Ferrando (1):
      [l10n]Updated Catalan (Valencian) translation

Colin Walters (1):
      Move lightsoff and swell-foop to staging

Daniel Mustieles (1):
      Updated Spanish translation

Edward Sheldrake (2):
      swell-foop: You only get the 1000 point bonus if you remove all the tiles
      glines: don't always show the cursor

Fran Diéguez (1):
      Updated Galician translations

John Stowers (3):
      sudoku: use new Gtk.AboutDialog license API
      sudoku: reduce autogenerated python files
      sudoku: add forgotten defaults.py

Jorge González (1):
      Updated Spanish translation

Kjartan Maraas (2):
      Updated Norwegian bokmål translation
      Remove #include <config.h> from headers to make sure it's not included more than once

Kristjan SCHMIDT (1):
      Updated Esperanto translation

Mario Blättermann (1):
      [l10n] Updated German doc translation

Matej Urbančič (1):
      Updated Slovenian translation

Robert Ancell (2):
      Escape tag values, based on a patch by Ted Ying
      Work with Vala 0.14

Seunghoon, Kang (1):
      Added Korean manual translation

Shaun McCance (1):
      gnotravex/help/usage.page: Added TTML captions to video

Thomas Hindoe Paaboel Andersen (14):
      gnotravex: port to GtkGrid
      gtali: Add doctype to kismet dice
      gnotravex: port to GSettings
      gnect: Replace GtkBox with GtkGrid
      sudoku: Fix distcheck
      replace obsolete AC_HELP_STRING and AC_PROG_LIBTOOL
      Disable introspection for now
      version bump
      Replace some deprecated gtk symbols
      dist tarballs with xz and ustar
      glines: replace deprecated gtk symbols
      configure: kill obsolete auto-gunk
      configure: don't check for not used headers
      revert e039ba25

Yaron Shahrabani (1):
      Updated Hebrew translation.

gnome-games 3.1.1
=================

Major changes:
* Aisleriot was split out of gnome-games into its own module.
* Sudoku was ported to pygobject/GTK3 by John Stowers.
* Lapo Calamandrei added a new default theme to sweel-foop.

Shortlog of changes since 3.0.0:

Alexander Shopov (3):
      Updated Bulgarian translation
      Updated Bulgarian translation
      Updated Bulgarian translation

Ask H. Larsen (3):
      Updated Danish translation
      Updated Danish translation
      Updated Danish translation

Bruce Cowan (1):
      Updated British English translation

Changwoo Ryu (1):
      Updated Korean translation

Christian Persch (13):
      Revert "aisleriot: Remove sol/clutter from 3.0 branch"
      aisleriot: Decouple libgames-support from aisleriot
      aisleriot: Move private icons to aisleriot
      libgames-support: Don't translate pspec nick and blurb
      build: Always build libgames-support
      libgames-support: Remove obsolete version checks
      build: rm aisleriot
      libgames-support: Remove cruft
      libgames-support: Use real icon names
      build: Remove lsb checks
      build: Remove some more of aisleriot
      libgames-support: Remove aisleriot special casing
      build: Fix inverted sqlite check

Cosimo Cecchi (2):
      gnobots2: add the primary-toolbar style class
      mahjongg: add the primary-toolbar style class on the toolbar

Daniel Korostil (1):
      Uploaded Ukranian

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Daniel Nylander (1):
      Updated Swedish translation

Gabor Kelemen (1):
      Updated Hungarian translation

Gil Forcada (1):
      [l10n]Updated Catalan translation

Jason D. Clinton (3):
      gnome-games.doap: Add a description field to make the ftpadmin script happy
      lightsoff, swell-foop: Set WM_CLASS for Shell Application tracking
      swell-foop: Fix About dialog description of the game

John Stowers (24):
      sodoku: a little more gi porting
      soduku: gi porting
      sudoku: gi port starts
      sudoku: gi port, hack pango_layout_set_markup
      sudoku: gi port, add user_data=None to callbacks
      soduku: gi port actually draws games!
      soduku: gi port, add broken numberbox
      soduku: gi port, hack around gdk_window_get_origin change
      sodoku: gi port, remove old code
      sodoku: gi port, fix dialog_extras
      sodoku: gi port, tidy dialog_extras
      sodoku: gi port, more debugging for colors/focus/state
      sodoku: gi port, hack around gdk_window_get_origin
      sodoku: gi port, autotools check for pygobject
      sodoku: gi port, GtkPrintOperation*
      sudoku: gi port, replace pixbuf recolor
      sodoku: gi port, fix PangoCairo.show_layout
      sodoku: gi port, state/focus tracking work
      sodoku: gi port, colors now working
      sodoku: gi port complete, move out of staging
      sodoku: gi port complete, fix Gtk.DirectionType.TAB_BACKWARD
      sudoku: add the primary-toolbar style class
      sudoku: fix hidden notes
      sudoku: gi port, fix override and background colors

Jorge González (1):
      Updated Spanish translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Lapo Calamandrei (1):
      swell-foop: Add shape to default theme so is visble by color-blind people

Marek Černocký (2):
      Updated Czech translation
      Updated Czech translation

Mario Blättermann (1):
      [l10n] Updated German translation

Matej Urbančič (2):
      Updated Slovenian translation
      Updated Slovenian translation

Muhammet Kara (2):
      Updated Turkish translation
      Added Turkish figures for glines

Piotr Drąg (3):
      Updated Polish translation
      Updated Polish translation
      Updated Polish translation

Robert Ancell (18):
      lightsoff: Get working with seed 2.91.90
      swell-foop: Runs fine with seed 2.91.90
      libgames-support: Install typelib into a private location, don't bother installing the .gir since the library is private and is not going to be extended by other libraries
      lightsoff: Fix settings dialog
      swell-foop: Fix settings dialog
      libgames-support: Do install the .gir file, but in a private location
      chess: Correctly set up i18n (Bug #647090)
      chess: Mark strings for translation that were missed
      chess: Fix bug in Vala GTK bindings setting file filter labels
      chess: Use standard license in about dialog
      chess: Mark string for translation that were missed
      chess: Remove unnecessary wrap_license property of about dialog
      chess: Use OptionContext for command line arguments
      swell-foop: Make test theme use the same colors as the defaut, and rename to 'Colors'.  Rename tango theme to 'Shapes and Colors'
      chess: Correctly apply fifty move rule after 50 full moves, not half moved (Bug #649625)
      chess: Update UI file to recent glade
      chess: Remember window size
      chess: Fix fullscreen mode not working

Thomas Hindoe Paaboel Andersen (13):
      sudoku: Auto convert with pygi-convert.sh
      sudoku: Replace pygtk.require with gi.require_version
      sudoku: Fix imports
      sudoku: port the gconf wrapper
      gnotravex: revert accidental commit
      version bump
      sudoku: more gi porting
      sudoku: use set_related_action
      sudoku: imports fix, replace deprecated api
      sudoku: Fix runtime warning
      sudoku: Import Gdk and fix color parsing
      sudoku: Fix setting numbers using keyboard
      iagno: Default AI difficulty should be easiest

Yaron Shahrabani (2):
      Updated Hebrew translation.
      Updated Hebrew translation.

Yuri Myasoedov (1):
      Updated Russian translation

gnome-games 3.0.0
=================

Overview of major, visiable changes during the 2.91 cycle:
 * Chess rewriten in Vala and a large number its outstanding bugs fixed
 * Port to GTK+ 3 except Sudoku
 * Some 256x256 icons merged from the GNOME Design Team
 * Quadrapassel gained a new theme "Clean"

Shortlog of changes since 2.91.93:

Abduxukur Abdurixit (1):
      Added UG translation

Ask H. Larsen (1):
      Updated Danish translation

Christian Persch (1):
      build: aisleriot: Don't dist the 256px size icons

Daniel Korostil (1):
      Uploaded Ukranian

Dr.T.Vasudevan (4):
      Updated Tamil translation
      Updated Tamil translation
      Updated Tamil translation
      Updated Tamil translation

Gabor Kelemen (1):
      Updated Hungarian translation

George Stefanakis (1):
      l10n: Updated Greek translation for gnome-games

Gil Forcada (2):
      [l10n]Updated Catalan translation
      [l10n]Updated Catalan translation

Inaki Larranaga Murgoitio (1):
      Updated Basque language

Jason D. Clinton (5):
      Revert "aisleriot: Crush PNG files"
      Revert "aisleriot: icons: Make 256 size aisleriot and freecell icons more similar"
      Revert "build: aisleriot: Don't dist the 256px size icons"
      Revert "aisleriot: icons: Add 256 size freecell app icon"
      aisleriot: Use GNOME Design Team's new icon with 256x256 size

Jordi Serratosa (1):
      [l10n]Fixes on Catalan translation

Kristjan SCHMIDT (1):
      Updated Esperanto translation

Krix Apolinário (1):
      Updated Brazilian Portuguese translation

Luca Ferretti (1):
      Use /org/gnome as starting path for schemas

Marek Černocký (3):
      Updated Czech translation
      Updated Czech screenshot
      Updated Czech screenshot

Matej Urbančič (1):
      Updated Slovenian translation

Miroslav Nikolić (1):
      Updated Serbian translation

Nacho (1):
      aisleriot: add a primary-toolbar style class to the toolbar

Piotr Drąg (1):
      Updated Polish translation

Rajesh Ranjan (1):
      hindi updated

Rodrigo Padula de Oliveira (1):
      Updated Brazilian Portuguese translation. Revision by Enrico Nicolleto.

Shankar Prasad (3):
      Updated kn translations
      Updated kn translations
      Updated kn translations

Yuri Myasoedov (2):
      Updated Russian translation
      Fixed Russian translation


gnome-games 2.91.93
===================

256x256 icons added for aisleriot and gnomine by Lapo Calamandrei. Aisleriot
switched the default theme back to bonded and temporarily removed the experimental
clutter mode.

Shortlog since 2.91.91:
Alexander Shopov (1):
      Updated Bulgarian translation

Andrej Žnidaršič (2):
      Updated Slovenian translation
      Updated Slovenian translation

Aron Xu (1):
      Update Simplified Chinese translation.

Bruce Cowan (1):
      Updated British English translation

Christian Persch (12):
      aisleriot: clock: Add translator comments
      aisleriot: Move app icons to aisleriot
      aisleriot: Switch default theme back to bonded
      aisleriot: Fix card theme menu
      aisleriot: More debug UI
      aisleriot: Add 256x256 app icon
      aisleriot: Crush PNG files
      libgames-support: Ifdef icons not used on hildon
      aisleriot: Remove sol/clutter from 3.0 branch
      aisleriot: icons: Add 256 size freecell app icon
      aisleriot: icons: Make 256 size aisleriot and freecell icons more similar
      aisleriot: Crush PNG files

Craig Duncan (2):
      Don't show a preview when "Choose difficult blocks" is switched on
      Only show the preview block in the correct circumstances

Duarte Loreto (1):
      Updated Portuguese translation

Fran Diéguez (1):
      Updated Galician translations

Ivar Smolin (1):
      [l10n] Updated Estonian translation

Jason D. Clinton (5):
      help: new help uses .mo files too so ignore .mo files everywhere
      help: new help generates .page files; ignore those
      git.mk: sync up with git.mk from upstream pango git
      build: add new Gnomine icons from last commit to build system
      gnomine: use the new Gnomine icons in the About dialog

Lapo Calamandrei (1):
      gnomine: add icons from Lapo Calamandrei

Lucian Adrian Grijincu (1):
      Updated Romanian translation

Manoj Kumar Giri (1):
      Updated Oriya Translation

Marek Černocký (1):
      Updated Czech translation

Mario Blättermann (1):
      [l10n] Updated German translation

Peter Mráz (1):
      Updated Slovak translation

Rudolfs Mazurs (1):
      Updated Latvian translation.

Thomas Hindoe Paaboel Andersen (3):
      gnibbles: Better error message if clutter fails to init
      quadrapassel: Better error message if clutter fails to init
      version bump

Yuri Myasoedov (1):
      Updated Russian translation

gnome-games 2.91.91
===================

Various bugfixes and translations.

Shortlog:
A S Alam (1):
      update Punjabi Translation by A S Alam

Bruno Brouard (1):
      Updated French translation

Changwoo Ryu (1):
      Updated Korean translation

Christian Persch (1):
      aisleriot: Disable status bar messages on mouseover by default

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Daniel Nylander (2):
      Updated Swedish translation
      Updated Swedish translation

Gabor Kelemen (1):
      Updated Hungarian translation

Khaled Hosny (1):
      Updated Arabic translation

Kjartan Maraas (2):
      Updated Norwegian bokmål translation
      Updated Norwegian bokmål translation

Mario Blättermann (1):
      [l10n] Updated German translation

Michael Kotsarinis (2):
      l10n: Updated Greek translation for sudoku docs
      l10n: Updated Greek translation for quadrapassel docs

Nirbheek Chauhan (1):
      Fix header collisions between clutter-gtk-0.10 and clutter-gtk-1.0

Piotr Drąg (1):
      Updated Polish translation

Robert Ancell (6):
      chess: Run tests on make check, add tests for PGN files, remove obsolete manual test PGN files
      chess: Fix incorrect human move strings
      chess: Add note about adding castling move strings
      chess: Fix checkmate detection (Bug #644180)
      chess: Fix non-displaying move hints
      chess: Redraw board when move undone (Bug: #644178)

Rudolfs Mazurs (1):
      Updated Latvian translation.

Teliute (5):
      Add Chinese (China) help translation of aisleriot.
      Update Simplified Chinese gnomine help translation.
      Add Simplified Chinese iagno help translation.
      Update Simplified Chinese quadrapassel help translation.
      Add Simplified Chinese glchess help translation.

Thomas Hindoe Paaboel Andersen (1):
      gnobots2: Remove G_CONST_RETURN usage

Yaron Shahrabani (1):
      Updated Hebrew translation.

Yuri Myasoedov (1):
      Updated Russian translation

gnome-games 2.91.90
==================

In this release Chess was rewritten in vala. Iagno and gnomine had graphical
glitches fixed. All games except swell-foop, lightsoff, and sudoku are now
working with GTK3.

Shortlog:
Benjamin Otte (1):
      gnomine: Queue repaints instead of immediate repainting

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Persch (4):
      build: Include git.mk in all makefiles
      Sync prop-editor with gtk+
      libgames-support: Re-add games-preimage-private.h
      libgames-support: Don't do gratuitous changes to copypasted files

Daniel Mustieles (3):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Daniel Nylander (2):
      Updated Swedish translation
      Updated Swedish translation

Emilio Pozuelo Monfort (1):
      libgames-support: fix missing icons

Fran Diéguez (3):
      QA of Galician translations
      Updated Galician translations
      Updating Galician translations

Inaki Larranaga Murgoitio (2):
      Updated Basque language
      Updated Basque language

Ivar Smolin (4):
      [l10n] Updated Estonian translation
      [l10n] Updated Estonian translation
      [l10n] Updated Estonian translation
      [l10n] Updated Estonian translation

Jorge González (2):
      Updated Spanish translation
      Updated Spanish translation

Kjartan Maraas (3):
      Remove non-existing file
      Updated Norwegian bokmål translation.
      Updated Norwegian bokmål translation.

Kåre Fiedler Chrisitiansen (1):
      aisleriot: Fix option menu for games with more than three options

Marek Černocký (3):
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation

Michael Kotsarinis (1):
      Updated Greek translation

Robert Ancell (100):
      Port of glchess from Python to Vala. 3D is disabled for now as it doesn't work in GTK3
      Get OpenGL working directly using GLX
      Load data from installed location
      Fix up about dialog
      Fix 2d/3d switch
      Delete GLX context when widget destroyed
      Handle failure to create GLX visuals/contexts
      Add command line option
      Correctly load games from the command line
      Work with latest GTK+3
      Work with latest GTK+3
      Fix rank numbering
      Almost got bitboards working
      Working without promotion
      Promotion working
      Use FEN notation
      Load castling flags from FEN
      Support PGN games with FEN setup
      Add a test program
      Track if can castle
      Gen en-passant working
      Don't install test program
      Handle castling rules better
      En-passant only allowed if square available
      Check FEN state is valid after move
      Add in basic history framework
      Remove non-required GLib namespaces
      Tidy up history code
      Autosave games
      Update history index when game saved, fix date for games
      Add back 3D board numbering
      Rotate the black pieces
      Apply board orientation setting
      Render the time box
      Glade can't make it's mind up which order to save widgets in...
      Workaround GTK bug that makes the history buttons wrap around
      Add piece and board texturing
      Start work on a chess clock
      Get a chess clock working
      Only use game clock if configured
      Use existing piece colors
      Fix 3d board normals
      Use the same texturing as the old glchess
      Connect engine difficulty settings
      Fix unreliable glX usage
      Fix GNU Chess config
      Log AI profiles better
      Merge branch 'glchess-vala'
      Mark strings for translation
      Fix translations for new glchess
      Workaround for gdk_x11_window_get_xid not being in the vala bindings yet
      Remove copyright that was accidentally copied
      Simplify .vapi files in Makefile
      Only use chess engine for new games, loaded games may not have an engine
      Fix up SAN and FAN notation
      Fix engine string being freed (bug in vala with string properties)
      Make vala support optional and version it
      Compile with Vala 0.11.4
      Set window title to name of loaded game
      Update glchess move strings for new format
      chess: Add translator comments
      chess: Correctly restore AI games
      chess: Make history combo correctly track move number
      chess: Set correct plural form in time units combobox
      chess: Add context to translatable strings
      gnuchess: Don't translate strings - this engine only communicates with glchess and the strings are not user visible
      Detect checkmate
      chess: Fix detect checkmate
      chess: Fix disabling of chess clock
      Update annotations on libgames-support
      Refactor GamesScore to be more GObject
      libgames-support: Make all objects private members private
      libgames-support: add missing code for new private code, finalize GamesScores
      chess: Add test for checkmate
      chess: Add test for check
      chess: Track halfmove clock
      chess: Only allow draw for fifty move rule
      chess: Compile with latest vala
      chess: Detect stalemate
      chess: Test for insufficient material, fix pawn promotion, put check/checmate suffix on SAN/LAN move text, Use correct notation for castling with SAN/LAN move text, better unit tests
      chess: Add comments about needing claim draw tests
      chess: Detect draw by three fold repetition
      chess: Start to get undo to work again
      chess: Decode promotion type from UCI engines
      chess: Get undo working:
      chess: Pre-render the 2D models.  Instead of colouring squares that can be moved onto, use draw faint models into those squares
      chess: Show the selected piece as larger instead of using colours
      chess: Make 3D board match 2D hint changes
      chess: Fix play as white/black preferences option
      chess: Prompt user to save/abandon when starting new game
      chess: Use int.parse() instead of string.to_int()
      chess: Add back animation
      chess: Fix promotion to knight detection
      chess: Set the animation timer to low priority so the rendering has higher priority
      chess: Fix crash starting new game when viewing history of a previous one
      chess: Tidy up rendering code
      chess: Fix variable name typo
      chess: Install GSetting schema
      chess: Fix POTFILES.in for file changes
      chess: Remove schema file on distclean

Rufus (1):
      Reenable iagno's dashed grid, and the grid enabling/disabling option.

Thomas Hindoe Paaboel Andersen (10):
      quadrapassel: use gtk_clutter_init... instead
      sudoku: move imports to individual lines
      sudoku: Rename class to avoid conflict in pygobject conversion
      version bump
      gnibbles: use new games-score API
      fix distcheck
      quadrapassel: Fix typo in program name
      gtali: Check for error when loading image files
      glchess: Bump required vala version
      version bump

Yaron Shahrabani (3):
      Updated Hebrew translation
      Updated Hebrew translation
      Updated Hebrew translation

方真 (1):
      Add simplified Chinese glines help  translation.

gnome-games 2.91.5
==================

Mostly fixes for gtk3 and clutter-gtk 1.0. Quadrapassel also gained a new theme
"Clean".

Shortlog:
A S Alam (1):
      update for Punjabi translation

Andrew Higginson (2):
      quadrapassel: Add new theme Clean
      quadrapassel: Adjust the message font

Aron Xu (1):
      Add Chinese (China) swell-foop help translation.

Bruno Brouard (1):
      Updated French doc translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Kirbach (1):
      [l10n] Updated German aisleriot help translation

Christian Persch (2):
      aisleriot: Don't use deprecated gdk_spawn_* on gtk3
      build: Fix gdk target check for gtk3

Daniel Mustieles (1):
      Updated Spanish translation

Daniel Nylander (1):
      Updated Swedish translation

Djavan Fagundes (1):
      Fixed a issue in Brazilian Portuguese translation

Fran Diéguez (1):
      Updated Galician translations

Gheyret T.Kenji (1):
      Added UG translation

Ivar Smolin (4):
      [l10n] Updated Estonian translation
      [l10n] Updated Estonian translation
      [l10n] Updated Estonian translation
      [l10n] Updated Estonian translation

Kjartan Maraas (2):
      Updated Norwegian bokmål translation
      Updated Norwegian bokmål translation from Torstein Adolf Winterseth

Lucian Adrian Grijincu (1):
      Updated Romanian translation

Petr Kovar (1):
      Update Czech translation by Marek Cernocky

Robert Ancell (3):
      Make gnobots2 work with GTK3/cairo
      Make gnomine work with GTK3/cairo
      mahjongg: Work with GTK3

Sérgio Cipolla (1):
      Fixed some issues in Brazilian Portuguese translation

Teliute (7):
      Add Chinese (China) lightsoff help translation.
      Add Chinese (China) gnobots2 help translation.
      Add Chinese (China) gnect help translations.
      Add Chinese (China) gtali help translations.
      Update Chinese (China) gtali help translations.
      Add Chinese (China) gnotski help translations.
      Add Chinese (China) mahjongg help translations.

Thomas Hindoe Paaboel Andersen (17):
      glines: fix drawing of non-square fields
      glines: Fix missing draw of previews
      remove version checks that are already guaranteed to be met
      mahjongg: remove unneeded checks
      mahjongg: replace deprecated gdk_pixbuf_unref
      aisleriot: fix typo (width/height)
      fix warnings on 64bit build
      sync gtk3 fix from libegg
      fix a few introspection warnings
      Fix for API break in clutter-gtk
      gnibbles: another API change fix
      bump required clutter-gtk
      gnibbles: fix non-square board size
      gnibbles: the elastic effect overshoots and will cause a negative opacity to be set. Use expo instead
      gnibbles: fix build warning
      gnotravex: fix build with no smclient
      version bump

Vincent Povirk (1):
      aisleriot/poker: End game when last card is placed outside shuffle mode.

Vincent Untz (1):
      lightsoff, swell-foop: Really safely set LD_LIBRARY_PATH

Yaron Shahrabani (1):
      Updated Hebrew translation.

gnome-games 2.91.3
==================

Chess got a new option for showing the captured pieces. Quadrapassel and
gnotravex got ported to gtk3.

Shortlog:
Daniel Mustieles (1):
      Updated Spanish translation

Dr.T.Vasudevan (3):
      Updated Tamil translation
      Updated Tamil translation
      Updated Tamil translation

Edward Sheldrake (3):
      Changes for gobject-introspection >= 0.9.10
      Changes for gobject-introspection >= 0.9.10
      Changes for gobject-introspection >= 0.9.10

Fran Diéguez (1):
      Updated Galician translations

Gheyret T.Kenji (3):
      Added UG translation
      Added UG translation
      Added UG translation

Greg McNew (1):
      chess: Add an option for showing captured pieces (Bug #510732)

Javier Jardón (2):
      Use gtk_paned_new() instead gtk_[h|v]paned_new()
      gnibbles: Use GSourceFunc instead GtkFunction

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Thomas Hindoe Paaboel Andersen (11):
      gnobots2: delete unused file
      gnobots2: GTK_OBJECT is gone in gtk3
      a higher version of gtk is already required
      quadrapassel: gtk3 port
      gtk3 implies glib v2.27 so these checks are not needed
      Delete unused omf.make and xmldocs.make
      Update error messages
      gtk_statusbar_set_has_resize_grip removal
      gtk_dialog_set_has_separator removal
      gnotravex: gtk3 port
      gnotravex: fix flicker when moving columns

gnome-games 2.91.2
==================

In this release the default was switched to building with GTK3. Only aisleriot
will keep support for GTK2.
Games ported to GTK3 in this release: gnect, gnibbles, gnotski, gtali, and iagno.

Shortlog:
Andrej Žnidaršič (1):
      Updated Slovenian translation

Carles Ferrando (1):
      Updated Catalan (Valencian) translation

Christian Persch (3):
      gnect: Port to cairo and gtk3
      aisleriot: Sync prop-editor from gtk
      aisleriot: Sync prop-editor.c from gtk

Daniel Mustieles (1):
      Updated Spanish translation

Edward Sheldrake (3):
      gnibbles: Add doctype to background svg file
      lightsoff, swell-foop: Fix segfault in gtkclutter init
      lightsoff, swell-foop: Don't try to manually iterate GLib main loop inside inner loop

Fran Diéguez (1):
      Updated Galician translations

Joe Hansen (2):
      Updated Danish translation of the documentation
      Updated Danish translation of the documentation

Jordi Mas (1):
      Fix typos in Catalan translation

Matej Urbančič (3):
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation

Matthias Clasen (3):
      gnomine: Use get_preferred_{width,height} instead of size_request
      libgames-support: Use get_preferred_{width,height} instead of size_request
      aisleriot: Use get_preferred_{width,height} instead of size_request

Robert Ancell (5):
      sudoku: Make last played strings more translatable (Bug #628161)
      sudoku: Remove unused translatable tooltip strings (Bug #628161)
      sudoku: Change grammar in error text (Bug #628161)
      sudoku: Make play duration strings more translatable (Bug #628161)
      sudoku: Make puzzle title strings more translatable (Bug #628161)

Takayuki KUSANO (1):
      Updated Japanese translation

Thomas Hindoe Paaboel Andersen (7):
      gtali: gtk3 port
      gnotski: port to gtk3
      gnobots2: various gtk3 fixes
      default to gtk3.0 and gtk3-ready games
      gnibbles: gtk3 fixes
      build: add gnibbles to gtk3-buildable games
      iagno: gtk3 port

Tim Horton (1):
      lightsoff: disable using Gtk theme color as button color (broken on Gtk3)

Yaron Shahrabani (1):
      Updated Hebrew translation.

gnome-games 2.91.1
==================

This is the first release on the road to a gtk3 based gnome-games. So far only
aisleriot and glines have been ported but the rest is comming.

To build with gtk3 use "--with-gtk=3.0 --enable-games=aisleriot,glines"

New dependencies:
GTK+ ≥ 2.90.0
RSVG ≥ 2.32.0
LIBCANBERRA_GTK ≥ 0.26

Shortlog:
A S Alam (1):
      update for Punjabi

Aurimas Černius (1):
      Updated Lithuanian translation

Baurzhan Muftakhidinov (1):
      Initial translation to Kazakh

Bruce Cowan (1):
      Updated British English translation

Bruno Brouard (1):
      Updated French doc translation

Christian Kirbach (1):
      [l10n] Updated German translation

Christian Persch (43):
      build: Restore correct version
      aisleriot: Fix the build with gtk3
      aisleriot: Fix signed/unsigned int comparision warning
      build: Fix the gtk 3 API version define
      aisleriot: Add Fedora packages to theme-install.ini
      aisleriot: Add some debug output to card theme install process
      aisleriot: Show install confirmation
      libgames-support: Add GAMES_RUNTIME_PREFIX
      build: Remove redundant redefinition of GTK_API_VERSION
      aisleriot: Also look for card themes in the system prefix
      libgames-support: Add games-settings.[ch]
      libgames-support: Delay state saving until exit
      aisleriot: Port window state persistence to gsettings
      build: Fix --with-card-theme-formats=default
      aisleriot: Make PySol and KDE card theme paths configurable
      libgames-support: Fix for gdk keysym name change
      aisleriot: Fix for gdk keysym name change
      aisleriot: dialogues no longer have separators
      aisleriot: Add scalable attribute to ArCardThemeInfo
      aisleriot: Add adapter for get_card_pixbuf
      aisleriot: Use cairo_rectangle_t directly here
      aisleriot: Use pixdata for the cursors on gtk 3
      build: Add suse and debian default for the card theme paths
      build: Add ACLOCAL_FLAGS
      aisleriot: Make kde card theme support work
      build: Require cairo 1.10 for the kde card theme support
      aisleriot: Remove GdkPixmap use
      aisleriot: Port to GtkWidget::draw
      aisleriot: Make cairo drawing work on gtk 2 and gtk 3
      aisleriot: Port to latest rendering-cleanup-next branch
      aisleriot: Load KDE card back desktop files
      aisleriot: Remove gdk_window_clear
      build: Bump gtk 3 req version
      build: Don't implicitly depend on glib 2.26
      build: Update libcanberra-gtk3 required version
      aisleriot: Use the new window resize grip on gtk 3
      aisleriot: Use gdk_pixbuf_new_from_inline() here
      gnobots2: Convert cursors to PNG
      build: Remove unnecessary entry from CLEANFILES
      aisleriot: Regenerate cursor source
      build: Error out when building games with gtk2 that don't support gtk2
      aisleriot: Remove unnecessary include
      build: Also clean the generated .gschema.xml file

Claude Paroz (1):
      [help-mahjongg] Fix XML validity of French translation

Daniel Mustieles (1):
      Updated Spanish translation

Djavan Fagundes (1):
      Updated Brazilian Portuguese translation by André Gondim <andregondim@ubuntu.com> and myself

Duarte Loreto (1):
      Updated Portuguese translation

Friedel Wolff (1):
      Update Afrikaans (af) translation

Gil Forcada (1):
      Updated Catalan translation

Hiroyuki Sekihara (1):
      Added Japanese translation.

Ivar Smolin (2):
      [l10n] Updated Estonian translation
      [l10n] Updated Estonian translation

Manu (1):
      glines: use a more sensible scoring system (#503953)

Marek Černocký (3):
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation

Mario Blättermann (1):
      [i18n] Updated German doc translation

Matej Urbančič (30):
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Added sl for Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation
      Updated Slovenian translation
      Added sl for Slovenian translation

Matthias Clasen (7):
      libgames-support: Port to new combo box text API
      gnect: Port to new combo box text API
      mahjongg: Port to new combo box text API
      gtali: Port to new combo box text API
      gnobots2: Port to new combo box text API
      gnibbles: Port to new combo box text API
      aisleriot: Port to new combo box text API

Michael Kotsarinis (1):
      l10n: Updated Greek translation for gnome-games

Milo Casagrande (1):
      [l10n] Updated Italian translation

Piotr Drąg (1):
      Updated Polish translation

Robert Ancell (1):
      Remove NEWS changes

Takayuki KUSANO (2):
      Updated Japanese translation
      Fix Japanese translation.

Thomas Hindoe Paaboel Andersen (3):
      Version bump
      glines: fix some gtk3 issues
      glines: gtk3 port

Timo Jyrinki (1):
      Updated Finnish translation by Ubuntu Finnish translators.

Vincent Untz (3):
      aisleriot: Add openSUSE packages to theme-install.ini
      libgames-support: Fix build with gobject-introspection >= 0.9.5
      aisleriot: Fix broken test that forced checking the path for card themes

Xandru Armesto (1):
      Updated asturian translation

Yaron Shahrabani (1):
      Updated Hebrew translation.

gnome-games 2.31.90
===================

In this release the port to cairo has been completed for a few of the games. In
aisleriot some parts of the code has changed license from LGPL to GPL 3+. Also
a few bug fixes and some translations.

Andika Triwidada (1):
      Updated Indonesian translation

Christian Persch (19):
      aisleriot: Add cairo drawing mode
      aisleriot: Fix build with gtk3
      libgames-support: Plug a mem leak
      aisleriot: Remove debug spew
      aisleriot: Add aisleriot_card_theme_paint_card()
      aisleriot: Use gdk_window_create_similar_surface
      aisleriot: Fix thinko
      libgames-support: Add games_preimage_render_cairo
      aisleriot: Implement cairo rendering in ArCardThemeSVG
      libgames-support: Plug a mem leak
      aisleriot: Remove debug spew
      build: Use right clutter-gtk API version for gtk3
      aisleriot: Simplify code
      aisleriot: Remove uncessary ifdef'd code
      aisleriot: Clip to expose region
      aisleriot: Don't optimise exposes
      aisleriot: Change drag mask drawing
      aisleriot: Remove useless check
      aisleriot: Go GPL 3+

Craig Duncan (2):
      Changed the range of lines from (1..20) to (0..19)
      Included the rot_next variable when getting the block positions for preview

Daniel Mustieles (1):
      Updated Spanish translation

Daniel Nylander (1):
      Updated Swedish translation

Thomas Hindoe Paaboel Andersen (3):
      [glines] Port to cairo
      [gnibbles] Store tail direction before reversing the worm
      [gnobots2] Use cairo to draw backgrounds

Xhacker Liu (1):
      Add Simplified Chinese help translation of gntravex.

lainme (2):
      Update Simplified Chinese help translation of gnome-sudoku.
      Update Simplified Chinese help translation of gnomine.

gnome-games 2.31.6
===================

Sudoku got tooltips for the buttons used in the tracker. Quadrapassels manual
was updated with the name change of 'bastard mode'. As always the awesome
translators have updated many languages.


Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Persch (1):
      Sync from gtk+

Daniel Mustieles (1):
      Updated Spanish translation

Fran Diéguez (1):
      Updated Galician translations

Jorge González (1):
      Added Spanish translation

Kjartan Maraas (2):
      Updated Norwegian bokmål translation
      Updated Norwegian bokmål translation

Mario Blättermann (2):
      [i18n] Updated German translation
      [i18n] Updated German doc translation

Matej Urbančič (1):
      Updated Slovenian translation

Robert Ancell (2):
      quadrapassel: Update manual with 'bastard mode' name change
      sudoku: Update tooltips

Teliute (1):
      Add Simplified Chinese help translation of gnibbles.

Xhacker Liu (1):
      Update Simplified Chinese translation.

drtv (1):
      Updated Tamil translation

gnome-games 2.31.5
===================

Sudoku got a new hint system. In aisleriot the card are now slightly bigger. Also
build and GTK3 fixes.

Christian Persch (10):
      aisleriot: Increase card-slot-ratio
      build: Fix --with-gtk check
      build: Fix the librsvg .pc check
      aisleriot: gtk-3.0 build fixes
      build: Error out if clutter-gtk not found for aisleriot/clutter
      aisleriot: GSEAL fixes
      build: Fix clutter-gtk checks
      aisleriot: More GSEAL fixes
      build: Fix libcanberra-gtk check for gtk 3
      gnotravex: GSEAL fixes

Robert Ancell (3):
      quadrapassel: Rename 'bastard mode' to 'choose difficult blocks'
      gnotravex: Tidy up the code
      sudoku: Make hint suggest a square: Bug #616351

Xhacker Liu (1):
      Updated zh_CN translation.

gnome-games 2.31.4
===================

Minor bugfixes and translation updates.

Andika Triwidada (1):
      Updated Indonesian translation

Christian Persch (2):
      build: Add dual gtk+ build
      Comment out gsettings code

Claude Paroz (2):
      Use ngettext for the "points" string
      glchess: Print traceback to stderr if can't import modules

Daniel Mustieles (1):
      Updated Spanish translation

David Fifield (1):
      Documentation typo in swell-foop.xml: p doesn't match n

Fran Diéguez (2):
      Updated Galician translations
      Updated Galician translations

Gabor Kelemen (1):
      Untranslated string

Jorge González (1):
      Updated Spanish translation

Kjartan Maraas (1):
      Added Norwegian bokmål translation

Kristjan Schmidt (2):
      Add Esperanto translation
      Add Esperanto translation

Luca Bruno (1):
      Check for libICE as it is used in libgames-support/eggsmclient-xsmp.c

Matej Urbančič (1):
      Updated Slovenian translation

Robert Ancell (7):
      Use standard Python exception syntax (Bug #620032)
      glchess: Fix insufficient material logic
      glchess: Remove redundant code from new insufficient material algorithm
      glchess: Fix insufficient material algorithm again
      glchess: typo in board.py
      glchess: Use GdkPixbuf for loading textures
      Remove png.py from Makefile

Romain Perier (1):
      Fix *** glibc detected *** gtali: free(): invalid pointer.

Roth Róbert (1):
      gtali: Use better randomization algorithm

Rudols Mazurs (1):
      Updated Latvian translation.

Thomas Hindoe Paaboel Andersen (3):
      post-release version bump
      Fix for GSEAL of GdkVisual
      Adjust gtk version

timClicks (1):
      Fixed License section of Help

gnome-games 2.31.3
===================

Mostly build and translations fixes. Aisleriot now uses a uniform baize colour.

Christian Persch (6):
      aisleriot: Add baize colour property to ArStyle
      aisleriot: Use a uniform baize colour
      build: Just disable the PackageKit integration on non-LSB distros
      aisleriot: Fix for recent GDBus API change
      build: Dist the .gschema.xml.in file
      libgames-support: Fix glib-compile-schema call

Daniel Mustieles (1):
      Updated Spanish translation

Fran Diéguez (3):
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations

Gabor Kelemen (1):
      Fix an error

Ivar Smolin (1):
      Estonian translation updated

Mario Blättermann (1):
      Updated German doc translation

Robert Ancell (1):
      Run glib-compile-schemas in in $(DESTDIR)

Shaun McCance (1):
      [gnotravex/help] Include logo PNG in build

Thomas Hindoe Paaboel Andersen (2):
      put the gschema.xml.in file in POTFILES.skip for now
      Version bump

Timo Jyrinki (1):
      Added and updated Finnish help translations by Valto Wirkola.

gnome-games 2.31.2
===================

This release includes bug fixes in glchess, lightoff, mahjongg and sudoku, translation updates and preparation for GNOME 3.0 changes (gsettings, gdbus).

Highlights:
- The tracker system in Sudoku has been overhauled by Jim Ross.
- Lights Off has an improved level generation algorithm written by Justin Blanchard

Christian Persch (3):
      build: Add check for GIO 2.25
      libgames-support: Add some GSettings utility functions
      aisleriot: Port card themes installer to gdbus

Inaki Larranaga Murgoitio (2):
      Updated Basque language
      Updated Basque language

Ivar Smolin (1):
      Estonian translation updated

Jim Ross (1):
      Tracker overhaul
      Always set showing tracker to bold

Joe Hansen (1):
      Added Danish translation

Josselin Mouette (1):
      Sudoku: Don’t use set.update() with multiple arguments

Justin Blanchard (1):
      Introduce much more advanced level generation algorithm.

Kenneth Nielsen (1):
      Added da to list of languages

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Petr Kovar (1):
      Update Czech translation by Marek Cernocky

Robert Ancell (8):
      Fix typo in glaurung AI config
      Support Stockfish
      Support Fairy-Max
      Fix alignment in tracker panel
      Show black feet for untracked data
      Add missing tracker_info.py to makefile
      Use bold instead of underline for active tracker
      Fix stock button name

Thomas Hindoe Paaboel Andersen (3):
      mahjongg: Undo should not be sensitive after the game is won
      glchess: update texture dir for uninstalled mode to new location
      Distcheck fix

Thomas Thurman (2):
      Updated Shavian transliteration
      Updated Shavian translation

Tim Horton (4):
      lightsoff: fix misinterpreted clicks when mouse moves
      Revert "lightsoff: fix misinterpreted clicks when mouse moves"
      lightsoff: fix misinterpreted clicks when mouse moves
      lightsoff: Fix extra black padding on right/bottom of puzzle board

gnome-games 2.31.1
==================

This release includes a lot of improvements mainly for sudoku, chess, and tetravex.
Overall the games now have more consistent menus, better HIG compliance, and now
builds with GSEAL.

The work on sudoku includes a new sharper look, less cluttered menus, removal of
the status bar, and a ton of bug fixes. Chess now supports svgs for pieces and
includes a new theme. Chess also moved to use GtkInfoBar. In tetravex animation
support was added together with support for swapping pieces. In quadrapassel the
difficulty in the later levels was tweaked to be easier.

Thanks to all contributors and a big welcome to our new developer Jim Ross for
the awesome work on sudoku.

Ask H. Larsen (1):
      Updated Danish translation

Barcc (1):
      aisleriot: patch for wrong dialog if king on last slot in helsinki game

Bruno Brouard (2):
      Updated French translation
      Updated French translation

Carles Ferrando (1):
      Updated Catalan (Valencian) translation

Christian Persch (5):
      Use gtk_clutter_get_option_group() on clutter-gtk 0.90
      aisleriot: Move variation_to_game_file() to util.[ch]
      Make the render-cards utility GPL3+ too
      libgames-support: add fullscreen and pause actions only to FULL
      aisleriot: Remove toolbar banner support

Claude Paroz (3):
      Sudoku: Remove markup in translatable strings
      Sudoku: Conditional display of active time
      [gnotravex] Updated French translated screenshots

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Fran Diéguez (1):
      Updated Galician translation

Francisco Diéguez (1):
      Updated Galician translations

Ivar Smolin (1):
      Estonian translation updated

Javier Jardón (1):
      Use accessor functions for -DGSEAL_ENABLE. Final patch.

Jim Ross (13):
      sudoku: Fix timer problems. Bug #562782
      Overhaul of conflict resolution
      sudoku: Make note window transient
      sudoku: Fixed mark timing
      sudoku: Fix solver for new conflict resolution code
      sudoku:Integrate activity timer into note editor
      sudoku: Update all hints on clear
      sudoku:warn-unfillable-squares option fixup
      sudoku: Check for completeness on undo clear notes
      Added decorative frame to game selection areas
      Support single-click game selection
      Added Game>Reset, Edit>Clear Top/Bottom Notes
      Clear Bottom Notes disables auto-hint

Joe Hansen (2):
      Added danish translation of the documentation
      Updated Danish translation of documentation

Jordi Serratosa (1):
      Fixes to Catalan translation

Jorge González (3):
      Updated Spanish translation
      Updated Spanish translation
      Added Spanish translation

Kenneth Nielsen (1):
      Added da to list of languages

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Mario Blättermann (2):
      Updated German doc translation
      Updated German translation

Matthias Clasen (1):
      Add libs to LDADD to fix build issues with pedantic linkers

Maxim V. Dziumanenko (1):
      Updated Ukrainian translation

Ray Strode (1):
      gnome-games doesn't support relocatable .gnome2 directory (Bug 613634)

Richard Griswold (1):
      sudoku:Add keybindings to add/remove numbers from notes

Robert Ancell (49):
      Use SVG themes for 2D chess pieces (patch by Alexey Kryukov)
      Merge branch 'glchess-svgchess'
      Move glchess/textures/ and glchess/mime/ into glchess/data/
      Make toolbar text visible
      Make prefernces dialog HIG compliant
      swap pieces if placed on existing piece and animate moves (Dan Whitman, Bug #500957)
      Undo accidental glchess changes
      Allow AI profiles to set different executable flags for different difficulties
      Fix make distcheck after glchess svg changes
      Fix translations in non UTF-8 locale
      Make Sudoku board less eye-straining
      Remove Sudoku statusbar (it's not showing anything useful)
      Always Sudoku generate puzzles in the background, they don't cost any significant CPU and there is no need to prompt the user
      Use correct GtkLabel API to avoid warning
      Use sharp edge to box highlight
      Remove some dead code
      Use sharp lines for Sudoku preview
      Merge View menu into Settings menu to be consistent with other games
      Make menu entries HIG compliant
      Fix some capitalisation
      Show error X in red
      Fix some capitalisation
      Reorder menus to be more consistent with other GNOME Games
      Make toolbar buttons have text
      Remove fill and toggle highlight from the toolbar (they aren't required to play and are easily accessible from the toolbar)
      Add shortcut to print menu, remove from toolbar (the normal use is not to print)
      Remove fill options (Bug #616580)
      Remove Clear Others tracker option (none of the devs can work out what it does)
      Make gnotravex menus standard like other games
      Always use colours
      Remove size submenu, put in settings menu
      Don't show border around iagno board
      Don't show border in notebook
      Don't show border in notebook
      Make game selector activate on button release
      Use Tango colour palette and GNOME Games background if possible
      Use Tango colour palette and GNOME Games background if possible
      Make GamesPauseAction and GamesFullscreenAction to correctly provide toggle actions for pausing and fullscreen
      Load background image from correct location
      Use same colours in 3D mode as in 2D mode
      Reinstate leave fullscreen toolbutton
      Use new GamesActions for gnomine, gnotravex, quadrapassel
      Migrate gnibbles to GamesPauseAction
      Use GamesActions for glines, gnect, gnibbles, gnobots2, gnotski
      Use standard GTK+ background behind chess board.  Make 3D view use more of the available area
      Use GtkInfoBar (Bug #612660)
      Simplify toolbar and add button text
      Start clock before adding penalty for hint
      Fix spacing in statusbar

Theppitak Karoonboonyanan (1):
      Updated Thai translation.

Thomas Hindoe Paaboel Andersen (13):
      GSEAL: window is already available directly. Bug #586731
      Set StartupNotify=true on new games
      Fix typos in gtk_widget_set_window
      Standardize on using "Appearance" in all games
      Chess: Standardize on using "Appearance" in all games
      Sudoku: Only allow autosolver to start if it is not already running
      Sudoku: Only generate puzzles of the selected difficulty
      quadrapassel: Make the difficulty increase less in the higher levels
      sudoku: Remove puzzle_generator.ui from POTFILES.in
      sudoku: remove the puzzle_generator.ui too
      quadrapassel: ifdef call to newly deprecated cogl_texture_unref
      version bump
      Remove deleted file chess_view.ui from POTFILES.in

vasudeven (1):
      updated Tamil translation


gnome-games 2.30.0
==================

Mostly translations but there's a GSEAL fix in here.

A S Alam (1):
      complete Translation for Punjabi by A S Alam

Adi Roiban (1):
      Update Romanian translation

Alexander Shopov (1):
      Updated Bulgarian translation

Antonio Fernandes C. Neto (1):
      Updated Brazilian Portuguese translation

Ask H. Larsen (2):
      Updated Danish translation

Branko Kokanović (3):
      Updated Serbian translations

Bruce Cowan (1):
      Updated British English help translation

Bruno Brouard (3):
      Updated Doc French translation
      Added French doc translation and updated French translation

Carles Ferrando (1):
      Updated Catalan translation

Changwoo Ryu (1):
      Updated Korean translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Persch (1):
      build: Fix build with clutter-gtk 0.10

Christian.Kirbach (2):
      Updated German translation

Claude Paroz (1):
      Updated French translation

Daniel Nylander (2):
      Updated Swedish translation

Duarte Loreto (2):
      Updated Portuguese translation

Fran Diéguez (1):
      Updated Galician translation

Gabor Kelemen (2):
      Updated Hungarian translation
      Mark .js files for translation (Bug #613092)

Gil Forcada (1):
      Updated Catalan translation

Gintautas Miliauskas (1):
      Updated Lithuanian translation.

Inaki Larranaga Murgoitio (2):
      Updated Basque language

Jamil Ahmed (2):
      Updated Bengali translation

Jason D. Clinton (1):
      Bump version to 2.30

Joanna Mazgaj (2):
      Updated Polish translation

Joe Hansen (3):
      Updated Danish translation

Kenneth Nielsen (1):
      Added da to list of languages

Leonid Kanter (1):
      Updated Russian translation

Marek Černocký (3):
      Update Czech translation

Marios Zindilis (2):
      Updated Greek translation for lightsoff documentation
      Updated Greek translation for gnotravex documentation

Matej Urbančič (1):
      Updated Slovenian translation

Milo Casagrande (4):
      Updated gnotravex Italian help translation
      Updated Italian translation

Nikos Bakaoukas (4):
      Updated Greek translation for gnome-games
      Updated Greek translation for glines documentation
      Updated Greek translation for swell-floop documentation
      Updated Greek translation for quadrapassel documentation

Philip Withnall (2):
      Added British English translation of AisleRiot manual
      Updated British English translation

Piotr Drąg (1):
      Updated Polish translation

Simos Xenitellis (4):
      Added el to lightsoff/help/Makefile.am
      Updated Greek translation for gnome-games
      Updated Greek translation for mahjongg documentation

Thomas Hindoe Paaboel Andersen (1):
      GSEAL: window is already available directly. Bug #586731

Vladimir Melo (1):
      Updated Brazilian Portuguese translation

Xhacker Liu (1):
      Update Simplified Chinese translation.


gnome-games 2.29.92
==================

Ask H. Larsen (1):
      Updated Danish translation

Branko Kokanović (3):
      Fixed some typo in Serbian translations
      Updated Serbian doc translations
      Updated Serbian doc translations

Christian Persch (5):
      build: Fix clutter-gtk check for clutter 1.2
      aisleriot: Fix the build with clutter 1.2
      aisleriot: Fix error-bell signal slot
      aisleriot: Fix focus signal
      aisleriot: Add cogl option group

Joe Hansen (2):
      Added Danish translation
      Added Danish translation

Kenneth Nielsen (1):
      Added da to list of langauges

Leonid Kanter (1):
      Update Russian translation by Yuri Kozlov <yuray@komyakino.ru>

Mario Blättermann (1):
      Updated German doc translation

Miloš Popović (1):
      Added Serbian in AisleRiot help Makefile

Torstein Adolf Winterseth (1):
      Updated Norwegian Nynorsk translation


gnome-games 2.29.91
==================

Gnotravex is now using the new Mallard-based help. Gnome games is also free of
deprecated GTK+ symbols again.

Shortlog:
Bruce Cowan (2):
      Fix British English help translation
      Updated British English translation

Bruno Brouard (1):
      Updated French translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Kirbach (1):
      Updated German translation

Christian Persch (3):
      aisleriot: Update prop-editor.c from gtk+ master
      aisleriot: Move card theme support from libgames-support to aisleriot
      aisleriot: Fix the build

Daniel Nylander (2):
      Updated Swedish translation
      Updated Swedish translation

Fran Diéguez (1):
      Updated Galician Translation

Jamil Ahmed (1):
      Updated Bengali translation

Joe Hansen (1):
      Added Danish translation of documentation

Jorge González (9):
      Added es to DOC_LINGUAS
      Added Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Kenneth Nielsen (1):
      Added da to list of languages

Krasimir Chonov (1):
      Updated Bulgarian translation

Leonid Kanter (1):
      Updated Russian translation from Andrew Grigorev

Lucian Adrian Grijincu (1):
      Update Romanian translation

Mario Blättermann (3):
      Updated German doc translation
      Added and removed screenshots
      Updated German doc translation

Matej Urbančič (1):
      Updated Slovenian translation

Maxim V. Dziumanenko (1):
      Update Ukrainian translation

Milo Casagrande (6):
      [help] Imported the new Mallard-based help
      [help] Removed a email tag to validate document
      [help] Fixed a wrong page type
      [help] Deleted omf file and topic.dat file
      [help] Fixed namefile of the video in one topic
      [help] Fix "small video" into "short video"

Theppitak Karoonboonyanan (1):
      Updated Thai translation.

Thomas Hindoe Paaboel Andersen (2):
      Post-release version bump
      version bump

vasudeven (2):
      updated Tamil translation
      updated Tamil translation


gnome-games 2.29.6
==================

Various improvements to aisleriot, and the beginnings of a manual for lightsoff.

Shortlog:
Branko Kokanović (3):
      Added Serbian translation
      Added Latin Serbian translations
      Added Latin Serbian translations

Christian Persch (17):
      aisleriot: Implement slot types for Klondike based games
      aisleriot: Don't include non-disted games in the manual
      aisleriot: Don't include non-disted games in DOC_ENTITIES
      aisleriot: Add some reserve strings
      aisleriot: Correctly round the win percentage
      aisleriot: Add configure switch to enable debugging UI
      aisleriot: Make the prop-editor a stackable window on maemo5
      aisleriot: Don't use GdkPixbuf to load the baize
      aisleriot: Remove unused #include
      libgames-support: Update smclient from libegg master
      aisleriot: Don't use the hardware keys on maemo5
      aisleriot: Remove stock icon from Statistics menu item
      libgames-support: Add back-index property to Pysol card theme
      libgames-support: Support PySolFC 2.0 cardsets
      libgames-support: Don't link libgames-support-gi with -lm
      libgames-support: Remove suprious math.h includes
      libgames-support: Add back-index to KDE card theme class

Daniel Mustieles (1):
      Updated Spanish translation

Daniel Nylander (1):
      Updated Swedish translation

Funda Wang (1):
      link against math lib

Joe Hansen (1):
      Added Danish translation of gnect documentation

Jorge González (1):
      Updated Spanish translation

Kenneth Nielsen (1):
      Added da to list of languages

Kjartan Maraas (2):
      Updated Norwegian bokmål translation
      Updated Norwegian bokmål translation

Mario Blättermann (1):
      Updated German doc translation

Matej Urbančič (1):
      Updated Slovenian translation

Robert Ancell (1):
      Fix crash using UCI engines

Thomas Hindoe Paaboel Andersen (1):
      post-release version bump

Tim Horton (2):
      lightsoff: Raise keyboard-cursor, in case something was added on top of it
      lightsoff: Write the beginnings of a manual


gnome-games 2.29.5
==================

Further improvements to aisleriot, a few bug fixes for lightsoff, and
translation updates.

A.Mencigar (1):
      Updated Slovenian translation

Andrej Žnidaršič (2):
      Added localised figure
      Added localised figure

Christian Persch (30):
      aisleriot: Add card-overhang style property
      aisleriot: Set card-overhang to 0. by default
      aisleriot: Add property editor debug UI to tweak style properties
      aisleriot: Make style properties writable
      aisleriot: Make ClutterColor editable in property editor
      aisleriot: Make card step a style property
      aisleriot: Queue actor redraw when selection colour changes
      aisleriot: Only redraw on selection colour change if highlighted
      aisleriot: Add widget style property for card-step
      libgames-support: Add style debug option
      aisleriot: Refactor ArClutterEmbed
      aisleriot: Make non-clutter AisleriotBoard use ArStyle too
      aisleriot: Use ar-cursor in the non-clutter AisleriotBoard too
      aisleriot: Make pixbuf-drawing a property on ArStyle too
      aisleriot: It's 2010 already!
      libgames-support: Add games-glib-compat.h
      aisleriot: Use games-glib-compat.h
      libgames-support: It's 2010!
      libgames-support: Add another glib compat define
      aisleriot: Use new glib compat define
      aisleriot: Take double click time from style
      aisleriot: Make bug-buddy own the tempfile with the crash details
      aisleriot: Fix build on maemo5
      libgames-support: Fix definition of gtk_widget_set_can_focus
      libgames-support: Add API to get the localised card name
      aisleriot: Add tooltips and status message to AisleriotBoard
      aisleriot: Implement status messages for the clutter board too
      aisleriot: Return NULL for slots of type 'UNKNOWN'
      l10n: Update POTFILES.in
      aisleriot: Set card-overhang to 0.5 on maemo

Claude Paroz (1):
      [quadrapassel] Updated French manual translation

Daniel Nylander (1):
      Updated Swedish translation

Ivar Smolin (1):
      Updating Estonian translation

Jason D. Clinton (1):
      Post-release bump to 2.29.5

Jorge González (2):
      Updated Spanish translation
      Updated Spanish translation

Mario Blättermann (1):
      Updated German doc translation

Maxim V. Dziumanenko (1):
      Update Ukrainian translation

Tim Horton (2):
      lightsoff: Fix logic mistake causing theme-change fade between each board
      lightsoff, swell-foop: Print error if Clutter fails to initialize

Xandru Armesto Fernandez (2):
      Updated asturian translation
      Added asturian language


gnome-games 2.29.4
==================

Maemo 5 porting work and a handful of bugs fixed.

Anita Mencigar (2):
      Updated Slovenian translation

Branko Kokanović (2):
      Added Serbian translation

Christian Persch (8):
      aisleriot: Set freecell-mode on window construction
      aisleriot: Move game selection to ArGameChooser
      aisleriot: maemo5: Make the game chooser a stackable window
      aisleriot: Only set content area border on non-maemo5
      Update POTFILES.in
      libgames-support: Drop SDL-mixer sound support
      aisleriot: Refactor AisleriotBoard
      aisleriot: Mask uncommon modifiers on button press modifiers check

Daniel Mustieles (1):
      updated Spanish translation

Emilio Pozuelo Monfort (1):
      gnobots: Fix build on Hurd (Bug #603909)

Javier Jardón (4):
      gnibbles: Fix GSEAL issues
      minefield: Fix GSEAL issues
      GSEAL: fixes for GTK_WIDGET flags
      Remove deprecated GTK+ symbol: gdk_pixbuf_unref()

Jorge González (1):
      Updated Spanish translation, partially fixes bug #604714

Kjartan Maraas (1):
      Updated Norwegian bokmål translation.

Liel Fridman (1):
      Updated Hebrew translation

Lucian Grijincu (1):
      Updated Romanian translation

Matej Urbančič (2):
      Updated Slovenian translation
      Added sl for Slovenian translation

Milo Casagrande (1):
      Updated Italian translation:

Miloš Popović (1):
      Fixed broken distcheck

Og B. Maciel (1):
      Fixed translation bug

Robert Ancell (5):
      Rename icons gnometris->quadrapassel samegnome->swell-foop (Bug #603577)
      Get tile size from theme (Bug #543387)
      Translate save game dialog filter
      Reduce size of Tali window by:
      Fix polish mistranslation PGN->PNG

Thomas Hindoe Paaboel Andersen (5):
      aisleriot: Fix typo
      Add G_GNUC_NORETURN
      iagno: Update prototype to match change in function
      Add new file to POTFILES
      Use correct signature for expose-event callbacks

Tim Horton (1):
      lightsoff, swell-foop: Change .desktop category to fdo-standard LogicGame, not PuzzleGame

Tom Parker (2):
      gconf_client.get will sometimes return None (bgo #590974)
      sudoku: If no new puzzle number out of gconf, assume all is ok (Bug #590974)

Vincent Untz (1):
      build: fix LSB_* defines to be correctly quoted


gnome-games 2.29.3
==================

Maemo5 support for aisleriot, bugfixes, and translations.

Shortlog:

Adi Roiban (1):
      Update Romanian translations

Branko Kokanović (1):
      Added Serbian translation

Christian Persch (18):
      aisleriot: Add slot type argument to the add-slot function
      aisleriot: Add slot types to Klondike
      aisleriot: Add slot types to Spider
      aisleriot: Add slot types to Freecell
      libgames-support: Fix card suit enum
      aisleriot: maemo5: Redefine stock icons using a custom gtkrc file
      aisleriot: maemo5: Always use the banner to show the status message
      aisleriot: maemo5: Show exit-fullscreen button on toolbar in fullscreen
      aisleriot: maemo5: Show exit-fullscreen button on toolbar in fullscreen
      aisleriot: Consume button press events
      aisleriot: Add floating exit-fullscreen button
      aisleriot: maemo5: Fix game choice dialogue
      aisleriot: maemo5: Scroll the game type selector to the current game
      libgames-support: Add games_conf_save()
      aisleriot: maemo: Flush settings to disk when backgrounded
      libgames-support: Allow clearing the cache explicitly
      aisleriot: maemo: Run GC on memory pressure
      libgames-support: Remove debug spew

Daniel Nylander (1):
      Updated Swedish translation

Gabor Kelemen (2):
      Translate GtkBuilder UIs (Bug #602934)
      Import defaults in sudoku file as this sets the translation domain

Guillaume Beland (1):
      gnibbles: proper safe float comparison

Miloš Popović (1):
      Two fixes in Serbian translation

Robert Ancell (1):
      Fix it and ca@valencia translations of chess files

Thomas Hindoe Paaboel Andersen (1):
      bump version


gnome-games 2.29.2
==================

Mostly small bugfixes and translation updates. Packagers should note that the
dependency on libxml and check has been removed.

Shortlog:

Aron Xu (1):
      Added Simplified Chinese translation of gnome-sudoku manual.

Branko Kokanović (5):
      Added Serbian translation
      Added Serbian translation
      Added Serbian translation
      Added Serbian translation
      Added Serbian translation

Christian Persch (7):
      Fix path substitution
      Safely set LD_LIBRARY_PATH
      build: Dist .in files
      aisleriot: drop GPL2 from sol.6
      aisleriot: Don't document --freecell
      aisleriot: Update for existence of man page
      aisleriot: Update list of games in the man page

Daniel Mustieles (1):
      Updated Spanish translation

David Planella (1):
      Updated Catalan translation

Jason D. Clinton (1):
      quadrapassel: clean up a few strings that I missed during the rename

Joe Hansen (1):
      Added Danish translation

Kenneth Nielsen (1):
      Added da to list of languages

Khaled Hosny (1):
      Updated Arabic translation

Matej Urbančič (1):
      Updated Slovenian translation

Miloš Popović (3):
      Review of Serbian translation
      Some fixes in Serbian translation
      Fixed some typo in Serbian translation

Robert Ancell (3):
      Removed obsolete LIBXML_REQUIRED
      Fix navigation icon (Leszek Koltunski, Bug #600930)
      Relicensed Aisleriot manpage as GPL2+ to be consistent with other man pages (Bug #598269)

Theppitak Karoonboonyanan (1):
      Updated Thai translation.

Thomas Hindoe Paaboel Andersen (5):
      drop the single unit test left in tests. Drops the dependency on Check
      get rid of unused indent.sh
      swell-foop: Add swell-foop/src/Makefile.am
      lightsoff: Add lightsoff/src/Makefile.am
      swell-foop: Add generated files to CLEANFILES and DISTCLEANFILES

Thomas Thurman (2):
      Shavian translation
      Shavian translation

Tim Horton (3):
      fell-swoop: Fix mis-rename, which caused default theme to install to wrong path
      swell-foop: fix mis-rename of executable in desktop file
      libgames-support: Fix build of GIR

Zhang Sen (1):
      Sudoku: fix typo. Bug 599395

drtvasudevan (1):
      Updated Tamil translation

vasudeven (1):
      Added Tamil translation


gnome-games 2.29.1
==================

This first development release of gnome-games 2.29 is an exciting one with lots
of user visible changes. The new game Lightsoff has been added to the package
bringing a dependency on Seed. Same GNOME has also been ported to Seed/Clutter
and at the same time changed its name to Swell Foop. Gnometris also changed
its name to Quadrapassel. This release is delivered without network support
except for GLChess. The dependency on GGZ has been dropped in favour of a coming
move to Telepathy for networked gaming.

To the users of Blackjack, we are sorry to inform you that the game has been
dropped from GNOME Games.

A HUGE thanks go out to Google for the three GSoC students that they sponsored
this summer. A large amount of the work for 2.29 has come from their work.

Thank you, Google!

There have been a radical number of changes in master which concern
documentation and translation teams: please see our email to the relevant
lists.

Shortlog below:

Branko Kokanović (3):
      Added Serbian translation

Christian Persch (7):
      build: Remove leftover ggz m4 macros
      build: Remove old ggz ChangeLog file
      build: Move included gnuchess from dependencies/ to glchess/
      build: Change POTFILES.in for the gnuchess move
      build: Drop blackjack
      build: Automatically keep .gitignore files updated
      ld: Remove .gitignore files

Claude Paroz (2):
      [gnotravex] Fix documentation errors (Fixes bug #595771)
      Updated French translation of Tetravex manual

Gintautas Miliauskas (1):
      Updated Lithuanian translation.

Guillaume Beland (132):
      Initial commit including the work I did over the past 2 weeks
      Added new files to the build and updated main.c
      Forgot about that makefile, added the new svg
      Loading pixmaps in main.c
      First tentative to implement worm with clutter
      Using g_object_set_property instead of ClutterScript to set special actor
      Removed unused code for loading pixmaps in board.c
      Various work on worm-clutter.c
      Some minor work on worm-clutter
      Some work on resizing worm & creating/displaying them properly
      Small fix to resize worm properly, now reloading pixmaps on resize
      Fixed worm resizing for good
      Added a bunch of code from worm.c to worm-clutter.c related to AI
      Added two files that got lost somehow along the way
      Implemented basic movement on worms & some code cleanup
      minor fixes
      First succesful attemp to slow down timeline
      First step to connect AI with worm's movement
      Cleaned up the code, fixed some stuff, still need to tweak a lot stuff
      Factorized a bunch of code out of main into 3 functions to move worm
      Small fix regarding head & tail position and other small stuff
      Added clutter support in bonus.[ch]
      Integrated new GnibblesLevel to boni.c
      Same process with warp, Integrated clutter to warp..
      Integrated GnibblesLevel to wrapmanager
      Various code cleanup
      Fixed some silly mistake, now we're getting closer to something!
      Fixed one more silly mistake regarding worm head & tail
      Code clean-up, added some utility function to get head & tail actor..
      Added debug info, changed the level & found why it was hanging in
      Getting closer and closer to a working AI
      Worms are now moving nicely, but need some more tweak..
      Code refactoring & clean up & some more tweak on worm
      Code refactoting, some improvment on worm, warp and bonus actors added to the
      Started to tie different part of the game together & more work on worm
      Big commit, began to remove old code, improvement on worm...
      Fixed some compiler warning, integrating the logic to start a new game
      Everything in place to control worm with keyboard, and some more tweak on game
      Some minor code clean-up
      Not using a timeline to call the move_worm_cb () function plus some fixes
      Now handling worm's status and moved move_worm_cb to gnibbles.c and renabed it
      Commented out all unused code, removed worm.{ch} from the build system +fix
      Removed old code, renamed function & global variables
      Disabled logo, fixed worm's AI movement, a playable version is close
      Moved gnibbles_add_bonus to level.c, removed old code, fixed a lot of tiny bugs
      Forgot to comment out those lines,
      Renamed GnibblesCWorm to GnibblesWorm & related function, work on boni
      WOrking on keypress handler and reseting the worm after its death
      Fixed warp, mostly, also fixed gnibbles_worm_reset (), mostly
      Added fade-in animation on level & worm on game start
      Fixed logo/splash screen
      Small fade-out effect on splash screen when the game begin
      Fixed gnibbles_worm_reset(), Worm now restart properly after death
      Fixed keyboard control
      Added fade-in effect on bonus, removed useless commented code
      Fixed keypress queue and dequeue
      Bunch of small fixes related to colision detection, positioning and such
      Removed the GtkClutterEmbed from GnibblesBoard and replaced it with a
      Trivial code refactoring & small fixes
      Rotation on bonus, still need polish, also trying to fix bugs in collision
      Work on debugging collision detection, added debug info, gnibbles_worm_inverse()
      Moved to ClutterAnimation to animate bonus, work on worm animation when dying
      Trivial code refactoring
      Nicer animation when worm die
      Improved worm's explosion by adding a scale effect
      More trivial code refactoring
      Merged level.c to board.c ...
      Made a lot of fix  on worm movement, still can't put the finger on what is wrong
      Re-added gnibles_error()
      Partially solved the collision bug, added utility method to lighten the code
      Factored out code to handle bonus into a new utility function
      Updated to clutter-1.0 ...
      Removed useless call to floorf and roundf and simplified code with MAX call
      Removed the stage from GnibblesBoard
      Added GError handling where needed
      Re-integrated proper warp management
      Removed clutter_actor_show (stage)
      Changed the animation when the level load & worm appear on the board
      Added MarioBros-like animation whena part of the worm disapear...
      New animation on bonus
      Some tweak on bonus and warp animation
      Completely changing the way worms are moving.
      Made the majority of changes needed to utility function & removed old code
      Code refactoring, removed old code and some minor fixes
      Finally solved the colision detection bug
      Nicer animation when worm die
      Collision bug not solved after all & Fixed a silly mistake in gnibbles_worm_get_tail_direction
      Solved the collision bug for good, hopefully!
      Some work on bonus/erasing tail, animation on warp and small fix to bonus anim
      New effect on worms when eating a bonus, still need polishing
      Fixed the menu to work with gnome-globalmenu
      Some trivial code refactoring, a little animation on the splash screen and ...
      Resizing bonus on configure event
      Also resizing warp on configure event
      Don't reload the splash screen when changin the start level
      Fixed bonus, worms now recognize which type of bonus they eat
      Fixed reversing worm's direction, tweak on animation and some other trivial
      Some work on bonushalf & other general improvement
      Fixed a problem in worm_get_tail_direction where it returned the worng direction
      Removed debug code
      Removed old worm.c|h & some trivial code refactoring
      Renamed worm-clutter.[ch] to worm.[ch]
      Trivial code reformating
      Changing & loading new level properly, code clean up & minor tweak
      Destroying worm properly
      Some improvement to reset and animate worm properly when they die, still need work
      Reseting and animating the worm more nicely when dying
      New animation for on walls and finally reintroduced mariobros-like animation on
      Animation tweak and minor fix
      Fixed the reset/colision bug.
      Changed the tweening for the bonus show animation
      Fixed coding style to follow the GNU coding style (removed tabs etc)
      Not reseting the worm score and lives on new level
      Ending the game when a player do not have lives left
      Added an animation when a game end
      Applying the same animation  when switching level
      Properly reseting worm's live and score on new game
      Solved the bug when traveling through warp, warp reset and tail follow properly
      Using the right color for worms
      Removed debug-related code
      More rebust solution for the previously solved warp bug
      Trivial code refactoring
      Properly using setgid_io_init
      Fix splash screen resizing/rescaling and some effort on trying to reduce CPU
      More work on reducing CPU usage
      Added shadow to text on the splash screen & improved resizing
      Found what is causing the high CPU usage...
      Using the same value everywhere when resizing splashscreen
      small fix on splash screen text position.
      gnibbles: removed an old an unused function.
      gnibbles: Fixed bug #598668, Removed useless check
      gnibbles: Fixed bug #598664, Using safe flaot comparison

Jason D. Clinton (25):
      GNOME Games 2.28.0
      Post-release version bump to to 2.29.0
      aisleriot: partial fix for z-order of empty slots; handles drag case (#575740)
      aisleriot: remove usless region invalidation with Clutter; OpenGL doesn't care
      aisleriot: resolve z-order for empty slots; handles selection case (#575740)
      lightsoff: enable in default builds
      gnibbles: remote all trailing whitespace to make git happy
      i18n: remove GGZ parts in POTFILES.in to fix translations
      same-gnome: move old help in to new same-gnome
      same-gnome: remove the old version
      same-gnome: move the new same-gnome-clutter in to the same-gnome directory
      gnometris: renamed to quadrapassel due trademark concerns
      same-gnome: renamed to swell-foop due to "GNOME" in name; we don't prefer that
      swell-foop: s/same-gnome/swell-foop/g
      swell-foop: fix translation issues with build
      autogen.sh: Oddly, specifically looks for a handful of directories for sanity
      quadrapassel: additional build fixes
      icons: Use the right AM_CONDITIONAL for Quadrapassel's icon
      quadrapassel: Update translations to use new file names
      quadrapassel: Fix translations against new help file names
      quadrapassel: Perform s/gnometris/quadrapassel/g on file paths and names
      i18n: update the POTFILES.* files for the correct paths
      swell-foop: reenable the build of the help subdir for help files
      swell-foop: fix distcheck problem due to error in help Makefile.am
      swell-foop: make sure we remove the schema file on distclean

Joe Hansen (1):
      Updated Danish translation of the dodumentation

Jorge González (4):
      Updated Spanish translation
      Fixed misspelling, fixes bug #598311
      Updated Spanish translation, fixes bug #599409

Mario Blättermann (1):
      Updated German doc translation

Petr Kovar (1):
      Updated Czech help translation by Marek Cernocky

Thomas Hindoe Paaboel Andersen (19):
      Gseal: mostly allocation fixes
      gnect: Fix GSEAL issues
      gnibbles: Fix GSEAL issues
      iagno: Fix GSEAL issues
      GSEAL: fixes for GTK_WIDGET_HAS_FOCUS and GTK_WIDGET_VISIBLE
      aisleriot: Fix the statusbar-related GSEAL issues
      add the new gnibbles/board.c to POTFILES.in
      gnobots2: Remove trailing whitespace in makefile
      gnomine: fix a build warning
      lightsoff: add schema file to distclean
      Remove GGZ
      Remove ggz from README files. Also remove some deleted files from POTFILES.in
      glchess: check for pthread if building gnuchess
      Ifdef the last usage of deprecated gtk symbols
      gnibbles: fix some code style issues. ISO C90 and missing voids
      glines: score is guint so can't be less than zero
      gnect: logic AND should have been bitwise AND
      glchess: add the makefile from glchess back to configure.in
      gnibbles: remove deleted files from Makefile.am

Tim Horton (5):
      Use @libdir@ instead of @prefix@/lib
      lightsoff: Fix offset so board is vertically centered
      lightsoff: Make sure cached textures are hidden
      lightsoff: Implement "Use colors from GNOME theme" checkbox
      lightsoff: Watch for Gtk theme changes, and update theme coloring


gnome-games 2.28.0
==================

Versus 2.26.x, this release brings a Gnometris rewrite that depends on Clutter
1.0 for the animation engine. The previous version of Gnometris was unplayable.

GNOME Games now also defaults to depending on libcanberra-gtk for the sound
engine. When using PulseAudio, the games benefit from sound-daemon provided
effect mixing similar to the experience provided by the SDL back-end. When not
using PulseAudio, if the underlying ALSA configuration supports it, dmix or
hardware mixing should provide adequate mixing for sound effects. The gstreamer
back-end is now removed and the SDL back-end is deprecated.

For packages, the default build mode with automake 1.11 or higher is to now
suppress verbose compile information to make it easier to catch warnings. Normal
automake verbosity flags will disable this suppression.

Finally, the experimental Clutter version of aisleriot is now available with
--enable-aisleriot-clutter. For distributions that are feeling adventurous, we
are not aware of any regressions in the Clutter version. It should be safe to
enable this feature if you feel that your 3D driver situation is adequate.

Since the 2.27.92 beta, the following changes have occurred:

A S Alam (1):
      Updating Translation for Punjabi by A S Alam

Adi Roiban (1):
      Updated Romanian translation

Amitakhya Phukan (2):
      Updating Assamese translations
      Updating Assamese translations

Ani (2):
      Updated Malayalam Translations
      Updated Malayalam Translations

Ask H. Larsen (1):
      Updated Danish translation

Bruce Cowan (1):
      Updated British English translation

Changwoo Ryu (1):
      Korean translation update

Christian Kirbach (1):
      Updated German translation

Claude Paroz (1):
      Updated French manuals translation

Denis ARNAUD (1):
      Updated breton translation

Gabor Kelemen (1):
      Hungarian translation updated

Ilkka Tuohela (1):
      Updated Finnish translation

Joanna Mazgaj (1):
      Update Polish translation

Joe Hansen (2):
      Added Danish translation
      Updated Danish translation

Kenneth Nielsen (1):
      Added da to list of languages

Kostas Papadimas (4):
      Updated Greek help translation.
      Updated Greek translation.
      Updated Greek translation.
      Updated Greek help translation.

Manoj Kumar Giri (1):
      Upadated Oriya Translation

Matej Urbančič (1):
      Updated Slovenian translation

Maxim V. Dziumanenko (1):
      Added Ukrainian translation

Milo Casagrande (2):
      Updated Italian translation
      Updated Italian translation

Philip Withnall (1):
      Bug 581012 – [gnome-games] docs bugs

Rajesh Ranjan (2):
      hindi update
      hindi update trasnaled by Ravi Ratlami

Robert Ancell (6):
      Make default game use the AI chosen from the previous game (Robert Ancell, Bug #446950)
      Remove unused signal from save_game.ui
      Detect exceptions when in OpenGL code and disable 3d mode for next restart (Robert Ancell, Bug #577240)
      Make Tali 24x24 icon match changes to 22x22 icon
      Update list of ignored built files
      Bring Debian man pages upstream

Runa Bhattacharjee (2):
      Updated Bengali India Translations
      Updated Bengali India Translations

Sandeep Shedmake (1):
      Updated Marathi Translations

Shankar Prasad (1):
      Updated Kannada(kn) translation

Sweta Kothari (2):
      Updated Gujarati Translations
      Updated Gujarati Translations

Vladimir Melo (1):
      Corrected 'if not' translation in Brazilian Portuguese translation

dooteo (2):
      Deleted english images
      Deleted english images



gnome-games 2.27.92
===================

With this release gnometris is working again. Also various bugfixes and
translations.

Alexander Shopov (1):
      Updated Bulgarian translation

Antón Méixome (1):
      Updated Galician Translation

Baris Cicek (1):
      Updated Turkish translation.

Branko Kokanović (2):
      Updated Serbian translation
      Updated Serbian translation

Carles Ferrando (1):
      Added Catalan (Valencian) translation

Christian Persch (17):
      libgames-support: Add icon for GAMES_STOCK_START_NEW_GAME stock
      Fix out-of-srcdir build
      aisleriot: Fix AisleriotBoard definition
      Remove extra newlines
      Support silent build with automake 1.11
      Use $(SED)
      Allow AM_V_GEN pattern
      Fix build on am < 1.11 using shave
      gnome-sudoku: Fix the build
      aisleriot: Fix build when GUILE_DEBUG is not defined
      build: Remove shave support
      libgames-support: Use the right --libtool when generating the .gir
      Use pkglibdir directly here
      gnibbles: Hide notebook border too
      Fix warning on exit with gtk 2.17
      Fix include statement
      Fix a typo

Claude Paroz (1):
      Updated French translation

Daniel S. Koda (1):
      Updated Brazilian Portuguese translation.

Denis Arnaud (2):
      Updated breton translation and added br in LINGUAS
      Updated breton translation

Duarte Loreto (1):
      Updated Portuguese translation

Gil Forcada (1):
      Minor fixes to Catalan translation

Inaki Larranaga Murgoitio (2):
      Updated Basque language
      Updated Basque language

Ivar Smolin (2):
      Updating Estonian translation
      Updating Estonian translation

Jason D. Clinton (10):
      gnomine: Fix resizing button theme artifact, #574118, Matthias Clasen
      gnometris: First pass as implementing a GObject-based texture cache; has issues
      gnometris: solve most of the memory management issues
      gnometris: clean up some of the code carnage from my debugging
      gnometris: restore the functionality of the other themes
      gnometris: restore pixel-level precision to the block renderer
      gnometris: restore ligature-style animations for performance reasons
      gnometris: make the preview cell size depend on preview size; completes 1.0 port
      gnometris: Speed up keypress handler even more for smoother move animations
      gnometris: center the preview widget correctly in main and settings UI

Lucas Rocha (1):
      Post-release version bump

Mario Blättermann (2):
      Added German doc translation (lightsoff)
      Updated German doc translation

Matthias Clasen (4):
      gnomine: Fix too many menuitems visible initially, Bug #592774
      gnomine: Fix a cosmetic issue with the menu XML in the code #592775
      gnomine: Fix keyboard mnemonics don't work #592776
      gnomine: Fix sensitivity handling glitch #592777

Petr Kovar (1):
      Updated Czech translation by Petr Pulc

Robert Ancell (6):
      Fix duplicate GtkBuilder object IDs
      Detect resign and draw requests from CECP AIs
      Make AI players claim draws where possible (Bug #592980)
      Stop using deprecated BaseException.message (Andreas Moog, Robert Ancell, Bug #586581)
      Use smaller fonts and borders when printing to save ink
      Move gnobots2 themes into separate directory (Bug #488974)

Seán de Búrca (1):
      Updated Irish translation

Shankar Prasad (2):
      Updated Kannada(kn) translation
      Updated Kannada(kn) translation

Sweta Kothari (1):
      Updated Gujarati Translations

Thomas Hindoe Paaboel Andersen (5):
      Fix build
      Add games-gtk-compat.h and use it for a few sealings in aisleriot
      Code style fix
      Make AM_SILENT_RULES default to yes
      Gseal: add getter/setter for allocation to games-gtk-compat.h

Valto Wirkola (1):
      Added Finnish translation of Four-in-a-row manual

ifelix (1):
      Updated Tamil Translations

krishnababu k (2):
      Updated Telugu Translations
      Updated Telugu Translations

gnome-games 2.27.90
===================

This is just maintainance release to have it buildable with Clutter 1.0.

Antón Méixome (1):
      Updated Galician translation

Bastien Nocera (1):
      Require stable versions of clutter and clutter-gtk

Christian Kirbach (1):
      Updated German translation.

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Daniel Nylander (1):
      Updated Swedish translation

Ivar Smolin (2):
      Updating Estonian translation
      Updating Estonian translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation.

Mario Blättermann (8):
      Updated German translation
      Updated German translation
      Updated German translation
      Updated German translation
      Updated German translation
      Updated German translation
      Updated German translation
      Updated German translation

Telsa Gwynne (1):
      Updated Welsh translation

Tim Horton (10):
      [same-gnome-clutter] Rough beginnings of high-scores display
      [same-gnome-clutter] Finish display of high scores.
      [libgames-support] Use Clutter-1.0, since CLUTTER_API_VERSION was removed
      [same-gnome-clutter] Bump to Clutter 1.0
      [same-gnome-clutter] [lightsoff] Distribute schema.in files, remove C version of same-gnome-clutter
      [same-gnome-clutter] Use libgames-support conf code instead of gconf
      [lightsoff] Code cleanup; put some functions on prototype for performance
      [lightsoff] Further code cleanup, commenting
      [lightsoff] Ensure level is never < 1 (causes infinite loop)
      Include schemas files for staging games, remove same-gnome-clutter-c

drtvasudevan (1):
      Updated Tamil translation

gnome-games 2.27.5
==================

Tim's branch was merged adding introspection support for libgames-support. A 
staging version of the seed/clutter based same-gnome was also added. 

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Kirbach (1):
      Updated German translation.

Christian Persch (8):
      Revert "[libgames-support] Don't pass --internal to glib-genmarshal"
      Revert "[libgames-support] Tiny build fix for merge of gsoc-seed-games"
      bgames-support: Add libgames-support-gi.la for use by gobject-introspection
      libgames-support: Make GamesClock work with multiple calls to start()
      libgames-support: Assert that threads are initialised
      aisleriot: Change licence to GPL 3+
      libgames-support: Use link instead of FSF address in the GPL3 note
      Update POTFILES.in

Claude Paroz (5):
      Updated Mahjongg French help translation
      [lightsoff] Improve translatability of ui file
      [aisleriot] Remove game name with tilde suffix
      [same-gnome-clutter] Use attributes instead of embedded markup in translatable strings
      Updated French translation

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Ivar Smolin (3):
      Updating Estonian translation
      Updating Estonian translation
      Updating Estonian translation

Robert Ancell (1):
      Move glchess and gnome-sudoku image dirs again from /usr/share/gnome-games/name/ to /usr/share/name to match other data

Thomas Hindoe Paaboel Andersen (6):
      Post-release version bump
      Add new files to POTFILES
      Use accessor functions for -DGSEAL_ENABLE
      Use accessor functions for -DGSEAL_ENABLE
      Use accessor functions for -DGSEAL_ENABLE
      comment out schemas files for staging games to fix build

Tim Horton (98):
      Update Lights Off to use Clutter 0.9
      Lights Off: Many changes to match internal Clutter changes
      Disable build of Gnometris for now; it doesn't work because of Clutter changes and I can't seem to fix it.
      More disabling of gnometris, for now, just to get PPA working again :-(
      Revert "Disable build of Gnometris for now; it doesn't work because of Clutter changes and I can't seem to fix it."
      Revert "More disabling of gnometris, for now, just to get PPA working again :-("
      [libgames-support] Install libgames-support to the commondatadir
      [libgames-support] Copy in Clutter's introspection-building code
      [libgames-support] Remove assertion that ensures Card fits in one byte
      [libgames-support] Strip the 'games_' prefix in introspection data
      [libgames-support] Only call g_thread_init if it hasn't already been called
      [lightsoff] Consume "new" stock item from libgames-support
      [lightsoff] Don't load themes twice, don't fade between the same theme
      [same-gnome-clutter] Create a directory for the Seed+Clutter port of Same Gnome
      [same-gnome-clutter] Import same-gnome from the Seed repository
      [lightsoff] Cleanup, as Seed recently added script cwd to include path
      [same-gnome-clutter] Build and install the C port of the Clutter port of Same
      [lightsoff] Don't remove js files during make clean
      Add introspection output to gitignore
      [same-gnome-clutter] Update various parts of the Seed port
      [lightsoff] Initial implementation of About dialog.
      [lightsoff] Add i18n for About dialog
      [lightsoff] Add translator + artist credits.
      [lightsoff] Implement 'quit' and 'new game'
      [lightsoff] Fix inefficient and poor LED display drawing
      [lightsoff] Centralize score updating in a more reasonable place
      [lightsoff] Lots of various bits of cleanup
      [lightsoff] Remove old led front image that's no longer used
      [lightsoff] Implement pretty-printed theme names
      [lightsoff] Implement keyboard-based play (use arrow keys/enter)
      [same-gnome-clutter] Significant overhaul fixes most of the animation/stickyness problems
      [lightsoff] Check if loaded theme exists; if not, set to default
      [lightsoff] Add GConf schema for score/theme keys
      [lightsoff] Small fix to code to ensure transition direction changes
      [lightsoff] Fix z-order of board after a manual swap.
      [lightsoff] Keyboard accelerators for menu items
      [lightsoff] Clean up naming in main GtkBuilder file
      Revert "[lightsoff] Clean up naming in main GtkBuilder file"
      Reorganize source tree into directories
      [libgames-support] Return card size assertion wrapped in gir-scanner ifdef
      [lightsoff] Update gettext import to match seed upstream change
      [lightsoff] Use Clutter keysyms (surprise! they're in the GIR, toplevel)
      [lightsoff] Don't clean main.js, because it's built at configure time
      [lightsoff] Reorganize order of widget realization; fixes LO on Clutter HEAD
      [libgames-support] Add pkg arguments for Clutter and COGL to reduce g-ir-scanner warnings
      [libgames-support] Remove extra semicolon in games-card-images.h; no more scanner warnings
      [libgames-support] Use detected CLUTTER_API_VERSION instead of 0.9
      [lightsoff] Fix offscreen texture usage (hidden-but-added works, too)
      [lightsoff] Add (as-yet-unwritten) LO manual. Copied from Gnometris, so there's some extra words left over.
      [libgames-support] Use a stand-in GIR for GGZ instead of introspecting GGZ within our namespace
      [same-gnome-clutter] Initial gtkbuilder ui
      [same-gnome-clutter] Reorganize into directories
      [same-gnome-clutter] Don't only unlight if we're connected to 2 lights; that's silly
      [same-gnome-clutter] Use the LO UI file for Same
      [same-gnome-clutter] Menu signal handlers
      [same-gnome-clutter] About dialog
      [same-gnome-clutter] Update strings to match shipping Same (for translations)
      [libgames-support] GGZ-1.0.gir needs to be installed, even though it's handwritten
      [lightsoff] Add help menuitem
      [lightsoff] Various clarifying comments
      [lightsoff] Reduce the number of templated javascript files
      [lightsoff] Factor out theme loading code
      [lightsoff] Move more code into global ThemeLoader
      [lightsoff] Standardize on capital letters for JS files
      [lightsoff] Menu separator
      [same-gnome-clutter] Pull ThemeLoader over from LightsOff
      [same-gnome-clutter] Don't show the "offscreen" source lights
      [lightsoff] [same-gnome-clutter] Don't use fog
      [same-gnome-clutter] Reset score on new game.
      [same-gnome-clutter] Add initial settings ui
      [same-gnome-clutter] Add scores menuitem
      [same-gnome-clutter] Pull in theme selector loading code, settings display, etc.
      [same-gnome-clutter] All settings persist through GConf now
      [same-gnome-clutter] Initial GConf schema.
      [same-gnome-clutter] Use small/medium/large instead of arbitrary sizes
      [same-gnome-clutter] Use settings for number of colors and theme
      [same-gnome-clutter] Live theme changing; add test theme
      [same-gnome-clutter] Finish (not yet animated) live theme switching
      [same-gnome-clutter] Size changing works now
      [lightsoff] Fix miscapitalization of 'Path' (fresh installs run now)
      [same-gnome-clutter] Use correct dimension to calculate new tile position
      [same-gnome-clutter] Dist themeloader.js, not .js.in
      [libgames-support] Distribute handwritten GGZ gir
      [lightsoff] Use icon for window
      [same-gnome-clutter] Use icon for window
      [libgames-support] Tiny build fix for merge of gsoc-seed-games
      [libgames-support] Don't clean hand-generated GGZ-1.0.gir
      [libgames-support] Do install GnomeGamesSupport-1.0.gir
      [libgames-support] Don't pass --internal to glib-genmarshal
      [same-gnome-clutter] Remove "fly score" option, will merge functionality into 'zealous animation'
      [same-gnome-clutter] Implement non-zealous animation
      [same-gnome-clutter] Add "Help" menuitem, currently launches normal Same help
      [lightsoff] [same-gnome-clutter] libgames-support now lives in pkglibdir
      [same-gnome-clutter] Show current/next score in "statusbar"
      [same-gnome-clutter] Reorganize score-management code
      [same-gnome-clutter] Mark "Game Over!" as translatable
      [same-gnome-clutter] Unhighlight tiles when mouse leaves game board
      [same-gnome-clutter] Clear final score display on new game

drtvasudevan (2):
      Updated Tamil translation
      Updated Tamil translation

gnome-games 2.27.4
==================

Mostly just bugfixes. New features include binreloc support, and better 
maemo/win32 support. 

Clutter dep bumped to 0.9.6 and clutter-gtk to 0.9.2

Christian Persch (85):
      libgames-support: [build] Only use eggdesktopfile on x11
      libgames-support: [win32] Attach to console when run from console
      Fix games_sound_play_for_widget() for canberra
      Fix a few compiler warnings
      Fix a few compiler warnings
      libgames-support: Add more help methods
      aisleriot: Comment out debug spew
      build: move win32 platform check up
      libgames-support: add binreloc support
      libgames-support: [build] Don't distribute generated files
      libgames-support: Set help error dialogue title to empty
      libgames-support: Better error message when showing help fails
      libgames-support: [smclient] Update copy from libegg master
      libgames-support: [hildon] Add osso initialisation to games runtime
      aisleriot: Move osso initialisation to libgames-support
      libgames-support: Add games_show_uri()
      libgames-support: Fix a HAVE_HILDON/HAVE_MAEMO mismatch
      libgames-support: Use g_uri_escape_string to construct the help URI
      aisleriot: Use games_help_display()
      libgames-support: Add about dialogue hooks
      aisleriot: Remove unused includes and defines
      libgames-support: Add games_show_error()
      libgames-support: Add games_help_display_full variant
      aisleriot: Better error messages when showing help fails
      aisleriot: Fix help error message in freecell mode
      build: Only check --with-sound when sound is enabled
      build: Fix gtk version req to the minimal values
      libgames-support: Build with glib < 2.12
      libgames-support: Include games-show.h
      libgames-support: Build fix for glib < 2.16
      libgames-support: Build fix for gtk 2.8
      libgames-support: Build fix for !HAVE_RSVG
      libgames-support: [build] Only build those parts of libg-s that are used
      libgames-support: [smclient] Some build fixes for old glib
      aisleriot: glib 2.8 build fix
      aisleriot: glib < 2.16 build fix
      aisleriot: Only get the gtk-touchscreen-mode setting on gtk >= 2.10
      icons: Add prerendered icons for the "cards-deal" name
      aisleriot: Add new games to the TODO list
      build: Make --disable-sound work
      libgames-support: [build] Fix build on hildon
      build: [icons] Fix private icon theme icons on hildon
      build: Only add help to SUBDIRS when building help is enabled
      libgames-support: Split card theme off into its own convenience lib
      libgames-support: blackjack: move GamesCardSelector to blackjack
      libgames-support: gnobots2: Move games-find-file.[ch] to gnobots2
      libgames-support: Remove unused include
      libgames-support: Only build games-files when building the full library
      build: Fix glib-genmarshal --internal check
      aisleriot: Fix a unused code warning on !ENABLE_SOUND
      libgames-support: Only build the card theme writer when building aisleriot
      libgames-support: Fix rsvg version check
      libgames-support: Fix #ifdef to use HAVE_MAEMO_3
      libgames-support: Use games_show_error here
      aisleriot: terrace: Add translator comments
      aisleriot: Add translator comments for the game names
      aisleriot: Add define to disable keynav code
      ld: Add an AM conditional for each game to build
      build: Only install the icons for games that are built
      build: Only install the teleport icons when building gnobots2
      build: Default --enable-setgid to off on win32
      libgames-support: Only build games-setgid-io when --enable-setgid
      all: Only call setgid_io_init() when --enable-setgid
      libgames-support: Fix build with --enable-setgid
      libgames-support: Fix render-cards
      build: Only install the .schemas file when using GConf
      libgames-support: Don't install the default .svg when SVG is disabled
      libgames-support: Only install the .ini when theme installer is enabled
      libgames-support: Don't install slot.svg when RSVG is disabled
      aisleriot: Allow passing -DCARD_SLOT_PROP in CPPFLAGS
      libgames-support: Print the selected card size
      libgames-support: Only install cards data when building libgamescards
      build: Declare GUILE and GUILE_CONFIG as precious
      libgames-support: Add a way to specify the relocation root by env var
      libgames-support: Add a way to inhibit the GamesClock timeout
      gnometris: Use g_mkdir_with_parents()
      gnotravex: Adapt to GamesClock API changes
      libgames-support: Add games_clock_is_started()
      gnomine: Adapt to GamesClock API changes
      tests: Remove test that doesn't make sense
      mahjongg: Adapt to GamesClock API changes
      aisleriot: Adapt to GamesClock API changes
      aisleriot: Hide toolbar at startup if requested
      libgames-support: Fix the build on hildon
      aisleriot: Add style property for the card/slot ratio

Claude Paroz (1):
      Updated French translation

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Gilles Dartiguelongue (1):
      Use install-exec-hook to setgid games properly

Ivar Smolin (1):
      Updating Estonian translation

Jason D. Clinton (1):
      Post-release bump to 2.27.4

Jorge Gonzalez (3):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Maxim V. Dziumanenko (1):
      Updated Ukrainian translation

Paul Cutler (1):
      Fix bug 582047 - updated mahjongg docs

Petr Kovar (6):
      Added Czech help translation for glines & gnometris by Marek Cernocky
      Added Czech help translation for gnomine by Marek Cernocky
      Added & fixed Czech help translation for various games by Marek Cernocky
      Added Czech help translation for blackjack, glchess, gnobots2, and gtali
      Updated Czech help translation for various GNOME games
      Updated Czech help translation for various games by Marek Cernocky

Robert Ancell (10):
      UI strings non translated after GTKBuilder migration (Claude Paroz, Bug #586176)
      Fix toolbar style to be user configurable (Claude Paroz, Bug #584615)
      Use msgctext() (Claude Paroz)
      Move pixmap install dir for gnome-sudoku and glchess from 
        /usr/share/pixmaps/name to /usr/share/gnome-games/name/pixmaps to be 
        consistent with the other games
      Change texture directory from 'pixmaps' to 'textures'
      Added gconf schema
      Use boolean type for gconf keys
      Consolodate bg_black and bg_custom_color keys
      Add gconf descriptions
      File missed from commit 484d28995afff4f46ec7d8aecb2333ea27f94ae0

Thomas Hindoe Paaboel Andersen (4):
      gnome-sudoku: Clean up data/Makefile.am to pass distcheck
      Add some files to po/POTFILES.in
      tests: Remove last bits of the test_games_clock_set test
      Bump clutter dependencies

Tobias Mueller (1):
      Include necessary headers in c99 macro

Vincent Povirk (1):
      aisleriot: fix hinting in a rare situation in Spider

drtvasudevan (2):
      Updated Tamil translation
      Updated Tamil translation


gnome-games 2.27.3
==================

No major changes, just bug fixes all over the place. Aisleriot Clutter and
Gnometris now depend on Clutter git master due to the final Clutter API change
having just landed there. As soon as Clutter 0.9.4 is available, our conf-
gure.in will be updated to reflect the proper API requirement.

This should be the final Clutter API change as 0.9.4 is going to be a release
candidate.

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Persch (32):
      Remove
      Lower intltool req to 0.35.0
      Only check for check if tests are enabled
      Don't use "$(top_srcdir)" in SHAVE_INIT
      Don't build games-help on hildon yet
      Only include games-preimage.h if HAVE_RSVG
      GTK_STOCK_FULLSCREEN only exists on gtk >= 2.8
      Fix undeclared variable error
      Fix build on hildon
      Fix the build on hildon
      Fix assertion failure on hildon
      Normalise the filename in theme_filename_and_type_from_name
      Fix prefname for fixed card theme on hildon
      Add maemo5 support to --with-platform-variant
      Enable sound on maemo5
      Use signal connections for tap-and-hold instead of the class handlers
      Only use the gtk-enable-event-sounds setting when available
      Add Sound check menuitem to the menu under maemo5
      Add maemo5 to --with-platform-variant help string
      Also ifdef the Sound menu item in the non-maemo UI
      Use g_mkdir_with_parents and mode 0700 to create the config dir
      Use a HildonPannableArea for the game selection treeview
      Remove obsolete comment
      Also listen to memory pressure events
      Fix gtk settings initialisation
      Move the ExitFullscreen button to the far end of the toolbar
      Remove obsolete GNOME_ICONDIR define
      Check for windres on native win32
      Define WIN32_LEAN_AND_MEAN here too
      Use G_OS_WIN32 here instead of a nonexistent #define
      Add -mwindows to LDFLAGS on native win32
      emove GamesFilesList use from aisleriot

Claude Paroz (3):
      Prefix GTKBuilder files with gettext/glade
      Fix GNOME feedback link in docs
      Fix GNOME Feedback link in all docs translations

Daniel Mustieles (1):
      Updated Spanish translation

Ivar Smolin (2):
      Updating Estonian translation
      Updating Estonian translation

Jason D. Clinton (3):
      First pass at updating Gnome Games use of Clutter 0.9.x API to master
      Second pass at getting Gnometris to render with new Clutter master API
      Bump release version to 2.27.3

Jorge Gonzalez (4):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation.

Lubomir Rintel (1):
      Add annoying "bastard" mode

Neil Roberts (1):
      aisleriot: Fixups for updating to the lastest Clutter master

Rajesh Ranjan (2):
      Updated Hindi Translations
      Updated Hindi Translations

Robert Ancell (2):
      occured->occurred
      Fix up menu icon sizes and underlines

Vincent Povirk (5):
      aisleriot: only allow moving builds of cards in Klondike-based games
      aisleriot: add a hint for when there are too few cards in Spider games
      aisleriot: change status message when dealing is impossible in Spider games
      aisleriot: implement dealable feature in Carpet
      aisleriot: implement dealable feature in Cruel

drtvasudevan (1):
      Updated Tamil translation


gnome-games 2.27.2
=================

Gnometris completed its port to clutter-0.9 and is now playable again. Sudoku
saw lots of code cleanup. A new game "Bear River" was included in aisleriot. The
bug that cause sound to turn it self back on after a few moves was fixed.
This is also a reminder to get back to us if you need the --with-sound=sdl_mixer
option. Otherwise it may be removed during 2.27. Shortlog follows:

Christian Persch (3):
      libgames-support: remove leftover HAVE_GSTREAMER
      Initialise the canberra_gtk context only once
      Use multihead-safe canberra-gtk API

Daniel Mustieles (1):
      Updated Spanish translation

Fotis Tsamis (7):
      Added Greek figures for gnome-sudoku
      Added Greek figures for gnotski
      Added Greek translation for same-gnome
      Updated Greek translation
      Added Greek translation
      Added Greek translation
      updated Greek documentation translation for gnect

Jason D. Clinton (16):
      Post-release bump to 2.27.2
      gnometris: Move the previously removed po field.cpp to blockops.cpp
      gnometris: Add binary to .gitignore
      gnometris: Continue factoring out the Clutter animation objects
      gnometris: Falling blocks ported to clutter-0.9
      gnometris: Resurrect block rotation; smoother block movement
      gnometris: Remove references to actors that are being exploded
      gnometris: Port earthquake effect to clutter-0.9; tune the visual timings
      gnometris: Port explosion effect to clutter-0.9
      gnometris: Clean up fall_behaviour's when fall done
      gnometris: Make the quake and fall timings dependent on N cleared
      gnometris: Make stage rescaling properly affect the large textures
      gnometris: Port explosion scale to clutter-0.9 with better performance
      gnometris: Slow down the explosion a little
      gnometris: Quake strength now depends on N lines cleared
      gnometris: fixup GTK show for main window; style

Jennie Petoumenou (2):
      updated Greek translation for UI messages
      updated Greek translation for aisleriot documentation

Jorge Gonzalez (3):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Marios Zindilis (1):
      Updated Greek translation

Robert Ancell (3):
      Update tooltip style for info messages (copied from GEdit again)
      Standardise Python class format
      Remove dead code for old 3D models

Simos Xenitellis (3):
      Added el to DOC_LINGUAS for same-gnome
      Updated Greek translation
      glines: typo in documentation, "right" should be "left"

Vincent Povirk (1):
      aisleriot: add Bear River game #578855

Zhang Sen (20):
      gnome-sudoku: Fix typo in string
      gnome-sudoku: Add *.pyc to .gitignore
      gnome-sudoku: Remove wildcard imports
      gnome-sudoku: Add spaces around operators
      gnome-sudoku: Fix multiple-statements-on-one-line
      gnome-sudoku: Remove useless import os.path
      gnome-sudoku: Style cleanup in sudoku.py
      gnome-sudoku: Style cleanup in game_selector.py
      gnome-sudoku: Style cleanup in printing.py
      gnome-sudoku: Style cleanup in several files
      gnome-sudoku: Fix typo of omitting 'self'
      gnome-sudoku: Delete unused method
      gnome-sudoku: Add omitted parenthesis
      gnome-sudoku: Delete two unused variables
      gnome-sudoku: Delete useless parameters
      gnome-sudoku: Instance attributes -> local variables
      gnome-sudoku: Add test-running code to game_selector.py
      gnome-sudoku: Delete unused classes and functions
      gnome-sudoku: beautify imports per PEP 8
      gnome-sudoku: Define is_fullscreen in __init__

drtvasudevan (1):
      Updated Tamil translation

yselkowitz (1):
      define LIB_GGZCORE in order to resolve undefined symbols.

Βασίλης Κοντογιάνης (2):
      Updated Greek translation for same-gnome documentation
      Updated Greek translation for glines documentation

gnome-games 2.27.1
=================

This is the first gnome-games release to have a hard dependency on clutter. The
clutter version must be 0.9.3 which is currently only in upstream git master.
If this is a problem the --enable-omitgames=gnometris option can be used.
Even if you get gnometris to build don't expect it to work well yet. It is WIP.
The default sound backend is now libcanberra. For now the option to use sdl-mixer
is still available with --with-sound=sdl_mixer. Let us know if you need this option
or it may go away later in 2.27.
The experimental clutter version of aislriot is now available with 
--enable-aisleriot-clutter. 

General:
 - Add doap file (Thomas H.P. Andersen)
 - Depend on clutter 0.9.3 (Jason Clinton)
 - Update copyright year (Jason Clinton)
 - Remove svn specific ChangeLog generation code (Jason Clinton)
 - Handle gst_element_factory_make() returning NULL (Robert Ancell)
 - Port to GtkCellRendererAccel (Christian Persch)
 - Remove extraneous widget packing (Christian Persch)
 - Add --enable-aisleriot-clutter configure option (Christian Persch)
 - Don't append ? on ghelp URI with NULL section (Christian Persch)
 - Add Pulse Support to Docs (Paul Cutler)
 - Fixed DocBook validity in help translations (Claude Paroz)
 - Use g_timeout_add_seconds when available (Christian Persch)
 - Support shave autofoo and libtool output (Jason Clinton)
 - Fix GAMES_DEBUG=sound (Christian Persch)
 - Use libcanberra as default sound option (Christian Persch)
 - Hide the Sound menu item if the global setting is disabled (Christian Persch)

Aisleriot:
 - Implement dealable feature in Bristol, Camelot, Canfield (Vincent Povirk)
 - Upgrade to clutter 0.9 (Niel Roberts)
 - Add a guide to making a new game for aisleriot (Ed Sirett)
 - Use the default about dialogue hooks (Christian Persch)

Chess:
 - Update our copy of GNUChess for POSIX 2008 compatibility (Jason Clinton)
 - Add a new display mode - face-to-face (Chris Burkhardt, Robert Ancell)
 - Only allow selecting with the primary mouse button (Robert Ancell)
 - Port to GtkBuilder (Robert Ancell)

Gnometris:
 - Remove our private copy of clutter-embed.h (Jason Clinton)
 - Remove noclutter version (Jason Clinton)
 - Switch to new-style clutter includes and initialization (Jason Clinton)

Gnomine:
 - Fix pause/resume with the pause key (Ying-Chun Liu)
 - Code cleanup (Johannes Svensson)

Lights Off:
 - Use new import mechanism to work with seed >=0.5 (Tim Horton)

Same-gnome:
 - Update DOC_FIGURES (Claude Paroz)

Sudoku:
 - Massive code cleanup (Zhang Sen)
 - Port to GtkBuilder (Thomas H.P. Andersen)
 - Distribute 150 very hard puzzles instead of 20 (Thomas H.P. Andersen)

Translations:
 - es: Jorge Gonzalez, Daniel Mustieles
 - sl: Matej Urban

And these stable tree forward-ports:

amitakhya (2):
      Updated assamese translations

aronxu (2):
      Added Simplified Chinese translations by M Zhang <mymzhang at gmail dot com>

bcicek (1):
      Updated Turkish translation

chpe (2):
      Make desktop files validate without warnings.
      Update smclient from libegg

djihed (1):
      Updated Arabic translation

frolix68 (2):
      Added Greek translation by Jennie Petoumenou
      Added el to languages

jclinton (5):
      Branched for 2.26
      Add glchess to list of need_ggz. Fixes build with --enable-games=glchess
      Resync libegg smclient per mclasen request
      Re-apply our custom patches to smclient.
      don't kill worm by pressing backwards. Patch by Roger Light. Fixes bug #516992

jorgegonz (1):
      Updated Spansih translation

kennethn (1):
      Added Danish translation of manual by Joe Hansen

kkrothap (2):
      Updated Changelog entry
      Updated Telugu Translations

kmaraas (1):
      Updated Norwegian bokmål translation.

mariobl (2):
      2009-03-19  Mario Blättermann  <mariobl@svn.gnome.org>

ogmaciel (1):
      Updated Brazilian Portuguese translation.

rancell (1):
      Fix crash when undoing a pawn promotion (Chris Ball, Bug #577395)

simos (44):
      Added Greek translation, figures (Marios Zindilis)
      Added figures (Fotis Tsamis)
      Updated Greek translation (Jennie Petoumenou)
      Added el to DOC_LINGUAS
      Updated Greek translation (Marios Zindilis)
      Added screenshot (Fotis Tsamis)
      Updated Greek translation

sprasad (2):
      updated kn.po

thomashpa (3):
      Only allow one number picker at a time. Bug #530778
      Ignore malformed savegames. Bug #516491
      Reverting changes to ChangeLog.old. Please don't make changes to this file

gnom-games 2.26.0
=================

This release is the first stable release in the Gnome 2.26 desktop
module. Other than translation updates, three bugs were fixed:

Aisleriot:
 - When using Clutter, draw Aisleriot card movement animations to empty
   stacks correctly (Neil Roberts)

Sudoku:
 - Fix crasher bug where the a dict was being changed in one thread while
   another was iterating over the dict. (Thomas H.P. Andersen, Bug
   #529792)
 - Fixes a crasher bug when numpy is not installed. (Thomas H.P.
   Andersen, Bug #416249)

Translations:
aklapper (2):
      Updated Czech translation by Petr Pulc.
aman (2):
      updating for Gnome Punjabi Translation by A S Alam
amitakhya (1):
      Updated assamese translations
claudep (3):
      Fixed wrong term and typo.
      Updated French translation by Bruno Brouard and Claude Paroz.
      Updated French translation (synced edit with aisleriot help)
dnloreto (1):
      Updated Portuguese translation
gforcada (2):
      Updated Catalan translation by Joan Duran
gintas (2):
      Updated Lithuanian translation.
hendrikr (1):
      Updated German translation.
icq (1):
      Updated Galician Translation by Suso Baleato.
ifelix (1):
      tamil translation updated
kelemeng (2):
      Hungarian translation updated
kennethn (1):
      Updated Danish translation by Ask. H. Larsen
kkrothap (2):
      Updated Telugu Translation
mateju (2):
      Updated Slovenian translation
mgiri (2):
      Updated Oriya Translation.
      Added entries for Oriya language Translation updation.
miloc (4):
      Updated Italian translation
nshmyrev (2):
      Updated Russian translation.
pwithnall (10):
      Added British English manual translation by Jen Ockwell
      Updated British English translation.
      Added British English translations by Jen Ockwell
      Added British English to DOC_LINGUAS.
      Added British English manual translations.
rranjan (1):
      hindi update by Rajesh Ranjan
sandeeps (1):
      Updated Marathi Translations
sprasad (1):
      updated kn.po
tvainika (1):
      Added initial Finnish translation of manual by Valto Wirkola
wbolster (1):
      Updated Dutch translation by Tino Meinen.
yairhr (1):
      updated hebrew translation


gnome-games 2.25.92
==================

This release fixes a castling bug in chess, drops gnome.help and bumps the
clutter dependency when building with --enable-clutter. 

Aisleriot:
  - Add creator of "Tango" card set to Artists tab in the Credits dialogue
    (Christian Persch)

Chess:
  - Stop king castling when blocked by pawn (Robert Ancell)
  - Use gtk.show_uri to show help (Thomas H.P. Andersen)

Gnometris:
  - Bump the required version of clutter to 0.8.8 (Jason Clinton)

Sudoku:
  - Use gtk.show_uri to show help (Thomas H.P. Andersen)

Translations:
  - bg: Alexander Shopov
  - ca: Gil Forcada, Joan Duran
  - el: Marios Zindilis
  - en_GB: Philip Withnall
  - eu: Inaki Larranaga Murgoitio
  - fi: Ilkka Tuohela
  - fr: Claude Paroz, Bruno Brouard
  - gu: Sweta Kothari
  - it: Milo Casagrande
  - ja: Takeshi AIHANA
  - ml: Abhishek Jacob
  - pl: wadim dziedzic
  - pt_BR: Vladimir Melo
  - sv: Daniel Nylander
  - th: Theppitak Karoonboonyanan

gnome-games 2.25.91
==================

This second beta release brings many bugfixes to aisleriot and also many
code cleanups all over the place. Bugs from bugbuddy are now sent to a new 
component 'BugBuddyBugs' to help manage the bug flow. The new Gnometris rendering
engine based on Clutter is feature complete, though a few bugs remain to be 
squashed. The engine was massively revamped to make it more responsive to 
keyboard controls. This rendering engine will be the default in 2.27. For now, 
it is enabled with --enable-clutter. Due to limitations in Mesa software 
rendering, you cannot currently play this engine without hardware acceleration.

General:
  - Send bug from bugbuddy to new component 'BugBuddyBugs' (Jason Clinton, 
    Thomas H.P. Andersen)
  - Rewrite of GamesFrame (Christian Persch)
  - Code cleanups (Christian Persch, Thomas H.P. Andersen)
  - Autogenerate changelogs in po/ from commitlogs (Christian Persch)

Aisleriot:
  - Fix cards disappearing without pairs in Thirteen (Vincent Povirk)
  - Be more strict about allowing drops in Valentine (Vincent Povirk)
  - Fix crash when clicking an empty stock in Sir Tommy (Vincent Povirk)
  - Always reshuffle the deck properly in Scuffle (Vincent Povirk)
  - Respect the temporary slot setting in the hint code in Ten Across (Vincent 
    Povirk)

Chess:
  - Fixed a translator comment (Claude Paroz)

Gnometris:
  - New clutter rendering engine (Jason Clinton)

Translations:
 - da: Ask H. Larsen
 - de: Hendrik Richter
 - es: Daniel Mustieles, Jorge Gonzalez
 - eu: Inaki Larranaga Murgoitio
 - he: Yair Hershkovitz, Mark Krapivner
 - hu: Gabor Kelemen
 - ro: Adi Roiban
 - sv: Daniel Nylander
 - vi: Clytie Siddall
 - zh_HK: Chao-Hsiung Liao
 - zh_TW: Chao-Hsiung Liao

gnome-games 2.25.90
==================

This is the first beta release of gnome-games. Starting the stabilization period
this release includes fixes for two crasher bugs introduced in 2.25 as well as
some compiler warnings. Mahjongg got a scalable icon and lots of translations 
were updated.

General:
  - Separate needed CFLAGS into each games makefile (Thomas H.P. Andersen)
  - Fix warnings with -DGDK_PIXBUF_DISABLE_DEPRECATED (Thomas H.P. Andersen)

Aisleriot:
  - Fix compiler warnings (Christian Persch)

Chess:
  - Fix GGZ config file exception handler typo (Robert Ancell)

Gnometris:
  - Translate renderer-noclutter.cpp not renderer.cpp (Jason Clinton)
  - Fix for crash when setting background image by dnd (Thomas H.P. Andersen)

Mahjongg:
  - Add scalable icon (Andreas Nilsson, Robert Ancell)

Translations:
 - de: Mario Blättermann
 - el: Jennie Petoumenou
 - es: Jorge Gonzalez
 - fi: Ilkka Tuohela
 - ko: Changwoo Ryu
 - mr: Sandeep Shedmake
 - pl: Joanna Mazgaj

gnome-games 2.25.5
==================

The gnome-games team is proud to release another version with lots of nice
improvements. Many of the changes are under the hood but the users can look
forward to lower mem usage and a new game in aisleriot, possibility to add 
network profiles in chess, and also undo support in chess. We hope you'll love
it :)

General:
  - Move GThread and gettext initialisation into games_runtime_init() (Christian
    Persch)
  - Refactored card themes code (Christian Persch)
  - Change xml entities to utf-8 (Jason Clinton)
  - Fixed typoed XML files (Jason Clinton)
  - Allow ChangeLog from git-svn (Jason Clinton)
  - Distcheck and warning fixes (Thomas H.P. Andersen)
  - Add msg context to translations (Christian Persch)

Aisleriot:
  - Reduce memory usage in aisleriot/clutter by only caching the
    card textures and not the GdkPixbufs (Christian Persch)
  - Reduce graphics memory usage by drawing highlighted cards with
    a different colour instead of creating a separate texture for it (Christian 
    Persch)
  - New game "Accordion" (by Ed Sirett in #526392)
  - Fix Treize in click-to-move mode (Christian Persch)

Chess:
  - Add ability to resign AI vs. AI games (Robert Ancell)
  - Made GGZ config writable so dialogs can update it (Robert Ancell)
  - Added dialog to add new network profiles (Robert Ancell)
  - Added undo support (Robert Ancell)

Translations:
 - de: Andre Klapper
 - el: Marios Zindilis
 - es: Jorge González
 - nb: Kjartan Maraas
 - sv: Daniel Nylander

gnome-games 2.25.4
==================

This release brings the beginnings of an implementation of Clutter-based
Gnometris and a few minor tweaks to GLChess.

Gnometris renders with Clutter in an extremely rudamentary way, as a first
milestone on the way to a fully-canvas driven game engine. Right now, it's just
two ClutterCairo surfaces, background and foreground, which are used as
compositors. These two actors will end up staying: background for--eh--the
background, and foreground for display of Pango text. An intermediate layer will
be introduced on which game pieces are actually animated, rotated and exploded.

Sadly, even this stupid way of rendering is faster than the old method.

This pre-alpha 'leaks' memory like gang-busters, also. I do not know if it is
merely a i915 driver bug or something more fundamental. It's not a 'leak' in the
traditional sense: all the textures that are 'leaked' are still reachable in the
i915 driver code. It leaks on the order of 1MB of memory per frame of animation.
This will be fixed either by doing things the Right Way or mitigating i915 leaks
by avoiding the use of texture uploads at all costs (a tile cache).

Hopefully, the final rendering infrastructure will be in place by the next
development release.

Gnometris:
  - Implement Clutter-based rendering surfaces (Jason D. Clinton)

GLChess:
  - Catch keyboard interrupts in AI monitor process
  - Apply antialias setting on new game (Robert Ancell, Bug #565743)
  - Ignore unexpected messages from the GGZ server (Robert Ancell, Bugs #559193,
    #562482)
  - Fix UI bug when players join a room (Robert Ancell)
  - Change GGZ language from hardcoded en_NZ.UTF-8 to use environment variable
    LANG (Robert Ancell, Bug #565402)
  - Describe reason for GGZ disconnection (Robert Ancell, Bug #564515)
  - Mark load game filters as translatable (Claude Paroz, Bug #565162)

Translations:
  - nb: Kjartan Maraas
  - es: Daniel Mustieles
  - fr: Claude Paroz
  - el: Evgenia Petoumenou, Marios Zintilis
  - de: Mario Blättermann

gnome-games 2.25.3
==================

This release brings a few UI improvements to the games. Beating the high score 
in a game is now congratulated in the high score dialog and gtali now defaults to
the name of the player who won if there are multiple human players. Chess got 
its "New Game" dialog cleaned up and mahjongg saw numerous great improvements.

General:
  - Move the card textures cache to libgames-support (Christian Persch)
  - Move clutter-embed to libgames-support. (Christian Persch)
  - Use different message for getting the top score versus getting a score in 
    the top ten (Robert Ancell)
  - Use g_timeout_add_seconds where possible (Thomas H.P. Andersen)

Aisleriot:
  - Add setting to enable animations (Christian Persch)

Chess:
  - Removed icons from new game dialog for a cleaner design (Andreas Nilsson)

Gnometris:
  - Use GamesClutterEmbed instead of ClutterGtkEmbed (Christian Persch)

Gtali:
  - Make the High score table allow the user to change name to someone other
    than their username. (Geoff Buchan)

Mahjongg:
  - Reword the change map dialog (Robert Ancell)
  - Use selected tile for hint if possible (Robert Ancell)
  - Refactor new game code so all state is correctly reset (Robert Ancell)
  - Add new game button when no more moves (Claude Paroz, Robert Ancell)
  - When cannot shuffle tiles don't display shuffle button in 'no moves' dialog
    (Robert Ancell)
  - Update documentation to correct the description of the high score dialog
    (Robert Ancell)

Translations:
  - de: Mario Blättermann
  - sk: Marcel Telka

gnome-games 2.25.2
==================

Lots of exciting new things in this release. The most user visible stuff are
the addition of Terrace aka Queen of Italy to aisleriot, anti-aliasing support
for Chess and fewer wakeups in Five or more, Iagno and Same-gnome.

The beginning scafolding for gnometris clutter support has also been added; 
this is a compile-time option enabled by --enable-clutter. Note that none of the
game logic has been checked in yet.

General: 
  - Code cleanups and warnings (Robert Ancell, Christian Persch, Thomas Andersen,
    Zhang Sen)
  - High score lists are now always selectable (Thomas Andersen, Jason Clinton)
  - Makefile modernisation (Christian Persch)
  - Use games-runtime to locate files (Christian Persch)
  - Clean up linking in networked game servers (Robert Light)

Aisleriot:
  - Move hint code to AisleriotGame (Christian Persch)
  - Only update the game options once when chaning a radio option 
    (Vincent Povirk)
  - Add Terrace aka Queen of Italy (Vincent Povirk, David Rogers)
  - Be more strict about rules in Seahaven (Vincent Povirk)
  - Rewrite Baker's Game rules (Vincent Povirk)

Blackjack:
  - window-state-event callback needs to return gboolean, not void.
    (Christian Persch)

Chess:
  - Added anti-aliasing support (Robert Ancell)

Glines, iagno, same-gnome:
  - Only run animation timer during animation (Robert Ancell)

Gnibbles:
  - Change Gnibbles to Nibbles in user visible strings (Thomas Andersen)

Gnometris:
  - Scafolding for clutter support (Jason Clinton)
  - Use correct name in g_set_application_name (Jason Clinton)

Sudoku:
  - Fix crasher bugs: #523062, #436275, #486385, #421487, #532937 (Robert Ancell)
  - Handle errors loading stock icons (Robert Ancell)
  - Show highlighter at game launch (Zhang Sen)

Translations:
  - cs: Marek Lisy
  - de: Mario Blättermann, Ulf Ehlert
  - es: Jorge Gonzalez, Daniel Mustieles

gnome-games 2.25.1
==================

This is the first 2.26 development release.

A huge amount of kudos should go out to Neil for his work on clutter and Thomas
for his work on killing off libgnome.

** ATTENTION **

Gnome Games now optionally depends on clutter. We have run some preliminary
testing of clutter rendering on Intel, NVidia and ATI hardware and are
satisfied with the hardware accelerated state of things with regard those
specific hardware use cases. However, a wide range of graphics hardware still--
in 2008--doesn't have OpenGL acceleration. We have tested software-based
rendering with Mesa 7.2 and clutter and found it a little lacking, even on a
modern CPU.

Therefore, at this time, we recommend that clutter only be enabled by default
by distributors that ensure that OpenGL acceleration is working for hardware
from the three major vendors: Intel, NVidia and ATI.

We hope that in the future, low-hanging fruit in the Mesa software rendering
pipeline can be fixed enabling even software-fallback to work optimally for the
subset of OpenGL functions needed for rendering a clutter stage.

** END ATTENTION **

All games:
  - GTK req. bumped to 2.14.0 for libgnome killoff (thomashpa, chpe)
  - Remove directory defines from CPPFLAGs (chpe)
  - Kill off libgnome usage (thomashpa, chpe) YAY! All games now start faster!
  - Whitespace cleanups
  - All games now build with gtk-only. libxml now checked for independently.
    (chpe)
  - -lSM is now only added in the XSMP case (chpe)
  - ggz-gtk dropped libgnome requirement, also.
  - GNOME_MAINTAINER_MODE_DEFINES enabled, maintainer_mode also (chpe)
  - ggz-gtk now builds better when out of srcdir (chpe)
  - Update libegg, add egg_sm_client (thomashpa, chpe)
  - -Wformat-security fixups (chpe)
  - -Werror fixups (chpe)
  - games-runtime: add runtime directory provider (thomashpa)
  - Refactor accel map loading code to load the accel map from
    .config/gnome-games/${game}.accels even in the HAVE_GNOME case, if the game
    doesn't use GnomeProgram (e.g. aisleriot). (chpe)
  - Scores: use g_get_user_name when g_get_real_name returns empty. Patch by
    Morita Sho in bug #544376 (chpe)
  - Read saved window configuration from correct GConf group (affects gnometris,
    gnibbles, gnobots) (Bug #544389) (rancell)
  
Sudoku:
  - GUI sensitivity fixups (thomashpa)
  - Guard against accidental dancer activation Patch by Zhang Sen. (thomashpa)
  - Add, not overwrite, time and also remember to actually save the time in the
    file. Fixes bug #556155 (thomashpa)
  - Correct typo in error message that led to an exception. Patch by Zhang Sen
    in bug #530380 (thomashpa)

Iagno:
  - Fix warning (thomashpa)
  - Fix SM issue with -lSM

Aisleriot:
  - Aisleriot now optionally animated and accelerated in OpenGL through the use
    of clutter. Try it with --enable-clutter to configure. (Neil Roberts)
  - A littel clutter cleanup (chpe)
  - Check for HAVE_GNOME again (thomashpa)
  - Remove duplicate include (thomashpa)
  - Build with *_DISABLE_DEPRECATED and *_DISABLE_SINGLE_INCLUDES. Add some
    missing includes. (chpe)

GLChess:
  - Don't display failed to claim draw dialog when successfully claimed draw
    (rancell)
  - Added support for Figurine Algebraic Notation (FAN) (Bug #556803) (rancell)
  - Fix crash in error handler when GGZ connection closed (Bug #553982)
    (rancell)
  - Fix crash in empty scene when no AI engines available (Bug #551844)
    (rancell)
  - Implement GGZ config parser instead of using Python config parser which does
    not handle '%' characters as GGZ does (Bug #554108) (rancell)
  - Ignore GGZ server remove player/table for unknown players/tables 
    (Bug #545155) (rancell)
  - Handle exceptions loading OpenGL textures (Bug #548916) (rancell)
  - Reset pause menu when starting new game (gnomine, gnotravex) (Bug #552391)
    (rancell)
  - Only allow one new/load game dialog to be visible at once. (Bug #546702)
    (rancell)
  - Fix incorrect function call for single buffered 3D display (Bug #555567)
    (rancell)
  - Fix errors detected by pychecker (rancell)
  - Handle fork() errors in AI processes (Bug #530425) (rancell)

GTali:
  - Use games-runtime to locate its files (thomashpa)
  - Undoing 5 of a kind reduces the score by 50 as there might be multiple
    scores (Geoff Buchan, Bug #537673) (rancell)

Gnomine:
  - Fix memory leak (thomashpa)
  - Reset pause menu when starting new game (gnomine, gnotravex) (Bug #552391)
    (rancell)

Gnotravex:
  - Stop game immediately completing when started from high score dialog
    (bug #558904, rancell)
  - Stop paused tiles becoming visible after changing colour settings
    (Bug #550023) (Damian Peterson)

GLines:
  - Use games-runtime to locate its files (thomashpa)

Gnibbles:
  - Fix missing prototypes warnings. (chpe)
  - Reclassify Gnibbles as Arcade game not logic game (Bug #553484) (rancell)
  
Gnometris:
  - Fix constant string cast insanity (thomashpa)

Blackjack:
  - Port game rules to GKeyFile
  
Mahjongg:
  - Use games-runtime to locate its files (thomashpa)
  
Translations:
 - ca: Joan Duran
 - de: Mario Blättermann, Hendrik Richter
 - es: Jorge Gonzalez
 - et: Ivar Smolin
 - fr: Claude Paroz
 - fi: Timo Jyrinki
 - gl: Ignacio Casal Quinteiro
 - nb: Kjartan Maraas
 - pt_BR: Leonardo Ferreira Fontenelle
 - sl: mateju
 - ta: Felix
 - zh_HK: Chao-Hsiung Liao
 - zh_TW: Chao-Hsiung Liao

gnome-games 2.24.0
==================

This is the Gnome 2.24 stable release. This update brings translation
updates over the previous release candidates.

Translations:
Nickolay V. Shmyrev, Yuri Myasoedov, rsedak, claudep, mateju, jorgegonz,
sandeeps, Mario Blättermann, Gintautas Miliauskas, bcicek, Milo Casagrande,
lferrett, Khaled Hosny, djihed, Gabor Kelemen, ifelix, Alexander Shopov,
Anas Afif Emad, gforcada, kennethn, amitakhya, dnylande, Inaki Larrañaga
Murgoitio, pgeyleg, bobmauchin, simos, pkst, grakic, Miloš Popović, Philipp
Kerling, Mugurel Tudor, Mişu Moldovan, Lucas Lommer, Petr Kovar

gnome-games 2.23.92
==================

This release brings even better translations and some bug fixes for aisleriot
and blackjack. If you meet one of the guys who contributed to this release please
be sure to thank the for being awesome :)

Aisleriot:
  - Fix bug where double click no longer sends card to free cell (Christian Persch)

Blackjack:
  - Fix language in help (Claude Paroz)

Translations:
 - ca: Gil Forcada
 - en_GB: Philip Withnall
 - hr: Robert Sedak
 - ko: Changwoo Ryu
 - mai: Rajesh Ranjan
 - nl: Wouter Bolsterlee
 - sv: Daniel Nylander


gnome-games 2.23.91
==================

Beta 2 brings Gnome Games some additional stability.

GLChess:
 - Fix promotion_type GConf key default from 'human' to 'queen' (Robert Ancell)

Sudoku:
 - Stop the dancer when undoing after win. Bug #532357. (Zhang Sen, 
   Thomas H.P. Andersen)

Translations: Takeshi Aihana, Leonardo Ferreira Fontenelle, Djavan Fagundes,
Shankar Prasad, Runa Bhattacharjee, Goran Rakic, Priit Laes, Robert-André
Mauchin, Mario Blättermann


gnome-games 2.23.90
==================

Another development release of gnome-games leading up to the 2.24 release. Lots
of bug and stabilization fixes for aisleriot, chess, and sudoku. 

Aisleriot:
  - Add "changed" signal to GamesCardTheme. (Christian Persch)
  - Get the cairo font options from the screen instead of creating them from 
    the gtk settings. (Christian Persch)
  - Take the antialias setting from the font options instead of storing it 
    separately. (Christian Persch)
 
Chess:
  - Fix save related crasher. (Robert Ancell)
  - Chess now works if gconf is read-only. (Robert Ancell)
  - Keep checkboxes for "3D view" in synch (Robert Ancell)

Sudoku:
  - Don't create temp files when drawing thumbnails. (Josselin Mouette)
  - Show All Hints now works on at start of new game. (Zhang Sen)
  - Undo/redo is now unsensitive at start of new game. (Zhang Sen)
  - Start timer when puzzle is selected, not at game start. (Thomas H.P. Andersen)
  - Active time should never be more that total time (Thomas H.P. Andersen)

Translations:
 - es: Esteban Sanchez
 - et: Ivar Smolin
 - fr: Claude Paroz
 - pt_BR: Vladimir Melo	
 - th: Theppitak Karoonboonyanan


gnome-games 2.23.6
==================

Mostly just translation updates this time. Many thanks to all our translators!

Blackjack:
 - Revert bogus patch from bug #444806 (Christian Persch)

Translations:
 - ar: Djihed Afifi
 - de: Nicolas Kaiser, Mario Blättermann
 - it: Alessio Treglia
 - nb: Kjartan Maraas
 - pt_BR: Vladimir Melo
 - ru: Dmitry Dzhus
 - sv: Daniel Nylander


gnome-games 2.23.5
==================

This is the first release of Gnome Games that generates its ChangeLog from SVN
commit messages.

In this release cycle we have implemented a handful of new features and made
some fundamental fixes to our utilization of Python for GLChess and Sudoku.

GLChess:
 - Give users a helpful error message when python-support has missing modules.
   (Jason D. Clinton, Justin Dugger, Dani Nordli, Bug #524665)
 - Add fix for blank playing field from Ubuntu Launchpad (rhussey, Ubuntu
   Bug #239905)
 - Fix improper use of openGLErrors list (Jason D. Clinton, Gubianas, Bug
   #530981)
 - Disable network controls when disconnected (Robert Ancell, Bug #523818)
 - Handle empty combo boxes in the preferences dialog (Robert Ancell, Bug
   #532908)
 - Don't disable load button on load dialog as we cannot tell if the user has
   selected a valid file (Robert Ancell, Bug #540527)
 - Catch GLU exception making numbering texture and fall back to non-mipmapped
   version (Robert Ancell, Bug #542253)
   
Gnibbles:
 - Patch to support CAPSLOCK key in Gnibbles (Emil Andersson, Thomas H.P.
   Andersen, Bug #472355)
   
Gnobots:
 - Allow CAPSLOCK with directional buttons (Emil Andersson, Bug #540755)
 
Gnometris:
 - Allow CAPSLOCK with directional buttons (Emil Andersson, Bug #540740)

Gnomine:
 - Allow user to flag a mine by holding the control key. (Emil Andersson.
   Bug #539725)
   * Handle double right-click correctly as a result of this fix (Thomas H.P.
     Andersen)
 - Handle right click dragging. (Thomas H.P. Andersen, Bug #515497)
 
Aisleriot:
 - Add statusbar toggle to View menu. Makes the game more playable on small
   screens (e.g. eeepc) by allowing to enlarge the vertical space available.
   (Christian Persch)

Translations:
Mario Blättermann, Leonardo Ferreira Fontenelle, Vladimir Melo, Kjartan Maraas,
Theppitak Karoonboonyanan, Philipp Kerling, Jorge Gonzalez, Yannig Marchegay


gnome-games 2.23.4
==================

Gnibbles:
 - Improved AI search algorithm. Solves AI problems with level 15 (ais523)
 - Fix problem where worms crash on the starting square of dead worms (ais523)

Gnometris:
 - code clean up (Jason Clinton)
 - fix compiler warnings (Jason Clinton)

Sudoku:
 - code clean up (Jason Clinton)

Translations:
 - ar: Djihed Afifi
 - de: Mario Blättermann
 - ru: Aleksandr Burobin


gnome-games 2.23.3
==================

This development release incorporates a few critical bugfixes. No new features
over the previous 2.23.1 have been added.

Overall:
  - Set AM_MAINTAINER_MODE (Josselin Mouette, Andreas Røsdal, bug #53255)
  - Stop distributing generated defaults.py (Robert Ancell)
  - Add the new parameter --with-ggz-server=force (Josselin Mouette, Andreas
    Røsdal, bug #532555)
  - Drop server configuration files to ggzdconfdir (Josselin Mouette, Andreas
    Røsdal, bug #532553)

Sudoku and GLChess:
  - Fix our Python sys.path usage to make it easier to package for distros
    and possible to run directly out of the build directory for developers
    (Jason Clinton, Josselin Mouette, Robert Ancell, bug #528953, bug #524665)
  - Open files in binary mode so they work in Windows. (Robert Ancell)
  - Massive GGZ multiplayer fixups (Robert Ancell)

Gnotski:
  - Remove Minoru Climb.

Aisleriot:
  - Don't crash on double click (Christian Persch, Vincent Povirk, bug #443307)


Translations:
Jonh Wendell, Vladimir Melo, Clytie Siddall, Vincent van Adrighem, Djihed Afifi,
Tino Meinen, Kjartan Maraas, Petr Kovar, Lucas Lommer, Priit Laes, Ivar Smolin
  

gnome-games 2.23.1
==================

This is the first development release of the 2.23 series. 

Overall:
  - Merge changes in ggz.m4 from ggz trunk. (Roger Light, Andreas Røsdal, bug
    #520599, bug #510917)
  - define GAMES_STOCK_FULLSCREEN on hildon (Christian Persch)
  - Reorder the -I/path/to in Makefile.am to import GGZ libraries in correct 
    order (Andreas Røsdal)
  - Maemo4 fixes (Christian Persch)
  - Merge changes in ggz.m4 from ggz trunk (Robert Light)

Aisleriot:
  - Add back the statistics fallback (Christian Persch, bug #406267, bug
    #525177)
  - Don't allow moving non-uniformly suited card stacks to foundation (Philippe
    Gauthier, Christian Persch, bug #443307)
  - Make shuffle-deck-helper tail recursive. Fixes stack overflow exception
    with guile 1.8.4. (Vincent Povirk, Christian Persch, bug #519554)
  - Set gtk-enable-accels to TRUE (Christian Persch)
  - Fix the build without ENABLE_KEYNAV (Christian Persch)
  - Use gtk_widget_error_bell on hildon/maemo4. (Christian Persch)
  - Include tablet-browser-interface.h on hildon (Christian Persch)
  - Remove an unnecessary string, and simplify code. (Ed Sirett)
  - Add "Forty Thieves" game. (Ed Sirett / Vincent Povirk)
  - Handle default theme better. (Christian Persch)

GLChess:
  - Abort 3D render if widget_get_gl_context() returns None (Robert Ancell,
    bug #512068)
  - Add Gambit Fruit to AI list (Robert Ancell, bug #521623)
  - Handle AI players dying before the game starts (Robert Ancell, bug #522341)
  - Handle GLError->GLerror, GLUError -> GLUerror objects being renamed in
    PyOpenGL 3.0 (Robert Ancell, bug #503238)
  - Fix board rotation animation bug when viewing black side (Robert Ancell)
  - Check PID returned on SIGCHLD (Robert Ancell)
  - Add missing gettext call for the Application Log viewer. (Jordi Mallach)
  - Handle missing throbber icons (Robert Ancell)
  - Disable room 'new' and 'join' buttons when network protocol is busy 
    (Robert Ancell)
  - Import the main module on initialisation not runtime (Robert Ancell)
  - Abort history saving if cannot create history directory (Robert Ancell)
    
Klotski:
  - Remove Minoru Climb. (Thomas H.P. Andersen)

Mahjongg: 
  - Change title string to be easier to translate (Robert Ancell)

Nibbles:
  - Fixed collision detection of worms (Simon McNeilly)
  - Only allow human players to get a high score (Simon McNeilly)
  - Correct respawn direction of worms after death. (Simon McNeilly)
  - Prevent restart of worms after all lives lost (Simon McNeilly)

Sudoku:
  - Don't crash when clearing a tracker (Thomas M. Hinkle)
  - Handle when no more puzzles of a certain difficulty exists (Thomas M. Hinkle)
  - Don't always show the same puzzle until it has been completed or saved
    (Thomas M. Hinkle)
  - Fix crash on cancel in new game dialog (Thomas H.P. Andersen)
  - Fix crash caused by race when creating a directory (Thomas H.P. Andersen)
  - Don't hardcode time formats. (Claude Paroz)

Translations:
  - bg: Yavor Doganov
  - ca: Jordi Mallach
  - el: Christos Mpountalis, Simos Xenitellis, Stavros Daliakopoulos, 
        Kostas Papadimas
  - en_GB: Philip Withnall
  - es: Jorge Gonzalez
  - et: Ivar Smolin
  - lt:  Gintautas Miliauskas
  - nn: Eskild Hustvedt 

gnome-games 2.22.0
==================

This is the final release of Gnome Games for 2.22. This release fixes two
critical blockers as well as a build problem with automake 1.9. We also
include translation updates. Individual module changes are below:

Overall:
  - Fix GGZ crash (Roger Light, Andreas Røsdal, bug #363015)
  - Support building with GCC 4.3 (Matthias Clasen, Andreas Røsdal, bug #516616)
  - Fix automake 1.9 build problems (Paul, Andreas, Thomas, Jason, bug #518918)

Gnome Sudoku:
  - Fix bug that led to game not being registered as solved after user had
    used "clear" button. (Greg Fawcett, Thomas Hinkle, bug #423478)
  - Fix crash when starting new game. (Andreas Røsdal, bug #513894)

GLChess:
  - Re-add pygtk.require() call (Robert Ancell, bug #521154)
  - Handle gtk.gtkgl.widget_get_gl_drawable() returning None (Robert Ancell,
    bugs #488902 and #512068)
  - Made AI monitor process more resiliant to OSError exceptions (Robert Ancell,
    bug #517347)

Aisleriot:
  - Fix the build with guile 1.6 and older gccs. (Jasper Lievisse Adriaanse
    Christian Persch, bug #519990)
  - Use the game filename in the backtrace, not the localised game name.
    (Christian Persch)

Gnobots2:
  - Fix a bug where an annoying blank rectangle is left after a robot splat.
    (Fernando Martins, Andreas Røsdal, bug #506162)

Translators, whose hard work is much appreciated:
 Luca Ferretti, Jorge Gonzalez, Djihed Afifi, Priit Laes, Baris Cicek, Petr
 Kovar, Kjartan Maraas, Gabor Kelemen, Kenneth Nielsen, Ani Peter, Gintautas
 Miliauskas, Stéphane Raimbault, Hendrik Richter, Vincent van Adrighem,
 Rahul Bhalerao, Philip Withnall, Guntupalli Karunakar, Claude Paroz, Takeshi
 AIHANA


gnome-games 2.21.92
==================
This is the release candidate for 2.22 of gnome-games. Mostly stability and 
regression fixes. Jordi Mas committed a patch that should reduce the performance
problems seen in gnometris with the new theme.

Aisleriot:
  - Stop the game time when the game is over (Christian Persch)

Chess:
  - Fix castling regression (Robert Ancell)
  - Catch GError exceptions from GConf (Robert Ancell)
  - Pixel align the board (Robert Ancell)
  - Fix wrong player moving when changing to 3D mode (Robert Ancell)
  - Reduce startup time in 3D mode (Robert Ancell)
  - Add translator comments (Robert Ancell)

Gnometris:
  - Add translator comment (Robert Ancell)
  - Cache Renderer object to reduce alloc/deallocs (Jordi Mas)

Sudoku:
  - Avoid starting two grid dancers (Thomas M. Hinkle)

Translations:
  - ar: Abdelmonam Kouka
  - ca: Gil Forcada
  - de: Denis Washington, Hendrik Richter
  - es: Jorge Gonzalez
  - fi: Ilkka Tuohela
  - fr: Bruno Brouard, Claude Paroz
  - gl: Ignacio Casal Quinteiro
  - he: Yair Hershkovitz
  - it: Alessio Treglia
  - kn: Shankar Prasad
  - ko: Changwoo Ryu
  - mk: Arangel Angov
  - nb: Kjartan Maraas
  - nl: Tino Meinen
  - ne: Pawan Chitrakar
  - oc: Yannig Marchegay
  - pl: GNOME PL Team
  - pt: Duarte Loreto
  - pt_BR: Vladimir Melo
  - ru: Nickolay V. Shmyrev
  - sv: Daniel Nylander
  - th: Theppitak Karoonboonyanan

gnome-games 2.21.91
==================
A fairly boring release, but still lots of fixes to polish off the games for the 
big release. 

General:
  - Change check for C++ compiler to use AC_COMPILE_IFELSE (Christian Persch)
  - Update copyright year for 2008 (Andreas Røsdal)

Aisleriot:
  - Documentation typo fix (Graham Cole)

Chess:
  - Fix problem when using Win4Lin theme (Robert Ancell)
  - Fix a number of bugs when switching GGZ servers (Robert Ancell)
  - Update documentation (Andreas Røsdal)

Sudoku:
  - Use PUZZLE_DIR when running gnome-sudoku in-place (Thomas M. Hinkle)
  - Exclude saved games from list of new games (Thomas M. Hinkle)
  - Update manual for new version (Thomas M. Hinkle)
  - Display dialog warning user if unable to save/create save dir (Thomas M. Hinkle)
  - Fixed display bug that made numbers render badly (Thomas M. Hinkle)
  - Slow down victory dance (Thomas M. Hinkle)
  - Fixed crasher bugs (Thomas M. Hinkle)
  - Make dialogs transient (Andreas Røsdal)

Translations:
  - ar: Anas Husseini
  - as: Amitakhya Phukan
  - es: Jorge Gonzalez
  - fr: Bruno Brouard/Claude Paroz
  - oc: Yannig Marchegay
  - pt: Duarte Loreto
  - sv: Daniel Nylander

gnome-games 2.21.90
==================
This is a pretty calm release of the development series as we prepare for an 
awesome 2.22 soon. Chess saw a reorganization of it's menu and got a preference 
dialog. Sudoku now works in fullscreen and the .room files for Nibbles, 
Four-in-a-Row, and Iagno are now translatable. Also small fixes here and there.

Aisleriot:
  - Start the game when dealing a new card, too (Christian Persch)
  - Support KP_Space too. (Christian Persch)
  - Add stock item for "Deal cards" Bug #474698 (Christian Persch)
  - Code cleanups (Christian Persch)

Chess:
  - Add preferece dialog and reorganize menus (Andreas Røsdal / Robert Ancell)
  - Make all dialogs transient of the main window (Robert Ancell)
  - Add support for Shredder Classic 3 (Andreas Røsdal)
  - Code cleanups (Robert Ancell)

Gtali:
  - Use G_STRFUNC instead of the deprecated G_GNUC_FUNCTION (Christian Persch)

Nibbles/Four-in-a-Row/Iagno:
  - Make .room files translatable (Christian Persch)
  - Add the .room.in files to EXTRA_DIST (Christian Persch)
  - Install ggz demons in libexecdir, not bindir (Christian Persch)

Sudoku:
  - Use type=gtk.WINDOW_POPUP for number selector (Thomas M. Hinkle)
    Fixes bug #479938 (Thomas M. Hinkle)
  - Fix problem with 100% cpu usage. Fixes bug #502675 (Didier Vidal)

Games support lib:
  - Use the same code to register stock icons and named icons. Add LTR and RTL 
    variants for the GAMES_STOCK_UNDO/REDO_MOVE stock IDs (Christian Persch)
  - Rework stock icon registration in preparation for using the gtk facilities. 
    Bug #511332 (Christian Persch)

Documentation fixes:
  - Andreas Røsdal
  - Gil forcada

Translations:
  - ar: Anas Husseini
  - ca: Gil Forcada/David Planella/Joan Duran
  - da: Kenneth Nielsen
  - es: Lucas Vieites
  - fr: Claude Paroz
  - gu: Ankit Patel
  - he: Yair Hershkovitz
  - lv: Raivis Dejus
  - nb: Kjartan Maraas
  - oc: Yannig Marchegay
  - sv: Daniel Nylander

gnome-games 2.21.5
==================
Anther rocking release from the gnome-games team. Mostly improvements for chess
and aiseleriot and lots of fixes all over the place. Huge thanks goes to 
the translators and documentors for the many fixes there also!

General:
  - Possible to use SDL for sound (Andreas Røsdal)
  - Lots of code cleanups (Christian Persch, Andreas Røsdal)

Aisleriot:
  - Define any-slot-empty and any-slot-nonempty, and reuse a string from Fortune
    instead of adding a new one for the hint. (Christian Persch)
  - Implement droppable feature (Vincent Povirk)
  - Use a verb for the affirmative button (Christian Persch)
  - Update year, and add Vincent to credits (Christian Persch)
  - Implement keyboard navigation (Christian Persch)

Chess:
  - Mark animation as complete when pieces are deleted (fixes game history crash
    reported in bug (Robert Ancell)
  - Use LAN move if unable to generate SAN move (Robert Ancell)
  - Fix bugs in SAN move generation (Robert Ancell)
  - Support resigning in saved games (Robert Ancell)
  - Stop players from moving after the game has completed (Robert Ancell)
  - Improve tanslators comment (Andreas Røsdal)
  - Make it possible to run from source (Andreas Røsdal)
  - Move "View logs" to "View" menu (Andreas Røsdal)
  - Reorder to load from prefix before system wide (Andreas Røsdal)
  - Reuse strings from libgames-support (Andreas Røsdal)

Gtali:
  - Fix a translation string (Stephane Raimbault)
  - Remove old graphics file (Thomas H.P. Andersen)

Mahjongg:
  - Unfocus toolbar to avoid accidental game restarts (Christian Persch)

Sudoku:
  - Fix undo related crasher (Thomas M. Hinkle)
  - Make it possible to run from source (Andreas Røsdal)
  - Reorder to load from prefix before system wide (Thomas H.P. Andersen)

Documentation:
  - Improve description of games in documentation (Andreas Freund)
  - Fix typo in documentation (Bob Mauchin)
  - Remove duplicate links to toolbar in documentation (Aloriel)
  - Removes duplicate application tag (Andreas Røsdal)
  - Remove uppercasing in glossary (Andreas Røsdal)
  - Adapted manual to new doc template (Claude Paroz)

Updated Translations:
  - ca: Joan Duran, Josep Puigdemont
  - en_GB: Bastien Nocera
  - es: Jorge Gonzalez
  - fr: Stéphane Raimbault, Claude Paroz, Didier Vidal
  - ga: Seán de Búrca
  - ku: eronahi
  - lt: Gintautas Miliauskas, Luca Ferretti
  - mk: Jovan Naumovski
  - oc: Yannig Marchegay
  - pa: Amanpreet Singh Alam 
  - pt_BR: Vladimir Melo, Leonardo Ferreira Fontenelle
  - vi: Clytie Siddall
  - zh_CN: pingz

gnome-games 2.21.4
==================

Continuing the march toward a stable Gnome 2.22 release, this unstable release
sports a number of small bug fixes and clean-ups.

This release is code named "exit-isle-on-delta".

Aisleriot:
  - Refactor Saratoga and Athena. Use klondike.scm as base. Bug #446944,
    patch by Vincent Povirk. (Christian Persch)
  - I10n updates to translatable game names. (Christian Persch)
  - Add "Gold Mine" game, another klondike variant. Bug #324759, patch by
    Vincent Povirk based on a prior patch by Alan Horkan. (Christian Persch)
  - Add kings-only option to Klondike. Part of bug #324759, patch by Vincent
    Povirk. (Christian Persch)
  - Don't allow moving a card to its original slot. Bug #467796, patch by
    Vincent Povirk. (Christian Persch)

Blackjack:
  - Use the global game_variation instead of DEFAULT_VARIATION, so the stored
    preference is used (Bug #487423) (John Bryant)

Sodoku:
  - I10n fixups Patch by Didier Vidal. (Bug #502194) (Thomas H.P. Andersen)

Updated Translations:
  - pt_BR.po: Leonardo Ferreira Fontenelle
  - sl.po: Matej Urbančič
  - nb.po: Espen Stefansen


gnome-games 2.21.3
=====================

A new version of gnome-games is now available. This version brings a lot of 
cool new features and some bugfixes. Most notable is the new graphics for the
face in gnomine and the tooltips showing what the score will be in gtali.

Notice that gnome-games now depends on GGZ 0.0.14 for network games. Also the 
dependency on GTK was bumped to 2.12 to make the tooltips for gtali.

General:
  - Remove embedded libggz and ggz-client-libs. (Andreas Røsdal)
  - Require GGZ Gaming Zone 0.0.14 for network games. (Andreas Røsdal)
  - Only require ggz if building those games that support it (Christian Persch)
  - Rename "maemo" platform to "hildon", in preparation for generalised hildon 
    support. (Christian Persch)

Aisleriot:
  - Lots of cleanups and fixes (Christian Persch)

Chess:
  - Set toolbar style to default system style (Robert Ancell)
  - Choose AI for default game from first detected AI not first known AI
    (Robert Ancell)
  - Mark board numbers for translation (Robert Ancell)
  - Remove stray "Iagno" from chess help files (Andreas Røsdal)

Gnomine:
  - Fix redraw error when holiding right and repeatedly clicking left button
    (WuSonghai/Robert Ancell)
  - Change from GConf to GamesConf (Robert Ancell)
  - Tangoified faces (Lapo Calamandrei/Ulisse Perusin)

Gtali:
  - Tooltips that show what will be scored. (Geoff Buchan)

Sudoku:
  - Add walk-through option to step through code. (Thomas M. Hinkle)
  - Fix error that made status-bar not update after 1st puzzle played.
    (Thomas M. Hinkle)
  - Add debug statements. (Thomas M. Hinkle)
  - Speed up make_new_game_model substantially. (Thomas M. Hinkle)
  - Speed up is_valid_puzzle. (Thomas M. Hinkle)
  - Ignore invalid lines in puzzle files. (Thomas M. Hinkle)

Translations:
  - ca (Joan Duran)
  - el (ta_panta_rei)
  - es (Jorge Gonzalez)
  - et (Ivar Smolin)
  - oc (Yannig Marchegay)
  - sl (Matej Urbancic)

gnome-games 2.21.2
=====================

A new version of gnome-games is now available. Mostly more features and fixes 
for the chess game by Robert Ancell but also a few fixes for sudoku and 
translations. Thanks to everyone that contributed to this release!

Chess: (all by Robert Ancell)
  - Show threatened squares and pieces able to be taken
  - Handle carriage returns in PGN files
  - Put an asterisk in the title bar for games that need saving
  - Sped up PGN decoder by approximately 40%
  - Add support for Toga II engine
  - If no game on startup start default game of human vs AI
  - Fix overzealous game name autogeneration
  - Don't allow 3D mode if cannot get a valid OpenGL configuration
  - Reworked "No 3D" dialog to list reasons why 3D mode cannot be entered

Sudoku:
  - Allow for empty lines in sudoku files (Thomas M. Hinkle)
  - Fix decimal value in float error (Thomas M. Hinkle)
  - Fix calculation of big/small borders (Thomas H.P. Andersen)

Translations:
  - da (Kenneth Nielsen)
  - es (Lucas Vieites)
  - et (Ivar Smolin)
  - nb (Espen Stefansen)
  - sv (Daniel Nylander)

gnome-games 2.21.1
=====================

This is the first development release of the 2.21 series. It's a great release
with a new simple UI for selecting game for sudoku, a lot of bug fix for chess, 
and a new feature to undo a wrong score in tali.

Aisleriot:
  - Add autoplay in spider when double-clicking foundation (Vincent Povirk)
  - Fix statistics for !HAVE_GNOME (Christian Persch)

Chess:
  - Display error dialog and quit if unable to import glchess.glchess 
    (Robert Ancell)
  - Catch and ignore all exceptions writing to stdout (Robert Ancell)
  - Catch exception killing AI (Robert Ancell)
  - Fix exception when autoloading games with invalid AIs (Robert Ancell)
  - Moved pygtk.require() to glchess.in so it is always called first 
    (Robert Ancell)
  - Added tests/ dir containing PGN test files (Robert Ancell)
  - Add better support for informal PGN files (Robert Ancell)
  - GtkFileChooser.get_current_folder() can return None, handle this case 
    (Robert Ancell)
  - Catch GLU exception building mipmaps and fallback to standard textures 
    (Robert Ancell)
  - Disable navigation buttons when at start/end of moves (Robert Ancell)
  - Merged glchess-ggz branch to give glchess initial ggz support 
    (Robert Ancell)
  - Removed tab support and added game history support (Robert Ancell)
  - Added ability to resign and claim draws (Robert Ancell)
  - Reworked some strings that were hard to translate (Robert Ancell)

Klotski:
  - fix imposible move (Thomas H.P. Andersen)

Robots:
  - Fix typo in score-category nightmare with super safe moves 
    (Thomas H.P. Andersen)
  - Show highscore and new/quit option even when score is not good enough to 
    enter the highscore (Thomas H.P. Andersen)

Sudoku:
  - New select game/load game menu (Thomas H. Hinkle)
  - don't keep all generated puzzles in memory (Thomas H. Hinkle)
  - simplify print dialog (Thomas H. Hinkle)

Tali:
  - Add undo feature (Geoffrey Buchan)

Libgames-support:
  - Fix compilation on maemo (Christian Persch)

Translations:
  - ar (Anas Husseini)
  - nb (Kjartan Maraas)

gnome-games 2.20.0
=====================

This is the first stable release of gnome-games for 2.20. Since 2.19.92 there
has been the following changes:

Aisleriot:
  - Fix timer suspend on window iconification; and fix the corrupted statistics 
    on load. (Christian Persch)
  - Revert the spider options order in menu. (Christian Persch)

Gnometris:
  - pre-filled rows, and density of blocks in a pre-filled row works 
    again (Thomas H.P. Andersen)

Nibbles:
  - Add missing includes (Andreas Røsdal)

Robots:
  - Add prototype for load_keys() to silence warning (Damien Carbery)

GGZ:
  - Add included ggzdmod to build path (Roger Light)

Updated translations:

- af (Friedel Wolff)
- ar (Anas Husseini)
- ca (Gil Forcada)
- de (Nikolas Becker, Björn Deiseroth)
- el (Giannis Evangelou)
- es (Jorge Gonzalez)
- et (Ivar Smolin)
- fi (Ilkka Tuohela)
- hi (Rajesh Ranjan)
- hu (Gabor Kelemen)
- ja (Takeshi AIHANA)
- lt (vt)
- nl (Tino Meinen)
- ml (Ani Peter)
- mk (Jovan Naumovski)
- pa (aman)
- pl (GNOME PL Team)
- pt_BR (Leonardo Ferreira Fontenelle)
- ru (ickolay V. Shmyrev)
- si (Danishka Navin)
- sr (Milos Popovic)
- tr (Deniz Kocak)
- vi (Clytie Siddall)
- zh_CN (pingzheng)

Documentation translations:

- fr (Claude Paroz)
- pt_BR (Vladimir Melo)

gnome-games 2.19.92
=====================

This is the release candidate of gnome-games. This release includes some minor
bugfixes, code cleanup, a single crasher bug, lots of translations and 
documentation updates.

Aisleriot:
  - Remove ellipsis from "Select game" button on toolbar (Christian Persch)
  - Remove stray debug spew (Christian Persch)

Robots:
  - Updated documentation, especially keyboard controls (Claude Paroz)
  - Apply keys when closing preferences instead of when restarting 
    game (Thomas Andersen)
  - Unfocus the toolbar to prevent accidentaly starting a game by 
    pressing space (Thomas Andersen)

Sudoku:
  - Don't crash if puzzle generator target is zero (Thomas Andersen)

Tetravex:
  - Blank tiles when game is paused (David Westlund)
  - Remove dead code (Thomas Andersen)

Updated translations:
- es (Jorge Gonzalez)
- et (Ivar Smolin)
- fr (Claude Paroz)
- gl (Ignacio Casal Quinteiro)
- ml (Ani Peter)
- nb (Kjartan Maraas)
- oc (Yannig Marchegay)
- pt (Duarte Loreto)
- vi (Clytie Siddall)

gnome-games 2.19.91.1
=====================

This is a brand new release of gnome-games, released solely to
fix a startup crash in glChess: Bug #471238.

gnome-games 2.19.91
===================

This is the second beta release of gnome-games, with some minor bug fixes.
This also includes many translation and documentation updates.

Sudoku:
  - Fix a crash when solving a sudoku, caused by a type mismatch (#470523).

Aisleriot:
  - Fix translation of "Autoplay" in Napoleons Tomb (#469363).

Gnometris:
  - Remove gaussian blur in background image to improve rendering performance.

Mahjongg:
  - Fix workaround for bug #353964.

gnome-games 2.19.90.1
=====================

Minor fixup for another glChess crash due to pygtk API changes.

gnome-games 2.19.90
===================

This is the first beta version of GNOME Games 2.20, with the following 
major changes:

Gnometris:
  - New default theme with tango styled blocks and a new background image.

Mahjongg:
  - Improved listing of themes (bug #406856).

Tetravex:
  - New tango-fied tetravex icon with colours (bug #451830).


gnome-games 2.19.6
==================

This is a new development release of gnome-games in preparation for
the next stable 2.20.0 version. Most of the development effort has
focused on bugfixes and cleanups.

General changes:
  - Comilation fixes on Solaris (bug #445556 and #444806).
  - Port games to gtk-only: aisleriot, glines, gnotravex, 
    gnotski, mahjongg, same-gnome. (bug #452813)
  - Port all games (except gnomine) to the GamesConf API (#449505).
  - Fix memory leak in libgames-support API.

Aisleriot: 
  - Add the new game Napoleon's Tomb.
  - Add sound support to Aisleriot.
  - Abort the click cycle if a slot changes during the operation (#449767).
  - Fix error handling when failing to load the game file.

Tali:
  - Added CardGame to category in Tali desktop file (bug #417014).

Sudoku:
  - Fix crash when pressing Ctrl-C in gnome-terminal (#401411).
  - Fix parameter to setcheckinterval method (bug #437270).
  - Remove faulty conversion from html to rgb color when 
    printing puzzles with trackers (bug #429854)

Gnobots:
  - Apply "view toolbar" property on startup (#451360).
  - Don't enter endless loop when there are no safe teleport
    locations (bug #438829)
  - Change default keys to non-numlock values (Bug #392584).


gnome-games 2.19.4
==================

This is the fourth development release leading up to gnome-games 2.20.0.

* General changes:
  - GamesConf, an API for storing user preferences has been added
    to libgames-support. GamesConf allows the games to store preferences
    using either GConf or flat files (#448432).
  - Mingw32 compilation fixes for libgames-support (#448317).
  - Correct icon names in desktop files (#444777).
  - Check for gcc before adding -fsigned-char parameter (#445556).

Aisleriot:
  - Port Aisleriot to the new GamesConf API (#448432).
  - Support for compiling Aisleriot with mingw32 (bug #448317). 
  - Don't use anonymous structs (#444802).
Mines:
  - Only redraw the necessary fields when clicking on a mine (#375691).

glChess:
  - Use correct pid not 0 for killing AIs (Bug #443073).
    This is a severe bug that causes the X server to be
    killed accidentally on some systems.

Sudoku:
  - Ensure that g_thread_init is called before all other GLib functions.
    Fedora bug #241917.
  - Disable saving and loading.
  - Don't allow grey fields to be changed by mouse (#422666). 
  - Remove the option for selecting black background option (#395135).
  - Store highlight setting in gconf (bug #445590).
  - Set number popup transient for the main window. (bug #406767).


gnome-games 2.19.3
==================

This is yet another development release of the 2.19.x development branch,
which should have been codenamed "On the road to stability"...
These are the groundbreaking news:

 * Aisleriot:
  - Aisleriot has recieved a mayor overhaul thanks to Christian Persch, 
    which includes:
    - Port Aisleriot to the Maemo platform. This is the first of the games
      which are aviailable on a this handheld platform. Hopefully, the other
      games will be ported later.
    - GTK+ only port. This will enable a win32 port of Aisleriot, without
      the libgnome dependencies.
    - Code refactoring.
  - New theme format and path of svg images. See the ChangeLog for details.
  - Bugfixes as a byproduct of the refactorings: #337080, #386827, #338466,
    #329183, #352084, #347448, #438079. 

 * General:
  - GStreamer support to all the gnome-games. This means that gnome-games now
    requires GStreamer >= 0.10. The common sound code is integrated into 
    libgames-support. The sounds are stored in /sounds in ogg vorbis format,
    which will reduce the total size of the gnome-games tarball.
  - Use new Tango icons from Daniel Derozier (closes #354507).
  - Application icons now in icons/ (closes #359499).

 * Nibbles:
  - Resolve a bug where Nibbles no longer allows 1 worm, due to a bug in the 
    victory conditions check (#439236). 

 * glChess:
  - Catch IOError on explicitly loaded games (Bug #442383).
  - Change 2D knights to face left (Bug #434496).
  - Add board numbering for 2D mode (Bug #392286).
  - Speed up 2D rotating.
  - Don't animate rotation on startup or when changing between 2/3D.

 * Tali:
  - Add new AI based on Monte Carlo simulation (#401880).
  - Track the roll count to display a meaningful label at game end (#407453).


gnome-games 2.19.2
==================

This is yet another development release of the 2.19.x development branch,
containing the following mayor changes:

 * General:
 - The translations of documentation and user-interface is well under way,
   even to Occitan!
 - gnome-games has been fully migrated to gnome-doc-utils. This means
   that it will be easier for the hard-working translators to translate
   the documentation. Thanks to everyone who helped with the migration. 
   (Bug #398471).
 - GnomeGoal: fix gtk-update-icon-cache for uninstall-hook (Bug #436258).
 
 * glChess:
 - Set more configuration defaults in case schema is missing (Bug #434097)
 - Prevent cluttering of home directory with logs (Bug #424010)
 - Fix visible resizing when starting up
 - Save window maximised state (Bug #404554).
 - Update dummy OpenGL scene to have correct method arguments (Bug #420730).

 * Sudoku:
 - Fix a race condition which occurs when saving puzzles on exit. 
   The solution is to run the pickle operation atomically. This solves
   Bug #409172 et al.

gnome-games 2.19.1
==================

This is a bleeding-edge release of gnome-games, with new features and bugfixes
to Aisleriot, Chess and Sudoku.

* General
 - Fix inclusion of types.h for GGZ (#381715).
 - Use correct locale dir for GGZ (#431300). 

* Aisleriot
 - Change spider options order (bug #403961).
 - Prevent a crash when double clicking in Plait (#416255).
 - Correctly recognize a win condition in Thirteen (#418045).
 - Fix manual validation (Bug #370394).

* Chess
 - Changed AI process management to remove os.forkpty() (Bug #426538)
 - Catch exception if unable to display help (Bug #432216).
 - Catch IOError exceptions when autosaving (Bug #425614).
 - Added timed play.
 - Changed nice level for AIs to 19 (they are affecting the animation)
 - Add choice of board rotation modes (white side, black side, human
   side, current players side)
 - Fixed broken OpenGL board rotation
 - Added 2D rotation
 - Handle empty filename in save dialog (Bug #419486)
 - Change python OpenGL import to make issues with external bindings 
   more visible (Bug #419605)
 - Added menu selectable promotion type
 - AI players now wait for piece animation to end before making moves
 - Refactored game/scene code
 - Made move hints optional. (menu item: view->move hints)
 - Added support for Boo's Chess Engine.
 - Changed chess engine to using bitboards (33% faster)
 - Added detection for stalemate, resignation, threefold repetition,
   fifty move rule. (Still insufficient material to be done).
 - Tooltip style panel appears when game ends.
 - Removed all pop-up error dialogs and integrated the error reporting
   into the load/save dialogs.

* Sudoku
 - Catch exceptions when launching help (Bug #418193)
 - Sort game name columns numerically (Bug #417191)
 - Make sure one game is always selected for restoring (Bug #422748)
 - Remember window size when quitting (Bug #380780).
 - Use string substitution using dictionary lookups when using ngettext to stop
   substitution exceptions (Bug #409739).
 - Handle corrupted high score entries (Bug #413848).
 - Removed dialog separators to be HIG compliant.
 - Stop number pop-up from visibly moving when created.
 - Stop number pop-up from being in taskbar list (Bug #406767).
 - Correctly mark game name as unicode so that it can be split on 
   character boundaries (Bug #409740).
 - Load random module correctly (Bug #411073).
 - Fix PyGtk tree selection bug (Bug #416063).
 - Fix undo tracker deletion (Bug #417805).
 - Handle exceptions loading pickled objects (Bug #408837).


gnome-games 2.18.0
==================

This is it! The grand 2.18.0 release of gnome-games!

The new games, glChess and Sudoku, have finally been included in this
new release. Furthermore, Nibbles, Iagno and Four-in-a-Row have
networked multiplayer support. Finally, there have been a huge number of
minor improvements and bugfixes during the development cycle which
has resulted in this stable release.

gnome-games 2.17.92
===================
This is the final release candidate before the GNOME Games 2.18
release. A little more bug fixes abound.

	* Gnome Sodoku : Handle games that have been marked as played
	                 correctly.
	               : Fix a crash and error highlighting bug
		       : Fix crash on logout
		       : Fix crash on click fill multiple times
		       : Menu HIG compliance
		       : Fix crash if user removed A/C charger
	* Aisleriot    : Make Agnes winnable

gnome-games 2.17.91
===================
This release is bringing us closer to scoring 2.18. Lots of polish 
abounds and not very many new features. Here are some highlights:

	* General      : bugbuddy integration is better for python-based 
	                 games; gnome-python-desktop >= 2.17.3 required
	               : Unit testing framework added
	               : Gnome-doc-utils support increased for a few 
	                 games
	* GTali        : Fix the category for flush, so that only valid 
	                 flushes may be entered there
	* Gnome Sodoku : Prevent exception from occuring when clicking 
	                 on the autofill button, when nothing is 
	                 selected.
	* Gnobots2     : Cheating was possible while the preferences 
	                 dialog is open.
	* GGZ          : lots of fixed to gnome-games network play
	               : HIG compliant connection box
	* glchess      : Fix startup crasher if cannot contact bugbuddy 
	                 due to rogue 'none' command


gnome-games 2.17.90
====================
This is the first beta release in the Gnome 2.18 release series. Few large
changes have been made since 2.17.5. Most of the changes are spit-and-polish
making our two newly-included games even better for their first stable
releases. Here are some of the changes that have been included in the past
three weeks:

	* Gnibbles    : Player limit increased to 6 simultaneous players.
	              : Show player worm colors on tool bar.
	* Gnome Sodoku: Prevent dialogs depth confusion #392997
	              : Clear history when starting new game #388744
		      : When clearing the grid, clear all #396823
	* Aisleriot   : Remove options from Spiderette and Will O The Wisp,
	                #398192
	* Chess       : Fix error in testing for check #106348
	              : Fix exception when a save error occurs #389960
	* Iagno       : Cancel AI when moves after an undo #386165

gnome-games 2.17.5
====================
This is a new release of gnome-games moving us toward a stable release.
Much more work has gone in to the two new games in the gnome-games
distribution. Here is a shortended list of changes:

	* Gnometris: Always show "Pause" when starting a new game. #391638
	* Gnome Sodoku: Fix syntax error introduced by change in #385937
	* Gnome Sodoku: Fix crash when closing game with "X": #384684
	* Gnome Sodoku: Disable generate options while puzzle generator
		is running: #392947
	* Gnome Sodoku: Fix three issues with the progress bar in the puzzle
		generator: #392616
	* Gnome Sodoku: Keep puzzle generator from generating more puzzles
		than asked: #392165
	* Gnotravex: Enabled colours be default. New colored background.
	* Gnotravex: Open high scores dialog on correct page: #391216
	* Gnotravex: Quit / New Game with the end-of-game dialog. #316361
	* Aisleriot: Integrate Spider shuffle variations into one game. #393709
	* Mahjongg: Correctly decode in all locales: #386213
	* GLChess: Implement gnome-doc-utils support #369550
	* GLChess: Continue UI improvements.
	* GLChess: Added hitch to gtkui.py to import PyGTK before GTK.
	* GLChess: Bring up dialog about 3D mode if do not have libraries
		installed #389371
	* Revert update of ggz.h from the latest version to fix Solaris #363444

We hope you enjoy this release!

gnome-games 2.17.4.1
====================
This is a new release of gnome-games with some important bugfixes:

General:
 - Resolve Bug #387372: Two files where missing from EXTRA_DIST,
   preventing the previous release from building.
 - Resolve Bug 387391: Fix ./configure --with-ggz-server. 
 - Updated Spanish and Arabic translations.

glChess:
 - Don't try and redraw view widgets that have not been realized.
 - Fix bug which didn't redraw the whole area in 2D mode.
 - Catch RuntimeError exception that is generated in X systems with
   no OpenGL support.

gnome-games 2.17.4
==================
This development release of gnome-games contains several new features
and bug-fixes, before the string and UI announcement period begin.

General:
 - Improvements to the configure setup (#384419, #381715, #380249).
 - Fix of several bugs in network code (#380250, #381715, #381808, #381812).

Gtali:
 - Add a new variant of GTali called "Colors", based on the Kismet dice
   game. This is accessible either via a preference or a command line option.
   Developed by Geoffrey Buchan (#379224).
 - Two user interface improvements, by Thomas Andersen (#137104, #382332). 

Gnomine:
 - Refactored code to make it easier to understand, and add missing 
   schema entries.

glChess:
 - Remove assumed paths in python files (#382057).
 - Enable accidentally disabled GConf support.
 - Save window size to configuration.
 - Fix incorrect UCI 'position' command.
 - Add some initial documentation.
 - Rename gnuchess to gnome-gnuchess (#386755).
 - Added Fruit and Amundsen engines to autodetect list.
 - Tell UCI engines they have 5 mins to play to cause them to take time
   choosing moves.
 - Dynamically generate about dialog.
 - Fix bug loading UCI games.
 - Catch exceptions when reading from chess engines.
 - Ignore escaped PGN data - this allows the loading of games from the
   Knights chess interface.
 - HIG fixes (#381580).

Gnome Sudoku:
 - Add license to about dialog.
 - Remove assumed paths in python files (#382057).

gnome-games 2.17.3
==================

This release contains mostly updates and bugfixes to the new games 
glChess and GNOME Sudoku to properly include these new games into 
the release. See the ChangeLog for details.

gnome-games 2.17.2
==================

Overall module changes:
	* Gataxx still deprecated since 2.17.0
	* NEW GAME: Gnome Sodoku (Thomas Hinkle joins the gnome-games team)
	* NEW GAME: GLChess (Robert Ancell joins the gnome-games team)
	* Highscores fixups
	* GGZ fixups

Aisleriot:
	* Make double-clicking work like a single click since click-to-move
	  over-rides single-click. (Bug #370122)
	* Correctly display redeal counter (Bug #358014)
	* Stores the last 5 games in a menu (Bug #323818)

Gnibbles:
	* Remove remains of dead worms in network games

Iagno:
	* New default tile graphics

Gnotravex:
	* Added support for Cairo and coloring scheme

Gnobots2:
	* Fix up teleport coordinates (Bug #353303)

Gnotski:
	* Gnotski gets Tango graphics palette

Translations:
	* fi: Ilkka Tuohela <hile@iki.fi>
	* ja: Satoru SATOH <ss@gnome.gr.jp>
	* nb: Kjartan Maraas <kmaraas@gnome.org>


gnome-games 2.17.1
==================

In anticipation of two new games - a chess game and a sodoku game - 
Ataxx has been disabled in default builds. gataxx will be removed from
GNOME Games during the 2.18 release cycle. This is the result of a survey
conducted of GNOME Games users.

Network multiplayer has been added to Gnibbles, Iagno and Four-in-a-Row.
These games use GGZ Gaming Zone to implement multiplayer, and connect to 
games.gnome.org by default. For more information about multiplayer games, 
see: Â  http://live.gnome.org/GnomeGames/Multiplayer


gnome-games 2.16.0
==================

Updated translations:

	* Turkish: Baris Cicek
	* Estonian: Ivar Smolin.
	* Bengali: Runa Bhattacharjee
	* Chinese (Hong Kong): Woodman Tuen
	* Chinese (Taiwan): Woodman Tuen
	* Marathi: Rahul Bhalerao.
	* Malayalam: Ani Peter
        * Ukrainian: Maxim Dziumanenko
        * Hindi: Rajesh Ranjan
	* Hungarian: Gabor Kelemen
	* Portuguese: Duarte Loreto
        * Latvian: Raivis Dejus	
	* Oriya: Subhransu Behera
	* Lithuanian: Gintautas Miliauskas
	* Thai: Theppitak Karoonboonyanan
	* Catalan: Gil Forcada

Known issues:

- Rasterizing the Mahjongg and Aisleriot playing field takes too long with the
  current SVG code paths. We, in combination with the Cairo team, hope to optimize this
  rendering speed during the maintenance of the 2.16 series.

gnome-games 2.15.92
===================

This is the final release candidate of gnome-games before 2.16.

New in this release:

- Updated GTali, Gnomines, Gnibbles, Gataxx and Iagno menu icons
  and added SVG versions of those from Daniel Derozier.

Known issues:

- Rasterizing the Mahjongg and Aisleriot playing field takes too long with the
  current SVG code paths. We hope to optimize this code for the final release.

Updated translations:

- Added and updated Oriya translation
- Updated Bulgarian translation
- Updated Indonesian translation
- Updated Swedish translation
- Hungarian translation updated
- Updated Russian translation
- Updated Vietnamese translation
- Fixed wrong translation in iagno in Finnish
- Updated Japanese translation
- Updated German translation
- Estonian translation updated
- Updated Dzongkha translation

gnome-games 2.15.6
==================

This is the second beta release of gnome-games on our super-bonus
way up to the awesome level known as "2.16". We're pretty stoked
about it; please check it out and bug test so we can make this the
awesomist gnome-games release, yet!

General:
 - 8 translations updated:
  * Basque: Inaki Larranaga
  * Macedonian: Jovan Naumovski
  * Norwegian bokmål: Kjartan Maraas
  * French: Christophe Merlet
  * Dutch: Tino Meinen
  * Spanish: Francisco Javier F. Serrador
  * German: Hendrik Richter
  * Finnish: Ilkka Tuohela

Aisleriot:
 - fix crasher bug #342038: Callum McKenzie

Gnomine:
 - fix rendering of prelight #349696: Andreas Røsdal


gnome-games 2.15.5
==================

This is the first beta release of gnome-games in anticipation 
of the 2.16 release. The changes in this release consist of 
bug-fixes, usaility improvements and translations. 

General:
 - The pause game option now behaves consistently in mahjongg,
   gnomine, gnibbles and gnometris.  
 - Improved the desktop file summaries of all games. This change
   is based on feedback from the usability team.

Aisleriot:
 - Redo the garbage-collection protection code, which should
   prevent crashes. Aisleriot needs to be thoroughly tested now. 
 - Fixed bug-buddy invocation from Aisleriot.

Gataxx:
 - Fixed rendering when animations are disabled.

Gnibbles:
 - Increased contrast between walls and background. 

gnome-games 2.15.4
==================

This is the final development release of gnome-games before the beta
cycle. This is also the first release under the new maintainter, and,
as such, it is a bit short on the changes list.

What's new:

General:
 - Several games got full screen mode: Blackjack, Gnect, Gnibbles,
   Gnobots, Gnotravex, Gnotski
 - Fixed window icons in: Aisleriot, Gnotski, Iagno, Mahjongg

Mahjongg:
 - Added tootips to toolbar buttons.

Aisleriot:
 - Fix logo in dialog.

Gnomine:
 - Implement a warning when placing too many markers around a
   mine.

GTali:
 - Scoreboard changes: use user's first real_name rather than "Human".

Known issues:

- Aisleriot has a crasher bug which has not yet been resolved.

gnome-games 2.15.3
==================

This development release of gnome-games is a little short on new
content since we are in the process of changing maintainers and not
everything is organised yet.

Things that have changed:

General:
 - High scores: the file is truncated properly if you use a short name.
   This stops you getting a top-ten score with 11th-place.
 - Require the latest intltool.

Aisleriot
 - Radio-buttons for Klondike options work now. There are new choices for
   how you want your cards dealt in Klondike.
 - Explicitly protect the cards from garbage collection. This is should
   fix bug #342038, but doesn't actually seem to work.

Robots:
 - Really, really, fix the desktop icon name this time (I hope).

gnome-games 2.15.2
==================

This is the second development release of gnome-games for the 2.15
development cycle. Not too much new this time, the most visible change
being the auto-move animation in Aisleriot.

General:
 - Find the Avahi libs properly, not just if they're in /usr/lib
 - Improve the linking process for other zeroconf libraries. Once
   again this should help people compiling with libraries anywhere
   but the deafult locations.
 - Disabled GTK double-buffering in programs which do their own 
   double-buffering. Aisleriot in particular should benefit from this.

Aisleriot:
 - Add a "trickle" effect for auto-moved cards to make it more obvious
   and to make the end-of-game situation in Freecell a little less
   sudden.
 - Better behaviour for the mouse. Notably, if you click on a card
   that isn't draggable and move away from the card, it cancels the 
   click.
 - Radio buttons for the per-game menu have been implemented, although 
   nothing uses it properly yet (Klondike uses it, but only in a stupid 
   way for testing purposes).
 - More cleanups from Amnon Aaronsohn. Including memory leaks fixes.
 - The games list is now sorted regardless of locale.

Nibbles:
 - Fix relative motion so the worm doesn't automatically die if you
   turn the same way too often.

Robots:
 - Use the correct icon name for the desktop file.


gnome-games 2.15.1
==================

It's that time of release-cycle again. Time for completely new code
and completely new bugs. A lot of the work so far has been clean-up
work, especially those focused on by the GNOME Goals. Thomas Andersen,
Thomas Thurman, Paolo Borelli and Przemysław Grzegorczyk deserve
special thanks for their efforts towards these. The other highlights
are Avahi support and resizeable graphics in Robots.

My primary goals for this release cycle are to finish the resizing
work and to fully migrate all the games to the new high-score
system. I would also like to revamp the networking user-interface to
make playing games with your friends trivial.

General:
 - Avahi support courtesy of Daniel Haischt.
 - The bonded card set now uses vector graphics for the ranks.
 - Use icon themes everywhere.
 - Updated about dialogs.
 - Incorrect documentation links fixed.
 - Migrate command-line options from popt to GOption.
 - With some themes, look for a similar name if the exact name isn't there
   (e.g. find bonded.svg if bonded.png isn't around anymore).

Aisleriot:
 - Many. many, minor fixes.
 - Code clean-up by Amnon Aaronsohn.
 - Double-clicking the foundations in seahaven triggers auto-play.

Ataxx:
 - Added a secondary hilight to the selected piece.

Gnometris:
 - Change the command line options to work with the new level system.	

Mahjongg:
 - Reorganise the menu sensitivity.
 - Make sure we start the clock whenever the player does something that
   looks like starting a game (e.g. asks for a hint).

Nibbles:
 - Use the new high score system.
 
Robots:
 - Make the graphics resizeable.
 - Use new SVG graphics from Nicu Buculei.
 - The bubble graphics appear in the theme menu: this is a known bug.

Same GNOME:
 - Make sure the command-line options work.

Tetraves:
 - Use the new high score system.


gnome-games 2.14.0
==================

This is it! The grand 2.14.0 release of gnome-games!

The BIG changes:
 - There is a new high score system. Mines, Five or More, Mahjongg,
   Same GNOME and Gnometris use it. Most of the changes are behind the
   scenes, but there is a new high-score dialog and you now have the
   opportunity to change the name recorded in the high score list.
 - gnome-stones has been removed. Serious copyright issues were raised 
   about the origins of some of the code and levels. Given the earlier 
   sound effects problems and the general lack of maintanence the best
   course of action was euthanasia.
 - Gnometris and Ataxx have new drawing engines. The old themes are no
   longer usable (although this may change in the future).

Other changes:

General:
 - You can enable or disable compilation of individual games.
 - You can use Apple's Bonjour library for zeroconf support. Avahi
   is not yet supported (the code is just about ready).

Aisleriot:
 - New games: Gaps, Block Ten, Cruel, King's Audience, Athena,
   Aunt Mary and Saratoga. 
 - A more useful card-compression algorithm.
 - A French translation of the documentation.
 - Middle button acts as a double-click.

Ataxx:
 - New graphics engine.

Gnometris:
 - New level system. There is no upper limit, but the game never stops
   getting faster.
 - New graphics engine.
 - New options for beginners: show where the piece will land.	

Iagno:
 - New AI code.

Mines:
 - New, better, documentation.

Nibbles:
 - New graphics.

And lots and lots of bug fixes.

Minor changes since the 2.13.8 release:

Aisleriot:
 - Remove the threaded hint code for Freecell because of portability issues
   with threads in all but the most recent guile releases.
 - Fix the double-click code in Freecell to not make potentially bad moves.

Mines:
 - Finally finish the new documentation.
 - Relicense the documentation under a dual GPL/GFDL license.

Robots:
 - Allow alphabetical keys to be used as controls.

General:
 - Fix the bug when you enter your name in the high score list and the entry
   isn't centered properly.

Enjoy.

gnome-games 2.13.8
==================

This is the RC1 release of gnome-games for the 2.13/2.14 cycle. Once
again, many bug fixes.

Aisleriot:
 - Eliminate warnings and remove old idioms.

Ataxx:
 - Use the correct header files for cairo.

Blackjack:
 - Fix the window icon for first-time users and people changing the rules.

Iagno:
 - Remove a reference to gnothello.gnome.org.

Nibbles:
 - Fix level 8 to align the vertical exits (Benjamin Otte).
 - Purge references to gnothello.gnome.org.
 - Draw bonuses properly when the board is resized.
 - Fix console warnings about bad tile numbers.

Robots:
 - Use the right window icon.

Tali:
 - Rationalise headers slightly.

General:
 - More fixes for category-less games.
 - Fix warnings.
 - Get the network code to call the right server in a LAN game (Daniel 
   Haischt).

gnome-games 2.13.7
==================

This is the second beta release of gnome-games in anticipation of the
2.14 release. There are a lot of bug fixes in this release.

Aisleriot:
 - Yukon: avoid a premature end-of-game (callum).
 - King's Audience: Stop the player from cheating in obscure circumstances 
   (Zack Keane). 
 - Diamond Mine: Fix a crash when a complete stack of 13 cards is moved 
   (Vincent Povirk).
 - Avoid flicker when cards are moved onto empty slots (callum).

Ataxx:
 - Make sure the board is redrawn when the theme changes (callum).

Mahjongg:
 - Record scores as something other than 0 (callum).
 - Remove the empty category in the scores list (callum).

Nibbles:
 - Make sure the image files load with recent gdk-pixbuf implementations 
   (callum).

Robots:
 - Fixes to the new safe-teleport code. The infinite teleports was a bug, as
   was the inability to teleport as the first move (callum).


gnome-games 2.13.6
==================

This is the first beta release of gnome-games in anticipation of the
2.14 release. For this release we are firmly in bug-fixing and
polishing mode.

The most noticeable change will be the new documentation for Mines. It
is still is a half-complete state, but I am taking an approach that 
should make it a lot more useful than our old state-the-obvious style that
has plagued GNOME for so long. Criticism of the style and approach
is very welcome.

Aside from that most of the changes are trivial.

General:
 - Corrections to all the desktop file category entries.
 - User-defined accelerators are now saved.
 - Change the code for saving user-customisable controls to be more
   robust. Anyone who was loosing their custom key settings should
   get them back now.

Aisleriot:
 - Shuffled exclamation marks in the game-won dialog to be slightly more 
   sane.
 - Fixed the sect2 tags so that section headings appear again and the 
   docs make a bit more sense.
 - The Aunt Mary documentation now appears correctly in the English docs.

Mines:
 - Complete rewrite of the documentation in what is hopefully a more
   informative style.
 - Fix a crash on some 64-bit machines when custom sizes are chosen.
 - Removed a spurious warning when the mouse is moved out of the playing
   area with the button down.

Robots:
 - Certain end-of-game situations with safe-moves on could lead to a game
   that had to be aborted and with no chance of saving the score. This
   is theoretically fixed now. Testing is needed.
 - New SVG icon from Nicu Buculei.

Tali:
 - Restored the "blank die" image on selected die because the toolbar
   selection is hard to discern in some themes. The toolbar hilighting
   is still used.

gnome-games 2.13.5
==================

This is the feature-freeze version of gnome-games for the 2.13/2.14
release cycle. As a result I've tried to cram a lot of stuff in at the
last minute - probably bringing in a whole pile of bugs.

The biggest feature is that you can now change the name recorded in
the high score dialog. You only get one chance, but for those of you
who prefer to use nicknames instead of your real ones. There it is.

Aisleriot:
 - New game: Aunt Mary from Alan Horkan.
 - A three-card option and cleanups for Osmosis and Peek from Zach Keene.
 - Code cleanups in Golf (Alan Horkan and callum).

Blackjack:
 - Dealer doesn't draw more cards if the outcome of the round has been 
   decided (rah).

Five or More:
 - Compiles with the Sun compiler (Damien Carbery).
 - Works with the setgid bit set  - it got missed last release (callum).

Iagno:
 - New AI code from math1@nifty.com. It includes new heuristics and
   the code is a lot cleaner.
 - Undoing after a "final flip" redraws the screen properly (callum).

Mines:
 - There is no longer any scaling of the custom times. This is the way
   things have been for the past six months anyway. Now it is official
   rather than a bug. The old scaling of the time to get a score was
   always a bit confused. So now you just have to accept that if you can
   change the rules, the score doesn't mean much.
 - Compiles with the Sun compiler (Damien Carbery).

Robots:
 - New default graphics from Nicu Buculei.
 - Using the mouse now respects safe moves (rah).

General:
 - You can change the name in a freshly set high score (callum).

gnome-games 2.13.4
==================

Yet another development release of gnome-games. A bit more fun to be
had this time. New games for Aisleriot, new graphics for Ataxx and a
modification to the high scores code that is sure to test your
bug-reporting skills ;).

Aisleriot:
 - Two new games from Alan Horkan: Athena and Saratoga.
 - The middle button can now be used to emulate a double-click.
 - The algorithm to compress long piles of cards has been changed. The 
   cards are now allowed to fall off the bottom of the window as long as 
   they are still partially visible. This makes more of each card visible.
 - New option to shuffle the gaps on redeal for Gaps (Zach Keene)
 - The French translation of the help files has been completed thanks to
   Damien Laniel.
 - Options sections in the help for games which don't actually have any 
   options have been removed (Damien Laniel).

Ataxx:
 - Theme support has been re-instated. The themes are now based on code 
   rather than image files (just like gnometris). There are currently 
   only two themes: Plain and Squares and Diamonds. See the file
   gtkgridboardthemes.c if you want to write new ones.

Blackjack:
 - Show results of a hand even if events are pending (Jon McCann).

Gnometris, Mahjongg, Mines, Same-GNOME:
 - The games now work again when setgid games. The code seems to work but 
   is theoretically very prone to lock-ups (as opposed to actual crashes). 
   Bug reports with a description of what you were doing at the time are 
   encouraged.

gnome-games 2.13.3
==================

This is the latest development release of gnome-games. Most of the
work has concentrated on two games, Aisleriot and Gnometris.

Aisleriot:
 - New game from Zach Keene: King's Audience.
 - Agnes: slight rules change to make play more intuitive (callum).
 - Ctrl-O is the new menu shortcut for "Select Game" (callum).
 - Fix elevator so it works again (callum).
 - Debugging code now returns stack traces.
 - Thirteen: Change the waste layout, the two cards at the right are now
   in play rather than the end cards. Also bug fixes (callum).

Gnometris:
 - Redo the scoring and level system. The speed increases more slowly, 
   but never stops increasing. Removing multiple lines scores more and there 
   is a bonus if you manage to clear the entrie field. The bonus for 
   using "fast-fall" have been removed (callum).
 - New option for beginners: "Show where the piece will land" (callum). 

gnome-games 2.13.2
==================

Not a lot has changed since the last release, but some bugs have been
fixed. So, for your testing pleasure, here is the latest development
version of gnome-games.

General:
 - The maintainer address has changed to callum@spooky-possum.org. The 
   maintainer is still the same person.
 - The --enable-games code has changed to be a bit saner and to accept 
   "none" as an option. e.g. --enable-games=none,gnometris will only 
   build gnometris. See the README file for details. (callum)
 - Fix a bug in the high-score file locking that prevented two games
   of the same type being played at once.

Aisleriot:
 - Consolidation of code for all the spider-like games into one common file 
   which gets inherited by the variations. (Vincent Povirk)
 - New game: Cruel, a nice permutation game. (Zach Keene)
 - Documentation id tag corrections to be strictly docbook compliant. (callum)

Five or More:
 - Fix a bug where clicking on the outer pixels of the game area did 
   strange things. (callum)

Gnometris:
 - Changed the "Joined" theme to be a better demonstration of what can be 
   done if you aren't restricted to a pixmap-style theme format. Still
   horribly slow. (callum)


gnome-games 2.13.1
==================

This is the first release of the 2.13 development series. A lot has
changed and many bugs can be expected.

Big issues:

gnome-stones has been removed. Serious questions have been raised
about the Copyright status of some of the code gnome-stones was based
on and also some of the levels used. Given the earlier sound-effects
problems and the general lack of maintenance of the game the best
course of action appears to be euthanasia.

Both Gnometris and Ataxx have new drawing-engines based on the Cairo
graphics library. The old themes are no longer usable (although this
may change in the future depending on development of the librsvg
library) and in the case of Ataxx there is only one theme. In fact,
using the theme selector in Ataxx is likely to cause a crash - for the
moment, don't use it. The other bug you should not report is that the
graphics for Gnometris suck. I know, the current code is mostly proof
of principle and will be improved.

There is a new high scores API. The games Mines, Five or More,
Gnometris and Same GNOME use it. This change should be backwards
compatible and, except for a change in the dialog, invisible.

Security: Because of the high scores change the previously mentioned
games do NOT drop their setgid privileges as they used to. If someone
accessing the games group is a serious issue then it is recommended
that you disable the setgid option. See the "Security Issues" section
of the README file, but note that the first item in the "mitigating
factors" doesn't apply for these games.

General News:

- You can now disable and enable the compilation of games. See the
  README file, search for "enable".
- Compilation on Windows and Mac OS X stand a good chance of working,
  I have not tested this personally.
- The supplied spec file is now up to date thanks to Paul Smith.
- You can now use Apple's Bonjour library for Zeroconf support instead of 
  Howl. Avahi is unfortunately not yet supported.
- Numerous patches to fix compilation with various combinations of options.

Aisleriot:

- New game: Gaps from Zachary Keene. It is similar to the "Blue" demo game 
  that  came with the curses distribution.
- The game Block Ten has been reinstated. It was removed with a comment
  indicating it didn't work. It seems to work fine for us, if you find out
  otherwise please tell us.
- Freecell hint code now runs in a separate thread so we get good hints with
  a good response time.
- Bug fixes for Spiderette, Kansas, Gypsy and Straight Up.

Ataxx:

- Completely new drawing engine. Theme changing doesn't work. See above 
  for details.

Blackjack:

- There is now an option to automatically reject insurance.

Gnometris:

- Graphics engine rewrite inspired by Paolo Borelli's code. See above
  for details and caveats. Note that writing new themes is simple and 
  encouraged.

Nibbles:

- New graphics from Aurélio A. Heckert

Tali:

- Rather than using a blank die to indicate a die that will be rolled,
  the entire die acts like a toggle button in a toolbar. In some themes
  this is a little subtle.


gnome-games 2.12.1
==================

This is a stable maintenance release of gnome-games. Several bugs have
been fixed and translations have been updated. Upgrading is
recommended.

The bugs fixed:

General: Fixes to the build system to ensure the correct glib version
is used and make sure compiling without ESD works. Compiler fixes for
Solaris and Mac OS X.

Aisleriot: Fix conflicts between menu short-cuts. Fail more gracefully
when a game file cannot be found (necessary when using a shared home
directory).

Nibbles: Fix conflicts between menu short-cuts.

Robots: Set the background color correctly at start-up.

Gnometris: Obey the preview preference at start-up.

Mines: Fix a crasher involving multiple simultaneous button clicks.

gnome-games 2.12.0
==================

Here it is! The shiny new stable release of gnome-games.

Those of you following the testing releases will only notice two
changes: The handling of mouse movement with the buttons down in Mines
has been improved and the French docs for Aisleriot are all installed
properly.

For those of you who like your software bug-free, this is what has changed:

General:
 - Lots of UI tweaks, thanks to Dennis Cranston tireless attention to detail.
 - Slightly better UI for network games.
 - Better use of stock items for menus and toolbars.

Aisleriot:
 - Stacks of cards that run off the bottom of the screen are squeezed
   up to make them fit.
 - Cards you can drop other cards onto are hilighted (Vincent Povirk did
   all the hard work for this one).
 - Three new games: Backbone, Carpet and Triple Peaks.
 - Double clicking foundation cards triggers auto-move, very useful for
   finishing up games like Klondike (not universally supported).
 - Fullscreen mode.

Four in a Row:
 - Nice (SVG) default graphics from Alan Horkan.
 - A new game starts the moment the program is launched.

Gnometris:
 - Now uses the new high scores dialog.

Iagno:
 - Starts a new game the moment the program starts.
 - Removed the clock - it was useless.

Mahjongg:
 - If you click on a second tile and it doesn't match the first we now
   select that one as the new first tile rather than telling you off.
 - Fullscreen mode.
 - Display the current game in the title bar.

Mines:
 - Using the left button on a cleared square is now like using the middle
   button. This makes the game a lot easier for those with an awkward middle
   button. All the old buttons still work, so no one should be disadvantaged.
 - The first click is now guaranteed to clear a useful number of squares:
   no more clicking randomly to find a gap.
 - When you click on a mine you now get an explosion.

Robots:
 - Remove the specialised key sets. The left-hand key set only worked with
   US keyboards and anyone who is old school enough to use the traditional
   keys knows how to customise them.

Same GNOME:
 - A "Fast Animation" mode for the impatient.
 - Better grid and background colours.

Stones:
 - The level you last played is remembered properly.
 - Remove all the scrolling options and replace it with one good scrolling
   algorithm.

Tali:
 - The word "Yahtzee" has been completely eliminated so there is absolutely
   no chance of a trademark dispute.

Tetravex:
 - Tiles get hilighted on mouse-over: just like any other widget.

Lots of people contributed to this release:

Callum McKenzie
Richard Hoelscher
Vincent Povirk
Dennis Cranston
Alan Horkan
Peter Moulder
Clytie Siddall

and all the other people who reported bugs and provided patches and
gave generous feedback but for whom my record keeping has failed
miserably to keep track of.

And also of course the translation team.

gnome-games 2.11.5
==================

This is the final release candidate for 2.12. Testing this release is
strongly encouraged. It should compile on a GNOME 2.10 system without
any extra libraries.

As usual there are no new features, however there are some things that
need attention:

 - Aisleriot drawing code: there has been a change here that is rather
drastic for this late in the release cycle. Any drawing glitches
should be filed as bugs. When reporting the bug please describe
exactly what you were doing, the game played, and how many cards you
were dragging. Screenshots won't go amiss either.

 - The aisleriot statistics dialog: if I haven't got the autoconf
magic right then the close button on this dialog may
fail. Alternatively configure may fail. In either case I am interested
in reports of this, espeically on Fedora core 3 and core 4 systems.

 - Once again, aisleriot: there is a strange crash that happens very
infrequently. I have seen it myself, but not managed to get a good
stack trace. Anyone who has debugging symbols turned on and
experiences a crash -please report it. It will occur while, or shortly
after dragging some cards.

All other crashes should also be reported.

gnome-games 2.11.4
==================

This release is the second beta release of gnome-games in preparation
for GNOME 2.12. There are no new features, only bug-fixes,
documentation updates and translation updates.

gnome-games 2.11.3
==================

This is the user-interface freeze release of gnome-games. Most of the
changes have been bug-fixes.

General:
 - Slightly streamlined build process (callum).  

Aisleriot:
 - Improvements to the card dropping code (callum and Peter Moulder).
 - UI cleanups (Dennis Cranston).
 - Stop the rules being changed mid-game (callum).
 - Help for games with multi-word names should work in French locales (callum).

Ataxx:
 - Clarify the rules (rah).
 - Fix some drawing glitches (callum).

Mahjongg:
 - Documentation XML fixup (Peter Moulder).

Mines:
 - UI tweaks (Dennis Cranston)
 - It will now compile when optimisation is turned off.

Same Gnome:
 - UI tweaks (Dennis Cranston)

Stones:
 - The level you last played is now remembered between games. You can 
   also start at any level, not just the pre-defined ones (callum).

Games Server:
 - The games-server program now behaves like a real Unix daemon (callum).
 - Fix a typo in the schema descriptions (Clytie Siddall).


gnome-games 2.11.2
==================

This is the feature-freeze release of gnome-games. These are the
major, user-visible, changes:

Aisleriot:
 - Three new games: Carpet (almost completely pointless) and Backbone (not 
   pointless at all) from Vincent Povirk. Triple Peaks from Richard 
   Hoelscher.
 - Hilighting of valid drop targets not works for all games where it
   makes sense (Vincent Povirk).
 - Scores are hidden for games where it doesn't make sense (rah).

Four in a Row:
 - New SVG graphics from Alan Horkan. The classic and high contrast
   themes has been updated and a new High Contrast Inverse theme has been
   added. Both of these accessibility themes now match the GNOME themes
   of the same name (Alan Horkan).
 - Subtle grid-drawing improvements (callum).
 - Some of the themese have changed names (Alan Horkan). 

Mahjongg:
 - Display the current game in the title-bar.

Tali:
 - The phrase "Yahtzee" has been replaced with "5 of a kind". It 
   doesn't sound as sexy, but it is more obvious what it means and 
   it isn't a trademark (rah, callum).

Plus lots of bug fixes, code cleanups, api modernisation, and -of
course- the tireless work of the translation team.


gnome-games 2.11.1
==================

Finally, a very belated 2.11.x entry for gnome-games. A lot has changed
and I've probably missed a few things, but here are the main points:

General:
 - (Slightly) improved UI for starting network games.
 - Lots of HIG-conformance tweaks leading to nicer dialogs.
 - Use of modern APIs and stock items, once again giving a nicer feel 
   to the UI.

Aisleriot:
 - Per-game options work again. e.g. Klondike has the option for 3-card deals.
 - Valid places to drop cards are now hilighted (only on some games).
 - Dropping cards in the right place is now easier.
 - Double-clicking the foundation in Klondike auto-moves cards to the 
   foundatione. Very useful at the end of the game.
 - Fullscreen mode.
 - Gay Gordons is guaranteed to be solvable.
 - Long card lists are automatically expand and contract to fit the window.

Four in a row:
 - A new game starts the moment the prgram is launched.

Gometris:
 - Use the new high-scores dialog.

Iagno:
 - Start a new game when the program loads.
 - Removed the clock, it was useless.

Mahjongg:
 - Rather than assuming clicking on a second, mismatched, tile was a mistake, 
   assume that the player wants to select it as the first of a different pair.
 - Fullscreen mode.

Mines:
 - Using the left button on a cleared square is now like using the middle
   button. This makes the game a lot easier for those with an awkward middle
   button.
 - The first click is guaranteed to clear a "useful" number of squares so you
   don't have to blindly click and hope you don't hit a mine.
 - An explosion graphic is drawn on a mine if you set it off.

Robots:
 - Remove the specialised key sets. 

Same GNOME:
 - Fast animation mode for those who are impatient.
 - Better grid, background and cursor colours.

Stones:
 - Allow only one scrolling technique. Improve the quality of the scrolling.

Tali:
 - UI tweaks: the dice area behaves like a toolbar wth prelight hilighting
   and the like.

Tetravex:
 - Tiles get hilighted on mouse-over. i.e. the behave just like any other
   GTK component.

And of course a lot of bug fixes and code cleanups.

gnome-games 2.10.0
==================

Hooray! The 2.10 release of the GNOME Games package is here.

The people who made this release happen where:

Callum McKenzie
Richard Hoelscher
William Jon McCann
Paolo Borelli
Jonathan Blandford
Damien Laniel
Andreas Røsdal
Thomas Vander Stichele

Major changes since 2.9.0:

General:
 - The use of "seeds" has been removed from through-out gnome-games.
 - Zeroconf support for network games (requires libhowl).
 - GTK+ 2.6 is now required.
 - guile 1.6 is also required for Aisleriot.

Aisleriot:
 - A partial French translation of the documentation.
 - An undo option on the end-of-game dialog.
 - Better SVG rendering.

Ataxx:
 - The top-left player is the starting player. This makes it
   consistent with most other implementations.

Blackjack:
 - The menu has been rearranged.

Five or More:
 - Can now be played with the keyboard.

Four-in-a-row:
 - The game is now resizeable.

Iagno:
 - Zeroconf network games.
 - The AI no longer cheats.

Nibbles:
 - Zeroconf network games.

Klotski:
 - The game is now resizeable.
 - New levels.

Same GNOME:
 - Complete rewrite.
 - Resizable window and graphics.
 - Multiple game sizes to choose from.
 - Full-screen mode.
 - Undo/redo.
 - New high score dialog.

Tali:
 - The undo option (which was always considered cheating) has been
   removed.
 - Tied games are now handled correctly.

What more do you need to know: get playing!

gnome-games 2.9.7
=================

This is the first release candidate for gnome-games 2.10. Since the
last release there have been minor bug fixes and documentation and
translation updates. The only expected changes between now and the
2.10 release are documentation polishing and urther translation work.

Bugs fixed:

Aisleriot:
 - Make Neighbor and Helsinki work properly in click-to-move mode.
 - Clarify the rules for Gay Gordons.

Ataxx:
 - Fix a crash on exit (again).
 - Make sure everything is translated.

Blackjack:
 - Display the application icon properly.
 - Translate the menus correctly.

Four-in-a-row:
 - Draw the board properly if the toolbar is enabled.

Gnometris:
 - Clear the preview window when the game ends.

Mines:
 - Show the correct high score category when the game is won.
 - (Hopefully) fix some start-up crashes.

Same GNOME:
 - Draw the border lines correctly.
 - More documentation updates.
 - Show the correct high score dialog when we win.
 - Add code to handle changes in theme names (only relevant for
   gnome-games-extra-themes in CVS).
 - Initialize the size menu correctly.
 - Translate the menus and high score dialog correctly.

Tetravex:
 - Minor fix ups for some levels.
 - Fill in more target scores.

gnome-games 2.9.6
=================

This is the second beta release of gnome-games leading to the 2.10.0
release. Once again the major changes since the last relase are bug
fixes.

Aisleriot:
 - Guile 1.6.5 or later is required on 64-bit machines. 32-bit machines
   still only need 1.6.0 or later. This is to avoid a guile bug. (callum)

Ataxx:
 - Fix a crash on exit (rah, callum)

Blackjack:
 - Menu items are now translated properly (rah).

Klotski:
 - Fix the "Sunshine" level to be actually winnable (rah).

Mines:
 - Fix yet another bug when changing the board size (rah).

Robots:
 - Documentation updates (Adam Weinberger).
 - Don't crash when theme files are missing (callum).

Same GNOME:
 - Fix the graphics for the stones theme (callum).

Stones:
 - Handle missing file more gracefully (rah).



gnome-games 2.9.5
=================

This is the first beta release of gnome-games leading up to the 2.10.0
release. There is little change from 2.9.4, mostly bug fixes thanks to
Richard Hoelscher.

Aisleriot:
 - Revert the UI changes (callum).
 - Fix scorpions end of game check (callum).

Ataxx:
 - Fixes for various crashes and over-verbocity (rah).

Gnometris:
 - Fix the scoring at the end of the game (rah).

Iagno:
 - Code cleanups for the AI (rah).

Klotski:
 - Be even more graceful if the images can't be found (rah).

Same-Gnome:
 - Make clicking work when using sloppy focus (mccann).

Tetravex:
 - Icon translucency inprovements (rah).


gnome-games 2.9.4
=================

This is the feature-complete version of gnome-games leading up to
2.10.  Most of the work since the last release has gone into restoring
the missing features in same-gnome.  While there are one or two bugs I
know about, please report any that you find.

Other changes:

General:
 - games-preimage usage has been changed to remove unnecessary
   gnome-vfs dependencies (rah).
 - New, generic, high scores widget based on the gnomine one (callum).

Aisleriot:
 - Swapped the "new game" and "quit" buttons on the end-of-game dialog. 
   It doesn't really matter, but it seems better this way around in same-gnome
   and I want to be consistent (callum).

Mahjongg:
 - Behave nicely when the requested theme cannot be found (rah).

Mines:
 - Use the new high scores widget. It looks like the old one though (callum).

Same GNOME:
 - High scores now work (callum).
 - The theme selector now works. I will also search in you home directory
   under $XDG_DATA_HOME/gnome-games/same-gnome/themes/2.10 $XDG_DATA_HOME is
   $HOME/.local/share if you haven't set it explicitly. A better UI for this
   will appear in the future. The system-wide theme location has also changed
   because the format has changed (callum).
 - The game-over dialog is much improved. It gives a quit option and, if you
   scored in the top 10, displays the high score table (callum).
 - The stones theme has been restored, but still has a slight animation glitch 
   (callum).
 - Undo and Redo work (callum).
 - Fullscreen mode works (callum).
 - Online help works (callum).

gnome-games 2.9.3
=================

*** WARNING ***

This release contains a rewrite of same-gnome. This rewrite is not
complete and has some known bugs, so when filing bugs against same-gnome
please consider the following:

Please DO NOT report:
 - Features that do not work. These are not complete.
 - Changing the board size does do what you expect.
 - The lack of your favourite theme.
 - The speed/smoothness of the animation.
 - The inability to turn animation off.
 - The documentaion (it hasn't changed).
Please DO report:
 - Constructive criticism of the UI (including the animation).
 - Any crashes. These should not happen.

Also, do not look at the code. It will make you go blind. Especially
render_cb ().

In other news, the following code has been updated:

General:
 - Better support for multi-visual environments (callum)
 - Check for guile >= 1.6 (callum)
 - Better behaviour if themes aren't found (Josselin Mouette)
 - Key control lists have searching disabled (rah)

Aisleriot:
 - Further work on the French documents translation (heretik)
 - File reorganisation (jrb)
 - Will-o-the-wisp doesn't accidentally flip cards (callum)
 - The spider games can now also be finished by stacking all the cards 
   on the tableau rather without moving any to the foundation (Jeff Bailey)
 - The quit option is back on the game-over dialog (pborelli)

Five or More:
 - Removal of hard-coded constants (Marco Colombo)
 - Code cleanups (callum)
 - Better contrast for the keyboard cursor (rah)

Iagno:
 - Stop the level 3 AI from cheating (rah)

Klotski:
 - UI improvements (rah)
 - Bug fixes (rah)
 - Removal of deprecated functions (rah)

Mahjongg:
 - Tile sorting has been fixed (callum)

Same-gnome:
 - Complete rewrite, the (completed) new features include:
  - Variable board sizes
  - Cute, but annoying, animations
  - Keyboard control
  - Resizeable window
 - Apologies to Telsa for the about dialog.

gnome-games 2.9.2.1
===================

Unfortunately 2.9.2 required a CVS installation of librsvg to
build. The code in question was non-essential and has been removed for
the moment. In addition, some more minor patches have been applied:

Aisleriot:
 - Converted the menu code to gtk 2.4 (callum).
 - Bug-buddy support for scheme errors (jrb).

Five or More:
 - Next balls -> Balls since they could be things that aren't balls (alan).

libgames-support:
 - Some checks were not returning values for functions requiring return 
   values (rah).

gnome-games 2.9.2
=================

This is the second *unstable* 2.9 release of gnome-games.

There is no 2.9 release of gnome-games-extra-data. The 2.8.0 release
is still current.

Major changes:

Aisleriot:
 - Revised end-of-game dialog. The quit option is gone, an undo
   option has been added if there are no more moves (callum).
 - The gh_* interface to guile has been replaced with the scm_* interface 
   (jrb).
 - Bug fixes for Odessa (callum).
 - Beginning of a French translation for the docs (heretik).

Ataxx:
 - Fix resource leaks (pborelli).
 - Documentation update (sjoerd).

Blackjack:
 - General code cleanup and bug fixes (mccann).
 - Improved dialog text (mccann).
 - Menu rearrangement/improvements (mccann).

Five or more:
 - Better error handling (callum).
 - Keyboard control (anton gavrilov).

Four-in-a-row:
 - Disable sound support until we actually have sounds to use (callum).

Klotski:
 - UI reorganisation (rah). 
 - Code cleanup (rah).

Mines:
 - Various bug fixes for command line options that are out of range (callum).

Nibbles:
 - Fix the description in the sound list (callum).

Robots:
 - Fix the description in the sound list (callum).

Tali:
 - Removed the undo option. It isn't useful (callum).
 - Handle a tied game (callum, rah).

libgames-support:
 - AIX compile fixes for the networking code (callum).
 - Fix rendering for ace-high decks (rah, Harry Ray).
 - Add range checking on the input for games-card-* (callum).

gnome-games 2.9.1
=================

This is the first release of the 2.9 *unstable* series of gnome-games.

Important changes:
 - Network games support zeroconf if libhowl is available (thanks to 
   Andreas Røsdal).
 - Four-in-a-row and Klotski are now resizeable (Paolo Borelli and 
   Richard Hoelscher respectively).
 - Player-visible random number seeds have been eliminated from gnome-games.
 - Quality of rendering for large SVG images has been improved (Richard 
   Hoelscher). 
 - gnome-games now requires GTK+ 2.5.

Aisleriot:
 - Remove the seed dialog and title annotation (callum).
 - Improve the sensitivity of menu items (callum).
 - Improved SVG rendering (richard)

Ataxx:
 - Drawing fixes (callum).
 - Make the top-left player the starting player (callum).
 - Code cleanups (callum).

Blackjack:
 - Removed seed from the title bar (callum).

Five or more:
 - Improved rendering (richard).
 - Closing the end-of-game high-score dialog starts a new game (callum).

Four-in-a-row:
 - The game is now resizeable (paolo).

Gnometris:
 - Conditionally compile the sound support (callum).
 - Fix dropping backgrounds from Konqueror (callum).

Iagno:
 - Zerofconf networking (andreas).
 - Undo in network games is disabled (andreas).

Klotski:
 - The game is now resizeable (richard).
 - New puzzles (richard).

Mahjongg:
 - Menu sensitivity fixes (callum).
 - Stop hints flashing when the player does something else (richard).
 - Removed the seed (callum).

Mines:
 - Better rendering (richard).
 - Handle some (but not all) dodgy GTK+ themes better (callum).

Nibbles:
 - Zerofconf networking (andreas).

Tali:
 - Fix the bug where you could play for the computer (richard).
 - A Yahtzee can now count as a full house (callum).

gnome-games 2.8.1
=================

This is the second stable release of gnome-games in the 2.8
series. There are no new features, merely bug fixes and translation
updates. Unless you are experiencing problems there is no need to
upgrade. Any problems this release does not solve for you should be
reported in the GNOME bugzilla (http://bugzilla.gnome.org/).

Bugs fixed:
Aisleriot:
 - Don't crash when using the find feature in the game selection
   dialog.
 - Fix a typo in the dutch translation.
Ataxx:
 - Ensure the counters and turn indicator are correct after an
   undo/redo.
 - Fix the tileset path.
General:
 - Strict C compliance for games-network.c.

gnome-games 2.8.0
=================

This is the first stable release of the 2.8 series. It should compile
happily in a GNOME 2.6 or GNOME 2.8 environment although a recent
librsvg is recommended.

*** Important ***

A lot of the themes and graphics have been moved to a
new, less frequently updated, package called gnome-games-extra-data. 
You can get it from:

 http://ftp.gnome.org/pub/GNOME/sources/gnome-games-extra-data/2.8/

The main gnome-games package still contains everything you need to
play, including the default themes.

Also:

 - The backgrounds for gnometris are now set by drag and drop. You are
expected to use your own images for this, the old backgrounds are no
longer shipped as part of the gnome-games package, but can be found in
the gnome-games-extra-data package. The "Backgrounds and Emblems" menu
option from the nautilus file browser is also good place to start.

 - The more detailed SVG themes for the card games will be slow to
redraw if you change the window size on anything but a fast machine. Be 
patient. Playing the game is fine regardless of computer speed.

People who contribute to this release, in no particular order, are:

Callum McKenzie
Richard Hoelscher
Paolo Borelli
Jon McCann
Andreas Røsdal
Ryan Stutsman
Matthew V. Ball
Angela Boyle
Aaron Schlaegel
Sjoerd Langkemper
Theo van Klaveren
Bevan Collins
Rexford Newbould
Trevor Hamm

Don't forget the gnome-games webpage:

 http://www.gnome.org/projects/gnome-games/

Major changes since the 2.6 series:

General:
 - New SVG card decks for the card games.
 - New UI for selecting keyboard controls.
 - Lots of bug fixes, especially for 64-bit machines.

Aisleriot:
 - Resizeable graphics.
 - Click-to-move mode.
 - Per game help menu.
 - One and two-suit spider variations.

Blackjack:
 - Resizeable graphics.

Ataxx:
 - Major rewrite. New AI.

Iagno:
 - New AI.
 - The network code has been factored out.

Gnometris:
 - The background is now set by drag-and-drop, you can use any images,
   tiles or colours you like. This may have issues with konqueror.
 - Sound !
 - Configurable keyboard controls.
 - A new manual.

Lines:
 - New, less sucky, name: Five-or-more.

Mahjongg:
 - New default theme: postmodern.
 - New layout: ziggurat.
 - The explicit shuffle command has been removed, it is still
   available if you run out of moves.

Mines:
 - Graphics tweaks.

Nibbles:
 - Resizeable graphics.

Robots:
 - You can now play using the mouse.

Tali:
 - Revised UI.
 - New graphics for the dice.



gnome-games 2.7.8
=================

This release is ready for the code-freeze. It contains only
bug-fixes. One more release with documentation updates and any
emergency bug-fixes can be expected before 2.8.0.

Remember that your favorite themes may have been moved to the
gnome-games-extra-data package. This is still at version 2.7.0, so if
you obtained it for the 2.7.7 gnome-games release you do not have to
download it again (for details see the 2.7.7 release notes below).

Bug fixes:

Aisleriot:
 - Right click now works after window enlargement.
 - The translation of the game-specific help menu item is fixed.
 - --variation (and the freecell desktop file) now works for non-english
   locales.
 - Documentation for one and two-suit spider.

Blackjack:
 - The payout for winning with a blackjack is now documented.
 - The SVG chip images have been cleaned up and should work with most
   versions of librsvg.
 
Four-in-a-row:
 - "No or child" bug on x86_64 has been fixed.
 
Gnometris:
 - Fixed a crasher on x86_64 machines.

Mahjongg:
 - Cut down on unnecessary redraws while resizing.

Mines:
 - Stop the face image being clipped.
 - Fix the sanity-checking code.

gnome-games 2.7.7
=================

*** ATTENTION ***

A lot of the themes have been split into a separate package called
gnome-games-extra-data. The core package now contains only a minimum
amount of graphics, it is still functional, but your favourite themes
may not be there. You can get the missing themes back by installing the
gnome-games-extra-data package. gnome-games-extra-data can be found at:

 http://ftp.gnome.org/pub/GNOME/sources/gnome-games-extra-data/2.7/

In the shuffling of themes, Richard Hoelscher's "Paris" SVG card theme
has crept into the main distribution. It uses the same source of
inspiration as David Bellot's SVG card deck, but is smaller and less
detailed, making it faster to load.

Bugfixes:

Aisleriot:    Thieves, elevator and eagle_wing are now all playable 
	      again (callum).

Five or More: Grid drawing improvements (Paolo Borelli).

Gnometris:    Don't play sounds when we don't actually do anything 
              (Jon McCann).

Mines:        Fix a rounding error when displaying scores on some 
              platforms (callum).


gnome-games 2.7.6
=================

Only one new item that should grab your attention: David Bellot's pure
SVG card theme. Be warned that this theme is complex and is liable to
expose speed issue and rendering bugs. These aren't David's fault,
they're mine.

There are also some bug fixes:

Aisleriot:
 - Pileon should be laid out properly
 - Streets and Alleys won't click on a double click anymore

Plus some typos fixed and of course plenty more translations.

gnome-games 2.7.5
=================

This is the last release before the feature freeze, therefore it is
full of new features. Klotski has been put back into the
distribution. The network code for iagno has been factored out and
there is a new connection dialog. The game server for iagno is now
available for local use, it can be found in the libgames-support
directory. Finally, gnometris has sounds !

All card games:
 - Hybrid SVG/PNG replacement theme for Dondorf. (Richard Hoelscher)

Blackjack:
 - SVG chip and slot images.

Gnometris:
 - Drag and drop support for solid-color backgrounds (callum)
 - Sound effects ! (callum, Richard Hoelscher)
 - Configurable keyboard controls (Paolo Borelli)

Iagno:
 - Factored out the network code (Andreas Røsdal)
 - New network dialog (Andreas Røsdal)

Klotski:
 - It's back !

Robots:
 - Use the new keyboard control widget (callum)

Stones:
 - The sound files have been removed due to being too close to (and
   possibly recorded from) the C64 Boulder Dash game. Besides the theme 
   tune really annoyed me (callum)

Tali:
 - New, SVG, die graphics (Ryan Stutsman)


gnome-games 2.7.4
=================

Lots of new stuff this time around. There are now new ways to play
both Aisleriot and Robots. Also, I've removed the shuffle button in
Mahjongg, you can currently only shuffle if you run out of
moves. There is a bug here, you can get in a situation where you can't
actually shuffle and are basically forced to undo. I'm working on a
solution.

Aisleriot:
 - Implement Click-to-move (callum)
 - Reorganise menus (callum)
 - Context sensitive mouse cursor (Paulo Borelli, callum)
 - Hint support for Freecell (Matthew V. Ball)
 - make more use of GamesFileList to remove unportable code.

Blackjack:
 - Replace deprecated widgets (Jon McCann)

Gnometris:
 - New help file (Angela Boyle)
 - Separate out the C and C++ compiler flags (callum)

Gnotravex:
 - GCC 3.5 compiler fixes.

Mahjongg:
 - Revised postmodern theme, it is now the default (Richard Hoelscher)
 - Fix shuffle bugs (callum)
 - Changing the map now gives you the option to start again (callum)
 - Remove the shuffle button (callum)

Mines:
 - Touch up the face graphics to be properly alpha-blended (callum)
 - Draw the "wrong flag" cross in a scalable manner (callum)

Robots:
 - Implement mouse control (callum)
 - Add a toolbar and move menu to supplement mouse control (callum)

gnome-games 2.7.3
=================

Not a lot new, but there is a new UI for changing key controls 
in gnect and gnibbles (thanks to Paolo Borelli).

 - Odessa (aisleriot) bug fixes (jrb)
 - Removed gdk-card-images library (callum)
 - Drawing fixes for blackjack (callum)
 - Five or More line detection code improved (callum)
 - New control selection UI in gnect and gnibbles (Paolo Borrelli)
 - Make the state of the mahjongg pause button consistent (callum)

gnome-games 2.7.2
=================

The major change for this release is Jon McCann's work on 
his blackjack game to make is rescalable. There are some 
known bugs in this (due to Callum's code, not Jon's) so be
careful. Those who are reading this as part of the first
official GNOME 2.7 release probably want to look at the notes
for 2.7.1 too.

gnome-games 2.7.1
=================

This is the first release of the new development cycle and there is a
*lot* of very new features available for your enjoyment. Being a
development release there will also be a lot of bugs. As always we are
very interested in bug reports and suggestions: send them to:

                   http://bugzilla.gnome.org/

Gnome-games now has a web-page. You can find it at:

            http://www.gnome.org/projects/gnome-games/

Aside from numerous bug fixes (thanks to Dean Copsey, Paolo Borelli,
William Jon McCann and Iain Holmes) these are the major changes:

Aisleriot: 
 - The cards now scale with the window. (Callum)
 - Two new games: one and two-card spider. (Aaron Schlaegel)
 - Per game help menu item. (Callum)

Ataxx:
 - Major rewrite: new AI and drawing code. (Sjoerd Langkemper)

Gnibbles:
 - Resizeable SVG graphics. (Theo van Klaveren)

Gnometris:
 - Backgrounds are now set by drag-and-drop. (Callum)

Iagno:
 - New, harder, AI added. (Bevan Collins)

Klotski:
 - Removed. (Callum)

Lines:
 - Renamed to Five or More. (Callum)

Mahjongg:
 - New layout, Ziggurat. (Rexford Newbould)

Mines:
 - New scores dialog. (Callum)

Tali:
 - Revised UI. (Trevor Hamm)


gnome-games "Thank you and Good Night" 2.6.1
============================================
 
Bug fixes for mahjongg and blackjack. Translation updates for
Hungarian and Gujarati. What more could you ask from a stable
release ?
 
gnome-games "Space Monster Redux" 2.6.0.1
=========================================
 
An minor update over 2.6.0, this is to take advantage of the
extra translation work done due to the delayed release. There have
also been some minor build and documentation changes.
 
gnome-games "Space Monster" 2.6.0
=================================
 
This is the new stable release of gnome-games. Since the 2.4 series
there have been many changes, the highlights are:
 
 - Mahjongg has new layouts, new tilesets and is completely scaleable.
   It is also faster and shuffling works properly.
 - Gnomine has new, improved graphics and a hint function.
 - Freecell (the aisleriot version) now has supprot for super-moves
   and is a lot closer to the stand-alone version in behavior.
 - Glines has new graphics and is also completely scaleable.
 - Aisleriot now keeps track of statistics on the games you play.
 - Gnect has recieved a major upgrade and is now leaner and cleaner.
 - For aislriot and blackjack the dialog for changing the card style
   has been reworked.
                                                                                
Many people have contributed to this release, both for code and
artwork. In alphabetical order they are:
 Steve Chaplin,
 Richard Hoelscher,
 John McCann
 Callum McKenzie,
 Tim Musson,
 Rexford Newbould,
 Krzysztof Foltman,
 Gonzalo Odiard.
                                                                                
You will need the GNOME 2.6 development platform to build this,
especially GTK 2.3. It is also desirable to have gettext 0.12. To
compile Aisleriot you will need the guile scheme interpreter. For
Blackjack and Gnometris you need a C++ compiler.

gnome-games "Zero Gravitas" 2.5.9
=================================

This is also a release candidate. Naturally there was a
brown-paper-bag bug discovered the day after the last release. This
has been fixed. Also, the credits have been updated and of course
there have been more translations (does the translation team never
sleep ?!).

gnome-games "Sacrificial Victim" 2.5.8
======================================

This is the release candidate for 2.6. In an ideal world there would be
no major bugs in this release. Here in the real world there will be a
brown-paper-bag bug discovered tomorrow. You could be the one to report
it and cause me hideous embarrassment ! Go ahead, you know you want
to.

Since 2.5.7 the only changes have been bug-fixes, documentation
updates and more translations.

gnome-games "Problem Child" 2.5.7
=================================

This is the long-awaited beta for 2.6. As far as I know there are no
bugs that crash any of the the games or make them unplayable. I expect
this to change once you test it and file what you find in
Bugzilla. The documentation is the only thing expected to change
before 2.6.0.

So what is new this time ?

Bug fixes.
Gnometris now has some basic documentation.
There is a new tileset for mahjongg thanks to Gonzalo Odiard.


gnome-games "Limiting Factor" 2.5.6
===================================

This release is for testing. No new features have been added since
2.5.5 but there have been a lot of bugs fixed and there is some
revised code that needs testing. 

*** Now is the time ot file bug reports ! ***

If you see any bugs in this release, report them. It's too late for UI
changes (although they will be considered for 2.7) but anything that
crashes these games needs to be reported. Please try and give a
precise summary of how to reproduce the bug. Getting stack traces in
gnome-games is hard, but worth it (try running the games as the user
that installed them, e.g. root).

What other excuse do you need to play solitaire all day ?

What has changed:

- blackjack caches its calculations better. Now all game types are
cached (you should only see the progress dialog the first time you
play a rule set). Be warned that this can store up to a megabyte of
data in your home directory. Sharing of the cached files will not be
implemented for 2.6.

- gnomine, gnome-stones, gnotravex and gnometris use a new algorithm
(OK, ugly hack) to set the size of their writing. The old way was
doing bad things whith some systems (especially those with a high
dpi).

- The hint menu item in gnomine is now only available when it can be
used.

- In Ailseriot dragging after a double-click works.

- Aisleriot documentation has been updated to mention the statistics
dialog.

- Some old Spanish and Danish documentation for gnobots and gtali has
been updated from the old html format to docbook. The content hasn't
changed, contributions that fix this are welcome.

- gnibbles: key presses are now buffered so that fast turns are
guaranteed to work.

- Various SVG files have been slimmed down (Thanks to Richard
Hoelscher).

And of course it will crash less often. 

gnome-games "The Ends of Invention" 2.5.5
=========================================

This is the feature-freeze release. This should be what 2.6 looks like
minus the bugs.

The major features of this release are:

Aisleriot: Statistics finally work. You saw the UI with the last
release, now you can find out just how many games you've played and
how often you lose.

Glines: Better versions of the SVG Balls theme from Richard
Hoelscher. Also clicking quickly does the expected thing now.

Gnome-stones: The major crash-on-startup bug that I completely
mis-diagnosed in 2.3.x has now been fixed. Really, truly,
definitely. I'm sure of it this time.

Gnomine: SVG graphics (also by Richard Hoelscher) and better rendering
of those same graphics.

Mahjongg: New layouts from Rexford Newbould and Krzysztof Foltman. Be
warned that your choice of layout will be reset to Easy, but since you
will be wanting to try out the new levels it shouldn't matter :).

Plus the usual long list of translations from the dedicated people in
the translation team.

gnome-games "Irregular Apocalypse" 2.5.4
========================================

WARNING: This release is particularly buggy. The most noticeable of
these bugs is that the new statistics dialog in Aisleriot reports
nonsense. This is for the very simple reason that I haven't actually
written the code to calculate the statistics. The dialog is there for
UI review.

Having said that there are many things to enjoy in this release:

Glines: The window is now fully resizeable and there are two new
vector-graphics themes (balls and shapes). Try balls with the window
maximized. The old ball.png theme has been removed on the grounds of
extreme ugliness.

Gnect: The author (Tim Musson) has done an almost complete rewrite of
the code. It is now prettier, smaller, and simpler.

Aisleriot: There is a statistics dialog that can be opened from the
games menu. It will ultimately contain simple statistics on the games
you have played. As I wrote above, it is not complete and is there
only to meet the UI freeze deadline. There is no code to produce the
statistics. The splash screen has been removed as well.

Gnometris: New default theme and background from Graeme Worthy.

Mahjongg: Clicking quickly works now.


gnome-games "Revisionist" 2.5.3.1
=================================

This is a minor release to fix an intltool problem. It also contains
an update to the seahaven game in aisleriot: you can now drag
sequences of cards to the foundations.

gnome-games "The Catastrophe" 2.5.3
===================================

Finally, we know the answer to the question: can you make a
gnome-games release with a kitten balanced on each shoulder ? The
answer is yes.

Mostly miscellaneous stuff. People who use the shuffle option in
mahjongg will be happy.

aisleriot: Double clicking in the games selection menu now works.
blackjack: Text drawing re-write.
glines: Avoid warnings from premature drawing. Improve the use 
	of GamesFileList.
gnibbles: Reworked the exit code to avoid occasional crashes on
	  exit. Fixes for the desktop file.
gnometris: Avoid crashing by only getting the score when a game is 
	   in progress. Avoid warnings by not trying to impose a C 
	   standard on C++ code.
mahjongg: Shuffling is now guaranteed to produce a solvable pile
          (assuming a solution is possible). Undo and redo now are
	  now disabled after a shuffle.
same-gnome: Use GamesFileList for finding the theme files. You can now
 	    write themes in any format supported by gdk-pixbuf.

gdk-card-image: Improve the use of GamesFileList.
libgames-support: Improvements to GamesFileList.


gnome-games "Nervous Energy" 2.5.2
==================================

This release is evenly split between UI changes and back-end code
consolidation.

Code for locating files in gdk-card-image and glines has been merged
into the libgames-support library. More games will take advantage of
this as the (internal) API firms up.

The card selection widget in gdk-card-image has been changed. This
affects aisleriot and blackjack. You no longer select the details of
the card image from seven menus, instead there is one list with a set
of predefined styles. These styles are loaded from an external file
but home directories are not searched yet so custom styles require
root access. If the current style is not on the list it is not
touched, so existing preferences and direct editing of the style using
gconf-editor will work. 

In addition to the gdk-card-image changes aisleriot has also had its
preferences menu renamed to "view". This reflects the fact that the
entries under it only affect the look of the program.

Blackjack has recieved some cleanup work to the UI and some bug fixes.

Mahjongg is in the middle of a rewrite of the shuffling code. The bug
where all the tiles were drawn after a shuffle has been fixed. Also
the "no more moves" dialog now has a "shuffle" option. Unfortunately
this is all still a bit ugly since it is work in progress.

Gnometris has better high score handling. There is no longer a
duplicate score recorded when you start a new game without finishing
the old one. Also the score is recorded if you quit the program
without finishing the game: great for when the boss walks in
unexpectedly.

gnome-games "Trade Surplus" 2.5.1
====================

This is a catch-up release and unfortunately doesn't contain many sexy
new features. The build process is in the middle of a renovation. You
will now need automake 1.7 if you build from CVS or do other
development work. All the *_DISABLE_DEPRECATED macros have been
completely removed, although it should have compiled cleanly with
them.

Other changes:

aisleriot: Freecell now supports super-moves Checks to make sure the
           card images are actually present.

blackjack: The keyboard controls are now documented plus some bug
           fixes and UI improvements.

glines: Should compile with gcc 2.9.x again. The maintainer is
        flagellating himself as you read this.

gnometris: The preview pane is now drawn properly when the preview is
           turned off. Also some UI cleanups.


gnomine: UI rearrangements. Also the number of flags you can place is
         now capped at the number of mines.


gtali: The game can now be completely played from the keyboard. Use
       the 1-5 keys to toggle the dice.

same-gnome: Bug fix: the number of selected stones is correctly
            reported when the cursor is over a blank region.


gnome-games "Credibility Problem" 2.5.0
========================================

So here it is, the first release of the new unstable series of
gnome-games and quite frankly I think I've done an excellent job of
trying to make it unstable.

There are of course numerous bug fixes, most of which are also in the
2.4.1 release. Updated translations too (athough I changed
several strings at the last minute). But these aren't the things
you're after, what you want is new features.

First some warnings. You will need the following software:
gettext 0.12 and intltool 0.27.2. 
GTK+ 2.3 (when it is released in a few days time) or GTK+ from CVS.

So, what is new ?

i18n: The .gmo files are no longer distributed in the tarball, you
have to generate them yourself.

installation: Building gnome-games outside the source tree should now
work.

gnotravex: Rather than using an "x" for a multiplication symbol we now
use real multiplication symbols.

aisleriot: The hint function for Odessa is now consistent with the
strategy suggested in the documentation. The win condition for spider
has been altered slightly: you now have to move the completed
sequences to the foundation.

mahjongg: Two thirds of this program has been rewritten. The game
generation code is quicker and doesn't generate occasional
warnings. The drawing code is now over five times faster and is
rescalable. Resizing the window is now supported. The tile sets are
now monolithic, you don't select foregrounds and backgrounds
separately anymore. Only the default tileset has been converted to the
new format so far. SVG is also supported and there is an example
tileset, but it is half-complete and unusable.

gnomine: There is now a hint function, an idea of Juhani Heino's. The
hint will clear one, hopefully useful, square at the cost of a ten
second penalty. The drawing code has been altered to make more use of
the gtk theme. This should improve the contrast between open and
closed cells even in pathological themes.

Thats about it, aside from Steven Chaplin's usual round of memory
leak fixes and one or two strange bugs which I *think* I've fixed.

gnome-games "Carisbrook" 2.3.7
==============================

This is a minor update over 2.3.6. The major difference is that there
is more checking of GConf return values. The only user visible changes
should be a new README file and translation updates.

There are still some bugs that it would be nice to have resolved by
2.4, if they can be reproduced. Aside from them, this is essentially
2.4.0.

gnome-games "It's For Your Own Good" 2.3.6
==========================================

This release is in theory a good facsimile of what 2.4.0 will look
like. The most obvious change will be that the documentation is now
mostly up-to-date. 

All games should now have state-sensitive undo and redo buttons as
well as full keyboard navigation for the preferences.

The bug count is now about a third of what it was at the start of the
2.3 series. Since there is no recent 2.2.x release of gnome-games this
can be considered a substitute, it compiles under the GNOME 2.2
environment without problems.

Changes by game:

Gataxx/Iagno
 - These games now share pixmaps. This saves about 700k.

Gtali:
  - Several dead options have been removed (or hidden as gconf keys).
  - Undo doesn't corrupt the display.

Gnotravex:
  - Resizing code now works a bit better.

Aisleriot:
 - If you play spider then there is a subtle change: to finish the
   game you have to move the completed piles up to the
   foundation. This is now consistent with other games.

Gnome-stones:
 - The joystick dialog actually works now, although since I don't have
   a joystick I have no idea if any of the joystick code actually works.

Gataxx:
 - The animation code actually does the right thing now. This is only
   noticeable if using "partial" animation.

Gnomine:
 - It compiles with gcc 2.96 again.
 - We now don't read all the pixmaps each time we recieve an expose
   event. Oops.

Gnobots:
 - Be a bit more graceful about failing to find configuration files.
 

gnome-games "Palm Cove" 2.3.5
=============================

This release is a little early since I'm going to be away during the
"official" release period. My location will of course be a closely
guarded secret.

There is but one major change, most of the names have changed ! This
hasn't been done to protect the innocent, or event the particularly
guilty. Instead it is an attempt to get rid of GNOME-this and
GNOME-that in the menus (as per the HIG). So "GNOME Robots" has become
"Robots" and "GTali" has become "Tali". This change only affects the menus.

The down side of this is that "glines" has become "Lines" and
"GNOME-Stones" has become "Stones". Anyone who has a better idea can
post suggestions under bug #117191 in Bugzilla.

Gnometris stays as Gnometris because it's really hard to avoid the
trade-marked "Tetris" and still be descriptive.

The other user-visible change is that the gnomine (sorry, "Mines")
window is now completely resizable and the size of the individual
tiles follows the size of the window (the numbers and icons scale
too). The explicit "mine size" item in the preferences dialog is
gone.

There were also some minor fixes, some of them very embarrassing to
the maintainer.

gnome-games "Cruising Along" 2.3.4
==================================

Things are cruising along towards a nice, stable, 2.4 release.
This release mostly contains bug fixes and clean-ups. 

A big thanks goes to Jon McCann and Steve Chaplin who have done most
of the work on this release.

The TODO file now has a complete list of what we hope to complete for
2.4 and an incomplete list of what is planned for 2.5 and beyond.

Be warned that changes involving gconf mean that some preferences will
be lost. Selecting the correct preferences again will fix this. We
apologise for the inconvenience, but the change-over from gnome-config
to gconf had already been delayed way too long for some games.

This is still an unstable release, but it should be more stable than
2.2 and testing is badly needed. In particular gnobots2 and mahjongg
have produced a number of crashes which aren't reproducible on the
maintainers machines. Stack traces or precise instructions on how to
reproduce them (including OS version, library versions, etc.) are
desparately needed to try and track these down.

All games have improved HIG compliance and most menus are now context
sensitive, e.g. you can't select undo if no move has been made.

AisleRiot:
 The help files work with yelp (even the broken versions).
 There should be better compatibility with Red Hat 9's guile.

Glines:
 The background is now a solid colour and the grid lines are thinner.

Gnome-stones:
 New opening title that should be i18n compatible now.

Gnotravex:
 The game is now resizable, try it, we hope to make most games like
 this in 2.5.


gnome-games "Shiny Things Revenge" 2.3.3
========================================

13% Fewer bugs, 15% less fat and 7% more games.

We now have a blackjack game courtesy of Jon McCann.

The package has also lost 1.5 Mb due to the judicious use of jpeg
compression.

For the paranoid system administrator there are now the
--disable-setgid, --with-scores-group and --with-scores-user options
for configure to help you manage those pesky setgid binaries.

The major changes, game by game:

aisleriot:
 * Should stop crashing if you have libguile >1.5.
 * More i18n work. Still not perfect, but should be a lot better.

gataxx:
 * The corruption when using the undo button has been fixed.
 * Don't crash after 128 turns.
 * Gataxx is now bug-free (TM).

gdk-card-image:
 * Some extra card images. Look for the "Dondorf" images.

gnome-stones:
 * There are now some sokoban levels to play. Thanks go to Alberto
   Manuel Brandao Simoes for convering the levels from Herman
   Mansilla's Yakoban game. Select the Gnomekoban levels from the
   preferences dialog and don't forget about the "restart level"
   option when you back youself into a corner.
 * There has been no real chance for play-testing these levels yet
   against the current sokoban implementation, if you have any
   suggestions to make feel free to file a report in bugzilla (even if
   it isn't technically a bug).

gnometris:
 * "Paused" and "Game over" messages.
 * Key behaviour fixes when a new piece appears.
 * Scoring consistency: dropping the blocks now scores as much as
   using fast-fall with the down arrow. 
 * Big PNG backgrounds converted to jpeg. The transition should happen
   automatically and not be noticeable.

mahjongg:
 * The multiple score dialogs problem might have been fixed this time.

Lots of fixes for behaviour and i18n all over the place, thanks should
especially go to Steve Chaplin and Christian Rose for their patience
in making sure I did things properly.

gnome-games "The Freecell Players Will Lynch Me" 2.3.2
======================================================

There have been some major changes with gnome-games. Gnobots2 and
Gnibbles are back, but Freecell has been removed. There are also 30%
fewer bugs than in 2.3.1.

Freecell addicts shouldn't panic: there is still a Freecell icon.
It links directly to the AisleRiot version of freecell. There are two
features that are known to be missing:
 1) There is no score dialog. If there is demand I will write a new
    one for AisleRiot.
 2) The translations will be marginally worse. AisleRiot has some 
    "interesting" issues regarding scheme and gettext. The fundamental 
    problem has been resolved, but none of the issues it caused have
    been fixed yet, this will happen in 2.3.3.
If any other favourite feature of freecell is missing, file a bug report.

The source for xbill and freecell are still available in the CVS
module gnome-games-deprecated. They are not currently buildable. Xbill
is also available (in a usable form) at www.xbill.org.

Here are the major changes:

aisleriot: 
        Gettext is now called from within scheme. There is no real
        change yet, but we should be able to improve the
        translations in the future.
        If --variation is used then it is only applied to that
        instance of the program.
 
gataxx: 
        It actually works now. At least we know the sanity checks
        work, pity the schema wasn't sane.

gdk-card-image: 
        The library has been moved to its own directory. Build
        problems on *BSD should now be resolved.

gnome-stones: 
        HIG cleanups.

gnomine:
        Improvements to the contrast between cleared and uncleared
        cells. The window doesn't resize when it loses focus.
        Also added checks to limit the number of mines to the field size.

gnotravex: 
        A tile corruption bug has been fixed. Gnotravex is now bug-free (TM).

gtali:  The binary is now 100k lighter thanks to careful use of
        colour-reduction.

libgames-support: 
        HIG and i18n fixups.

mahjongg:  
        HIG cleanups.

same-gnome: 
        Cleaner preferences dialog.

There has also been an effort to limit the number of dialog boxes
asking "Are you sure ...". This is an ongoing project.


gnome-games "Nothing to See Here" 2.3.1
=======================================

This is mostly bug fixes and not a lot of them. The primary purpose 
of this release is to make sure the new maintainer knows what he's doing.

* GTali behaves itself if you're winning by a gratuitous margin
* Improved GTali documentation.
* Moved the Gnotravex icon down to the shared directory.
* Fixed Same-Gnome sanity check so it actually stops the program crashing.
* Abel Cheung made sure all the ChangeLogs where in UTF-8 and not
  whatever we'd picked up along the way.

Corrupted GConf data is still likely to crash most games, but rampant
GConf misconfiguration should be handled gracefully. Bug reports to
the contrary are welcome.


gnome-games "Fat Camp" 2.3.0
====================

All of the gnome-games 2.2.1 changes:
* Fixed Freecell compile on FreeBSD
* Fixed GNect schemas
* Fixed GNOME Stones GObject usage
* Use Close instead of OK in Gnometris
* Cleaned up Mahjongg .desktop file
* Updated Mahjongg documentation

Plus:
* Removed games I either don't like, no-one uses, or are pointless
  (gnibbles, gnobots2, iagno2, xbill)
* Also removed the Curses port of gtali
* New Undo architecture in Aisleriot (PLEASE TEST) (closes #83517)
* Changed the next-move algorithm in Iagno (PLEASE TEST) (closes #101996)
* Mahjongg UI love -- now has CFM dialogs
* Aisleriot UI love -- the huge New Game menu has gone, useless table
  headers removed, dialogs are layered correctly, etc
* Added some spacing in the Freecell UI. Should make things clearer
* Added a GConf utility library, which gives us lots of sanity checks
  to tell people they can't install programs correctly
* Cool new icons in GNOME Mines from Jimmac


gnome-games "Cake or Death?" 2.2.0
==================================

* Fix "Figure figure" in GNOME Mines documentation
* Rename xBill icon to avoid conflicting with the original xBill
* All games actually have the same version now
* Lots of small memory leaks fixed
* Translations!

Thanks to the Documentation Team, the Translation Team, the Release
Team. Also to my parents, my girlfriend, my fish -- Sid, Griswold,
Tallulah, and departed Wanda. I love you guys! Thanks to Eddie and
Hactar for being good workstations, without you I'd have had to do
this with an abacus or something. Thanks to my neighbour, Dorothy, for
keeping me happy for days with a picture of when she met the Pope; and
Michele Campeotto for the same with a certain picture. Thanks to the
many people who submitted bug reports and patches, you all know who
you are.


gnome-games "You'll Need A Tray" 2.1.5

* GNOME Lines documentation fixes
* Translation updates

Thanks to the translation and documentation team for their hard work
as went and changed almost every string...


gnome-games "Jammy Dodger?!" 2.1.4

* Support Startup Notification, so you get eye candy whilst the games load
* Yet more translations!
* Aisleriot: when completing a game you have a choice of what to do
* Many games: put the correct file in the tarballs
* The identify crisis of "GNOME" and "Gnome" is now over. Many games
  are slightly renamed in favour of "GNOME".
* GNOME Mines: Hopefully the labels in the mine field are a better
  size now.
* Mahjongg: scores works correctly


gnome-games "Hod-d-d-d-d-da" 2.1.3

* New launcher icons (Tim Musson)
* Iagno redraws much faster (Andreas Persenius)
* Glines redraw fixes (Tim Musson)
* No Preferences and Score in the Freecell toolbar
* Quit and New Games dialogues are far more consistant (Jeremy Browne)
* The .desktop files tell Bug-Buddy what to do (Fernando Herrera)
* GConf schemas are actually installed in the right location (Loz)
* You can only have one About and Scores dialog on screen (Tim Musson again)


gnome-games "Why does Real World work always conflict with GNOME work?" 2.1.2

* Build fixes for OSF/1
* Makefile.am fixes
* Hopefully getting more stable now...


gnome-games 2.1.1

* More of below.


gnome-games "Breakage is fun, it builds character" 2.1.0

* Many minor bug fixes (esp. to Aisleriot, Telsa)
* Iagno is not predicatable any more
* Love given to the UI (freecell, gnect, gnotski, mahjongg, same-gnome)
* A serious lack of translations, as they are all on the GNOME 2.0 branch.
  This is totally my fault as I have not told the translation team...
* More documentation (glines, gnomine, gnotski)
* Menu accelerators work in Gnibbles when playing
* Build fixes (gnome-stones
* (Probably) lots of new and interesting bugs


gnome-games "Rising Sun" 2.0.4

* Improved dialogs, which actually do what they say on the tin.
* High Scores are now only displayed when there are high scores to be
  displayed.

Thanks to Andrew Sobala and Samuel Stringham, amongst others, for
providing so many patches to gnome-games.


gnome-games "Clever Cow" 2.0.3

* General: Updated all .desktop files to comply with the HIG
* General: Build fixes for OSF/1 and Solaris
* General: Many UI fixes with dialogs and toolbars: more actually
  close now, and appear in the correct location.
* Gnotravex: Hide the tiles when the game is paused, fix memory leaks,
  and redraw the tiles correctly
* Gnobots: fix menu keyboard navigation
* Gnibbles: default map size is medium
* Aisleriot: canfield now knows when the game is over
